/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* Copy the first part of user declarations.  */
#line 34 "parser.y" /* yacc.c:339  */


#define PARSER_VERSION_STRING "parser_version_3"

#include "config.h"
#include <stdlib.h>
#include <termios.h>
#include <sys/types.h>
#include <fcntl.h>
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <setjmp.h>
#include <sys/stat.h>                    /* structure stat       */
#include <unistd.h>                      /* prototype for stat() */
#include <sys/wait.h>
#include <signal.h>
#include <stdarg.h>
#include <pwd.h>
#include <syslog.h>
#include <string.h>
#include <errno.h>
#ifdef __linux__
#include <mntent.h>
#endif

#include "dosemu_config.h"
#include "emu.h"
#ifdef X86_EMULATOR
#include "cpu-emu.h"
#endif
#include "disks.h"
#include "port.h"
#define allow_io	port_allow_io
#include "lpt.h"
#include "video.h"
#include "vc.h"
#include "mouse.h"
#include "serial.h"
#include "timers.h"
#include "keymaps.h"
#include "keyb_server.h"
#include "memory.h"
#include "mapping.h"
#include "utilities.h"
#include "aspi.h"
#include "pktdrvr.h"
#include "iodev.h" /* for TM_BIOS / TM_PIT / TM_LINUX */

#define USERVAR_PREF	"dosemu_"
static int user_scope_level;

static int after_secure_check = 0;
static serial_t *sptr;
static serial_t nullser;
static mouse_t *mptr = &config.mouse;
static int c_ser = 0;

static struct disk *dptr;
static struct disk nulldisk;
static int c_hdisks = 0;
static int c_fdisks = 0;

int dexe_running = 0;
static int dexe_forbid_disk = 1;
char own_hostname[128];

static struct printer nullptr;
static struct printer *pptr = &nullptr;
static int c_printers = 0;

static int ports_permission = IO_RDWR;
static unsigned int ports_ormask = 0;
static unsigned int ports_andmask = 0xFFFF;
static unsigned int portspeed = 0;
static char dev_name[255]= "";

static int errors = 0;
static int warnings = 0;

static int priv_lvl = 0;
static int saved_priv_lvl = 0; 


static char *file_being_parsed;

			/* this to ensure we are parsing a new style */
static int parser_version_3_style_used = 0;
#define CONFNAME_V3USED "version_3_style_used"

	/* local procedures */

static void start_ports(void);
static void start_mouse(void);
static void stop_mouse(void);
static void start_debug(void);
static void start_video(void);
static void stop_video(void);
static void set_vesamodes(int width, int height, int color_bits);
static int detect_vbios_seg(void);
static int detect_vbios_size(void);
static void stop_ttylocks(void);
static void start_serial(void);
static void stop_serial(void);
static void start_printer(void);
static void stop_printer(void);
static void start_keyboard(void);
static void keytable_start(int layout);
static void keytable_stop(void);
static void dump_keytables_to_file(char *name);
static void stop_terminal(void);
static void start_disk(void);
static void do_part(char *);
static void start_bootdisk(void);
static void start_floppy(void);
static void stop_disk(int token);
static void start_vnet(char *);
static FILE* open_file(char* filename);
static void close_file(FILE* file);
static void write_to_syslog(char *message);
static void set_irq_value(int bits, int i1);
static void set_irq_range(int bits, int i1, int i2);
static int undefine_config_variable(char *name);
static void check_user_var(char *name);
static char *run_shell(char *command);
static int for_each_handling(int loopid, char *varname, char *delim, char *list);
static void enter_user_scope(int incstackptr);
static void leave_user_scope(int incstackptr);
static void handle_features(int which, int value);
static void set_joy_device(char *devstring);
static int parse_timemode(const char *);

	/* class stuff */
#define IFCLASS(m) if (is_in_allowed_classes(m))

#define CL_ALL			-1
#define CL_VAR		    0x200
#define CL_VPORT	   0x2000
#define CL_PORT		  0x20000
#define CL_PCI		  0x40000
#define CL_IRQ		 0x200000
#define CL_HARDRAM	0x1000000
#define CL_NET		0x2000000

static int is_in_allowed_classes(int mask);

#define TOF(x) ( x.type == TYPE_REAL ? x.value.r : x.value.i )
#define V_VAL(x,y,z) \
do { x.type = y.type; if (x.type == TYPE_REAL) x.value.r = (z); \
      else x.value.i = (z); } \
while (0)

	/* variables in lexer.l */



#include "translate.h"
#include "dosemu_charset.h"
	/* for translate plugin */

static void set_internal_charset(char *charset_name);
static void set_external_charset(char *charset_name);




	/* for unicode keyboard plugin */
static void keyb_mod(int wich, t_keysym keynum, int unicode);
static void dump_keytable_part(FILE *f, t_keysym *map, int size);


#line 238 "parser.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "parser.h".  */
#ifndef YY_YY_PARSER_H_INCLUDED
# define YY_YY_PARSER_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    INTEGER = 258,
    L_OFF = 259,
    L_ON = 260,
    L_AUTO = 261,
    L_YES = 262,
    L_NO = 263,
    CHIPSET_TYPE = 264,
    KEYB_LAYOUT = 265,
    REAL = 266,
    STRING = 267,
    VARIABLE = 268,
    EXPRTEST = 269,
    INTCAST = 270,
    REALCAST = 271,
    AND_OP = 272,
    OR_OP = 273,
    XOR_OP = 274,
    SHR_OP = 275,
    SHL_OP = 276,
    NOT_OP = 277,
    EQ_OP = 278,
    GE_OP = 279,
    LE_OP = 280,
    NEQ_OP = 281,
    STR_EQ_OP = 282,
    STR_NEQ_OP = 283,
    L_AND_OP = 284,
    L_OR_OP = 285,
    UMINUS = 286,
    UPLUS = 287,
    BIT_NOT_OP = 288,
    STRLEN = 289,
    STRTOL = 290,
    STRNCMP = 291,
    STRCAT = 292,
    STRPBRK = 293,
    STRSPLIT = 294,
    STRCHR = 295,
    STRRCHR = 296,
    STRSTR = 297,
    STRDEL = 298,
    STRSPN = 299,
    STRCSPN = 300,
    SHELL = 301,
    DEFINED = 302,
    DEFINE = 303,
    UNDEF = 304,
    IFSTATEMENT = 305,
    WHILESTATEMENT = 306,
    FOREACHSTATEMENT = 307,
    ENTER_USER_SPACE = 308,
    LEAVE_USER_SPACE = 309,
    CHECKUSERVAR = 310,
    DOSBANNER = 311,
    FASTFLOPPY = 312,
    HOGTHRESH = 313,
    SPEAKER = 314,
    IPXSUPPORT = 315,
    IPXNETWORK = 316,
    NOVELLHACK = 317,
    NETDEV = 318,
    VNET = 319,
    DEBUG = 320,
    MOUSE = 321,
    SERIAL = 322,
    COM = 323,
    KEYBOARD = 324,
    TERMINAL = 325,
    VIDEO = 326,
    EMURETRACE = 327,
    TIMER = 328,
    MATHCO = 329,
    CPU = 330,
    CPUSPEED = 331,
    RDTSC = 332,
    BOOTA = 333,
    BOOTB = 334,
    BOOTC = 335,
    L_XMS = 336,
    L_DPMI = 337,
    DPMI_BASE = 338,
    PM_DOS_API = 339,
    NO_NULL_CHECKS = 340,
    PORTS = 341,
    DISK = 342,
    DOSMEM = 343,
    EXT_MEM = 344,
    L_EMS = 345,
    L_UMB = 346,
    EMS_SIZE = 347,
    EMS_FRAME = 348,
    EMS_UMA_PAGES = 349,
    EMS_CONV_PAGES = 350,
    TTYLOCKS = 351,
    L_SOUND = 352,
    L_SND_OSS = 353,
    L_JOYSTICK = 354,
    FULL_FILE_LOCKS = 355,
    DEXE = 356,
    ALLOWDISK = 357,
    FORCEXDOS = 358,
    XDOSONLY = 359,
    ABORT = 360,
    WARN = 361,
    BOOTDISK = 362,
    L_FLOPPY = 363,
    EMUSYS = 364,
    EMUINI = 365,
    L_X = 366,
    DOSEMUMAP = 367,
    LOGBUFSIZE = 368,
    LOGFILESIZE = 369,
    MAPPINGDRIVER = 370,
    LFN_SUPPORT = 371,
    EMULATED = 372,
    NATIVE = 373,
    CPUEMU = 374,
    VM86 = 375,
    FULL = 376,
    VM86SIM = 377,
    FULLSIM = 378,
    RAWKEYBOARD = 379,
    PRESTROKE = 380,
    KEYTABLE = 381,
    SHIFT_MAP = 382,
    ALT_MAP = 383,
    NUMPAD_MAP = 384,
    DUMP = 385,
    DGRAVE = 386,
    DACUTE = 387,
    DCIRCUM = 388,
    DTILDE = 389,
    DBREVE = 390,
    DABOVED = 391,
    DDIARES = 392,
    DABOVER = 393,
    DDACUTE = 394,
    DCEDILLA = 395,
    DIOTA = 396,
    DOGONEK = 397,
    DCARON = 398,
    NETWORK = 399,
    PKTDRIVER = 400,
    DIRECTORY = 401,
    NAMESTUB = 402,
    BINARY = 403,
    BASE = 404,
    IRQ = 405,
    INTERRUPT = 406,
    DEVICE = 407,
    CHARSET = 408,
    BAUDRATE = 409,
    VIRTUAL = 410,
    PSEUDO = 411,
    RTSCTS = 412,
    LOWLAT = 413,
    MICROSOFT = 414,
    MS3BUTTON = 415,
    LOGITECH = 416,
    MMSERIES = 417,
    MOUSEMAN = 418,
    HITACHI = 419,
    MOUSESYSTEMS = 420,
    BUSMOUSE = 421,
    PS2 = 422,
    IMPS2 = 423,
    INTERNALDRIVER = 424,
    EMULATE3BUTTONS = 425,
    CLEARDTR = 426,
    L_DISPLAY = 427,
    L_TITLE = 428,
    X_TITLE_SHOW_APPNAME = 429,
    ICON_NAME = 430,
    X_KEYCODE = 431,
    X_BLINKRATE = 432,
    X_SHARECMAP = 433,
    X_MITSHM = 434,
    X_FONT = 435,
    X_FIXED_ASPECT = 436,
    X_ASPECT_43 = 437,
    X_LIN_FILT = 438,
    X_BILIN_FILT = 439,
    X_MODE13FACT = 440,
    X_WINSIZE = 441,
    X_GAMMA = 442,
    X_FULLSCREEN = 443,
    VGAEMU_MEMSIZE = 444,
    VESAMODE = 445,
    X_LFB = 446,
    X_PM_INTERFACE = 447,
    X_MGRAB_KEY = 448,
    X_BACKGROUND_PAUSE = 449,
    VGA = 450,
    MGA = 451,
    CGA = 452,
    EGA = 453,
    NONE = 454,
    CONSOLE = 455,
    GRAPHICS = 456,
    CHIPSET = 457,
    FULLREST = 458,
    PARTREST = 459,
    MEMSIZE = 460,
    VBIOS_SIZE_TOK = 461,
    VBIOS_SEG = 462,
    VGAEMUBIOS_FILE = 463,
    VBIOS_FILE = 464,
    VBIOS_COPY = 465,
    VBIOS_MMAP = 466,
    DUALMON = 467,
    VBIOS_POST = 468,
    FORCE_VT_SWITCH = 469,
    PCI = 470,
    UPDATEFREQ = 471,
    UPDATELINES = 472,
    COLOR = 473,
    ESCCHAR = 474,
    XTERM_TITLE = 475,
    IO = 476,
    PORT = 477,
    CONFIG = 478,
    READ = 479,
    WRITE = 480,
    KEYB = 481,
    PRINTER = 482,
    WARNING = 483,
    GENERAL = 484,
    HARDWARE = 485,
    L_IPC = 486,
    SOUND = 487,
    TRACE = 488,
    CLEAR = 489,
    LPT = 490,
    COMMAND = 491,
    TIMEOUT = 492,
    L_FILE = 493,
    L_PARTITION = 494,
    BOOTFILE = 495,
    WHOLEDISK = 496,
    THREEINCH = 497,
    THREEINCH_720 = 498,
    THREEINCH_2880 = 499,
    FIVEINCH = 500,
    ATAPI = 501,
    READONLY = 502,
    LAYOUT = 503,
    SECTORS = 504,
    CYLINDERS = 505,
    TRACKS = 506,
    HEADS = 507,
    OFFSET = 508,
    HDIMAGE = 509,
    DISKCYL4096 = 510,
    RDONLY = 511,
    WRONLY = 512,
    RDWR = 513,
    ORMASK = 514,
    ANDMASK = 515,
    RANGE = 516,
    FAST = 517,
    SLOW = 518,
    SILLYINT = 519,
    USE_SIGIO = 520,
    HARDWARE_RAM = 521,
    SB_BASE = 522,
    SB_IRQ = 523,
    SB_DMA = 524,
    SB_HDMA = 525,
    SB_MIXER = 526,
    SB_DSP = 527,
    MPU_BASE = 528,
    SOUND_DRIVER = 529,
    OSS_MIN_FRAGS = 530,
    OSS_MAX_FRAGS = 531,
    OSS_STALLED_FRAGS = 532,
    OSS_DO_POST = 533,
    OSS_MIN_EXTRA_FRAGS = 534,
    OSS_DAC_FREQ = 535,
    CDROM = 536,
    ASPI = 537,
    DEVICETYPE = 538,
    TARGET = 539,
    FEATURE = 540,
    JOYSTICK = 541,
    JOY_DEVICE = 542,
    JOY_DOS_MIN = 543,
    JOY_DOS_MAX = 544,
    JOY_GRANULARITY = 545,
    JOY_LATENCY = 546,
    CLI_TIMEOUT = 547,
    PIC_WATCHDOG = 548,
    TIMEMODE = 549,
    INTERNAL = 550,
    EXTERNAL = 551,
    UNICODE = 552,
    SHIFT_ALT_MAP = 553,
    CTRL_MAP = 554,
    CTRL_ALT_MAP = 555
  };
#endif
/* Tokens.  */
#define INTEGER 258
#define L_OFF 259
#define L_ON 260
#define L_AUTO 261
#define L_YES 262
#define L_NO 263
#define CHIPSET_TYPE 264
#define KEYB_LAYOUT 265
#define REAL 266
#define STRING 267
#define VARIABLE 268
#define EXPRTEST 269
#define INTCAST 270
#define REALCAST 271
#define AND_OP 272
#define OR_OP 273
#define XOR_OP 274
#define SHR_OP 275
#define SHL_OP 276
#define NOT_OP 277
#define EQ_OP 278
#define GE_OP 279
#define LE_OP 280
#define NEQ_OP 281
#define STR_EQ_OP 282
#define STR_NEQ_OP 283
#define L_AND_OP 284
#define L_OR_OP 285
#define UMINUS 286
#define UPLUS 287
#define BIT_NOT_OP 288
#define STRLEN 289
#define STRTOL 290
#define STRNCMP 291
#define STRCAT 292
#define STRPBRK 293
#define STRSPLIT 294
#define STRCHR 295
#define STRRCHR 296
#define STRSTR 297
#define STRDEL 298
#define STRSPN 299
#define STRCSPN 300
#define SHELL 301
#define DEFINED 302
#define DEFINE 303
#define UNDEF 304
#define IFSTATEMENT 305
#define WHILESTATEMENT 306
#define FOREACHSTATEMENT 307
#define ENTER_USER_SPACE 308
#define LEAVE_USER_SPACE 309
#define CHECKUSERVAR 310
#define DOSBANNER 311
#define FASTFLOPPY 312
#define HOGTHRESH 313
#define SPEAKER 314
#define IPXSUPPORT 315
#define IPXNETWORK 316
#define NOVELLHACK 317
#define NETDEV 318
#define VNET 319
#define DEBUG 320
#define MOUSE 321
#define SERIAL 322
#define COM 323
#define KEYBOARD 324
#define TERMINAL 325
#define VIDEO 326
#define EMURETRACE 327
#define TIMER 328
#define MATHCO 329
#define CPU 330
#define CPUSPEED 331
#define RDTSC 332
#define BOOTA 333
#define BOOTB 334
#define BOOTC 335
#define L_XMS 336
#define L_DPMI 337
#define DPMI_BASE 338
#define PM_DOS_API 339
#define NO_NULL_CHECKS 340
#define PORTS 341
#define DISK 342
#define DOSMEM 343
#define EXT_MEM 344
#define L_EMS 345
#define L_UMB 346
#define EMS_SIZE 347
#define EMS_FRAME 348
#define EMS_UMA_PAGES 349
#define EMS_CONV_PAGES 350
#define TTYLOCKS 351
#define L_SOUND 352
#define L_SND_OSS 353
#define L_JOYSTICK 354
#define FULL_FILE_LOCKS 355
#define DEXE 356
#define ALLOWDISK 357
#define FORCEXDOS 358
#define XDOSONLY 359
#define ABORT 360
#define WARN 361
#define BOOTDISK 362
#define L_FLOPPY 363
#define EMUSYS 364
#define EMUINI 365
#define L_X 366
#define DOSEMUMAP 367
#define LOGBUFSIZE 368
#define LOGFILESIZE 369
#define MAPPINGDRIVER 370
#define LFN_SUPPORT 371
#define EMULATED 372
#define NATIVE 373
#define CPUEMU 374
#define VM86 375
#define FULL 376
#define VM86SIM 377
#define FULLSIM 378
#define RAWKEYBOARD 379
#define PRESTROKE 380
#define KEYTABLE 381
#define SHIFT_MAP 382
#define ALT_MAP 383
#define NUMPAD_MAP 384
#define DUMP 385
#define DGRAVE 386
#define DACUTE 387
#define DCIRCUM 388
#define DTILDE 389
#define DBREVE 390
#define DABOVED 391
#define DDIARES 392
#define DABOVER 393
#define DDACUTE 394
#define DCEDILLA 395
#define DIOTA 396
#define DOGONEK 397
#define DCARON 398
#define NETWORK 399
#define PKTDRIVER 400
#define DIRECTORY 401
#define NAMESTUB 402
#define BINARY 403
#define BASE 404
#define IRQ 405
#define INTERRUPT 406
#define DEVICE 407
#define CHARSET 408
#define BAUDRATE 409
#define VIRTUAL 410
#define PSEUDO 411
#define RTSCTS 412
#define LOWLAT 413
#define MICROSOFT 414
#define MS3BUTTON 415
#define LOGITECH 416
#define MMSERIES 417
#define MOUSEMAN 418
#define HITACHI 419
#define MOUSESYSTEMS 420
#define BUSMOUSE 421
#define PS2 422
#define IMPS2 423
#define INTERNALDRIVER 424
#define EMULATE3BUTTONS 425
#define CLEARDTR 426
#define L_DISPLAY 427
#define L_TITLE 428
#define X_TITLE_SHOW_APPNAME 429
#define ICON_NAME 430
#define X_KEYCODE 431
#define X_BLINKRATE 432
#define X_SHARECMAP 433
#define X_MITSHM 434
#define X_FONT 435
#define X_FIXED_ASPECT 436
#define X_ASPECT_43 437
#define X_LIN_FILT 438
#define X_BILIN_FILT 439
#define X_MODE13FACT 440
#define X_WINSIZE 441
#define X_GAMMA 442
#define X_FULLSCREEN 443
#define VGAEMU_MEMSIZE 444
#define VESAMODE 445
#define X_LFB 446
#define X_PM_INTERFACE 447
#define X_MGRAB_KEY 448
#define X_BACKGROUND_PAUSE 449
#define VGA 450
#define MGA 451
#define CGA 452
#define EGA 453
#define NONE 454
#define CONSOLE 455
#define GRAPHICS 456
#define CHIPSET 457
#define FULLREST 458
#define PARTREST 459
#define MEMSIZE 460
#define VBIOS_SIZE_TOK 461
#define VBIOS_SEG 462
#define VGAEMUBIOS_FILE 463
#define VBIOS_FILE 464
#define VBIOS_COPY 465
#define VBIOS_MMAP 466
#define DUALMON 467
#define VBIOS_POST 468
#define FORCE_VT_SWITCH 469
#define PCI 470
#define UPDATEFREQ 471
#define UPDATELINES 472
#define COLOR 473
#define ESCCHAR 474
#define XTERM_TITLE 475
#define IO 476
#define PORT 477
#define CONFIG 478
#define READ 479
#define WRITE 480
#define KEYB 481
#define PRINTER 482
#define WARNING 483
#define GENERAL 484
#define HARDWARE 485
#define L_IPC 486
#define SOUND 487
#define TRACE 488
#define CLEAR 489
#define LPT 490
#define COMMAND 491
#define TIMEOUT 492
#define L_FILE 493
#define L_PARTITION 494
#define BOOTFILE 495
#define WHOLEDISK 496
#define THREEINCH 497
#define THREEINCH_720 498
#define THREEINCH_2880 499
#define FIVEINCH 500
#define ATAPI 501
#define READONLY 502
#define LAYOUT 503
#define SECTORS 504
#define CYLINDERS 505
#define TRACKS 506
#define HEADS 507
#define OFFSET 508
#define HDIMAGE 509
#define DISKCYL4096 510
#define RDONLY 511
#define WRONLY 512
#define RDWR 513
#define ORMASK 514
#define ANDMASK 515
#define RANGE 516
#define FAST 517
#define SLOW 518
#define SILLYINT 519
#define USE_SIGIO 520
#define HARDWARE_RAM 521
#define SB_BASE 522
#define SB_IRQ 523
#define SB_DMA 524
#define SB_HDMA 525
#define SB_MIXER 526
#define SB_DSP 527
#define MPU_BASE 528
#define SOUND_DRIVER 529
#define OSS_MIN_FRAGS 530
#define OSS_MAX_FRAGS 531
#define OSS_STALLED_FRAGS 532
#define OSS_DO_POST 533
#define OSS_MIN_EXTRA_FRAGS 534
#define OSS_DAC_FREQ 535
#define CDROM 536
#define ASPI 537
#define DEVICETYPE 538
#define TARGET 539
#define FEATURE 540
#define JOYSTICK 541
#define JOY_DEVICE 542
#define JOY_DOS_MIN 543
#define JOY_DOS_MAX 544
#define JOY_GRANULARITY 545
#define JOY_LATENCY 546
#define CLI_TIMEOUT 547
#define PIC_WATCHDOG 548
#define TIMEMODE 549
#define INTERNAL 550
#define EXTERNAL 551
#define UNICODE 552
#define SHIFT_ALT_MAP 553
#define CTRL_MAP 554
#define CTRL_ALT_MAP 555

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 212 "parser.y" /* yacc.c:355  */

	int i_value;
	char *s_value;
	float r_value;
	struct {
		enum {
			TYPE_NONE,
			TYPE_INTEGER,
			TYPE_BOOLEAN,
			TYPE_REAL
		} type;
		union {
			int i;
			float r;
		} value;
	} t_value;

#line 896 "parser.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif



int yyparse (void);

#endif /* !YY_YY_PARSER_H_INCLUDED  */

/* Copy the second part of user declarations.  */
#line 230 "parser.y" /* yacc.c:358  */

#include "lexer.h"

#line 915 "parser.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  230
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   3131

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  314
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  89
/* YYNRULES -- Number of rules.  */
#define YYNRULES  494
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  931

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   555

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     311,   312,    36,    34,   313,    35,     2,    37,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,   308,
      27,    26,    28,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   309,     2,   310,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    29,    30,    31,    32,    33,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   360,   360,   361,   362,   365,   366,   369,   371,   372,
     373,   374,   396,   399,   403,   408,   409,   410,   429,   430,
     440,   444,   445,   450,   455,   464,   469,   474,   479,   483,
     487,   492,   502,   511,   526,   536,   546,   552,   558,   562,
     566,   570,   581,   593,   597,   602,   609,   610,   615,   620,
     625,   630,   635,   640,   641,   646,   647,   652,   653,   661,
     662,   663,   664,   679,   678,   682,   683,   686,   691,   690,
     694,   693,   697,   701,   700,   705,   704,   708,   707,   711,
     717,   722,   721,   724,   726,   725,   730,   729,   734,   733,
     737,   750,   764,   763,   767,   768,   769,   769,   770,   771,
     772,   774,   773,   776,   782,   784,   783,   789,   793,   795,
     797,   803,   805,   808,   811,   816,   817,   818,   819,   821,
     823,   825,   829,   831,   833,   837,   841,   853,   856,   857,
     859,   861,   863,   865,   866,   867,   871,   875,   879,   885,
     891,   897,   903,   907,   911,   919,   921,   923,   925,   927,
     929,   931,   933,   935,   937,   939,   940,   941,   942,   943,
     944,   950,   951,   955,   972,   982,   983,   984,   997,  1009,
    1013,  1016,  1017,  1026,  1027,  1036,  1040,  1048,  1049,  1051,
    1052,  1053,  1054,  1055,  1056,  1057,  1058,  1059,  1060,  1061,
    1062,  1063,  1064,  1065,  1066,  1067,  1068,  1073,  1078,  1079,
    1080,  1081,  1082,  1083,  1084,  1086,  1087,  1088,  1089,  1092,
    1093,  1096,  1097,  1101,  1113,  1114,  1116,  1117,  1118,  1119,
    1120,  1121,  1122,  1123,  1125,  1126,  1128,  1129,  1130,  1131,
    1132,  1133,  1138,  1139,  1141,  1142,  1143,  1144,  1145,  1150,
    1151,  1153,  1154,  1155,  1156,  1157,  1158,  1163,  1164,  1167,
    1170,  1173,  1176,  1177,  1178,  1181,  1182,  1186,  1190,  1201,
    1212,  1213,  1214,  1215,  1216,  1219,  1224,  1225,  1227,  1228,
    1229,  1230,  1233,  1242,  1243,  1245,  1246,  1247,  1248,  1249,
    1250,  1251,  1252,  1253,  1254,  1255,  1256,  1257,  1258,  1259,
    1260,  1261,  1262,  1263,  1264,  1265,  1266,  1267,  1268,  1269,
    1271,  1276,  1277,  1279,  1280,  1281,  1282,  1283,  1289,  1294,
    1299,  1305,  1310,  1315,  1320,  1325,  1330,  1335,  1340,  1342,
    1347,  1348,  1350,  1351,  1351,  1352,  1353,  1354,  1355,  1358,
    1361,  1362,  1365,  1365,  1366,  1366,  1367,  1367,  1368,  1368,
    1369,  1369,  1370,  1370,  1371,  1371,  1374,  1375,  1378,  1379,
    1380,  1381,  1382,  1383,  1384,  1385,  1386,  1387,  1388,  1389,
    1390,  1391,  1392,  1393,  1394,  1403,  1404,  1406,  1407,  1408,
    1409,  1411,  1416,  1417,  1419,  1421,  1433,  1434,  1435,  1436,
    1437,  1438,  1439,  1440,  1441,  1443,  1448,  1449,  1451,  1452,
    1453,  1454,  1455,  1456,  1458,  1463,  1469,  1472,  1473,  1475,
    1476,  1477,  1478,  1479,  1480,  1481,  1482,  1483,  1484,  1485,
    1486,  1487,  1493,  1499,  1507,  1514,  1521,  1528,  1530,  1537,
    1539,  1544,  1545,  1547,  1554,  1560,  1570,  1580,  1581,  1582,
    1583,  1584,  1585,  1586,  1587,  1588,  1591,  1594,  1595,  1597,
    1599,  1601,  1603,  1605,  1606,  1609,  1614,  1615,  1617,  1618,
    1619,  1620,  1621,  1622,  1623,  1624,  1627,  1632,  1633,  1635,
    1640,  1645,  1650,  1664,  1668,  1672,  1675,  1680,  1681,  1683,
    1689,  1695,  1702,  1709,  1712,  1717,  1720,  1723,  1731,  1740,
    1741,  1742,  1743,  1745,  1750,  1751,  1752,  1753,  1754,  1755,
    1757,  1760,  1761,  1764,  1765
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "INTEGER", "L_OFF", "L_ON", "L_AUTO",
  "L_YES", "L_NO", "CHIPSET_TYPE", "KEYB_LAYOUT", "REAL", "STRING",
  "VARIABLE", "EXPRTEST", "INTCAST", "REALCAST", "AND_OP", "OR_OP",
  "XOR_OP", "SHR_OP", "SHL_OP", "NOT_OP", "EQ_OP", "GE_OP", "LE_OP", "'='",
  "'<'", "'>'", "NEQ_OP", "STR_EQ_OP", "STR_NEQ_OP", "L_AND_OP", "L_OR_OP",
  "'+'", "'-'", "'*'", "'/'", "UMINUS", "UPLUS", "BIT_NOT_OP", "STRLEN",
  "STRTOL", "STRNCMP", "STRCAT", "STRPBRK", "STRSPLIT", "STRCHR",
  "STRRCHR", "STRSTR", "STRDEL", "STRSPN", "STRCSPN", "SHELL", "DEFINED",
  "DEFINE", "UNDEF", "IFSTATEMENT", "WHILESTATEMENT", "FOREACHSTATEMENT",
  "ENTER_USER_SPACE", "LEAVE_USER_SPACE", "CHECKUSERVAR", "DOSBANNER",
  "FASTFLOPPY", "HOGTHRESH", "SPEAKER", "IPXSUPPORT", "IPXNETWORK",
  "NOVELLHACK", "NETDEV", "VNET", "DEBUG", "MOUSE", "SERIAL", "COM",
  "KEYBOARD", "TERMINAL", "VIDEO", "EMURETRACE", "TIMER", "MATHCO", "CPU",
  "CPUSPEED", "RDTSC", "BOOTA", "BOOTB", "BOOTC", "L_XMS", "L_DPMI",
  "DPMI_BASE", "PM_DOS_API", "NO_NULL_CHECKS", "PORTS", "DISK", "DOSMEM",
  "EXT_MEM", "L_EMS", "L_UMB", "EMS_SIZE", "EMS_FRAME", "EMS_UMA_PAGES",
  "EMS_CONV_PAGES", "TTYLOCKS", "L_SOUND", "L_SND_OSS", "L_JOYSTICK",
  "FULL_FILE_LOCKS", "DEXE", "ALLOWDISK", "FORCEXDOS", "XDOSONLY", "ABORT",
  "WARN", "BOOTDISK", "L_FLOPPY", "EMUSYS", "EMUINI", "L_X", "DOSEMUMAP",
  "LOGBUFSIZE", "LOGFILESIZE", "MAPPINGDRIVER", "LFN_SUPPORT", "EMULATED",
  "NATIVE", "CPUEMU", "VM86", "FULL", "VM86SIM", "FULLSIM", "RAWKEYBOARD",
  "PRESTROKE", "KEYTABLE", "SHIFT_MAP", "ALT_MAP", "NUMPAD_MAP", "DUMP",
  "DGRAVE", "DACUTE", "DCIRCUM", "DTILDE", "DBREVE", "DABOVED", "DDIARES",
  "DABOVER", "DDACUTE", "DCEDILLA", "DIOTA", "DOGONEK", "DCARON",
  "NETWORK", "PKTDRIVER", "DIRECTORY", "NAMESTUB", "BINARY", "BASE", "IRQ",
  "INTERRUPT", "DEVICE", "CHARSET", "BAUDRATE", "VIRTUAL", "PSEUDO",
  "RTSCTS", "LOWLAT", "MICROSOFT", "MS3BUTTON", "LOGITECH", "MMSERIES",
  "MOUSEMAN", "HITACHI", "MOUSESYSTEMS", "BUSMOUSE", "PS2", "IMPS2",
  "INTERNALDRIVER", "EMULATE3BUTTONS", "CLEARDTR", "L_DISPLAY", "L_TITLE",
  "X_TITLE_SHOW_APPNAME", "ICON_NAME", "X_KEYCODE", "X_BLINKRATE",
  "X_SHARECMAP", "X_MITSHM", "X_FONT", "X_FIXED_ASPECT", "X_ASPECT_43",
  "X_LIN_FILT", "X_BILIN_FILT", "X_MODE13FACT", "X_WINSIZE", "X_GAMMA",
  "X_FULLSCREEN", "VGAEMU_MEMSIZE", "VESAMODE", "X_LFB", "X_PM_INTERFACE",
  "X_MGRAB_KEY", "X_BACKGROUND_PAUSE", "VGA", "MGA", "CGA", "EGA", "NONE",
  "CONSOLE", "GRAPHICS", "CHIPSET", "FULLREST", "PARTREST", "MEMSIZE",
  "VBIOS_SIZE_TOK", "VBIOS_SEG", "VGAEMUBIOS_FILE", "VBIOS_FILE",
  "VBIOS_COPY", "VBIOS_MMAP", "DUALMON", "VBIOS_POST", "FORCE_VT_SWITCH",
  "PCI", "UPDATEFREQ", "UPDATELINES", "COLOR", "ESCCHAR", "XTERM_TITLE",
  "IO", "PORT", "CONFIG", "READ", "WRITE", "KEYB", "PRINTER", "WARNING",
  "GENERAL", "HARDWARE", "L_IPC", "SOUND", "TRACE", "CLEAR", "LPT",
  "COMMAND", "TIMEOUT", "L_FILE", "L_PARTITION", "BOOTFILE", "WHOLEDISK",
  "THREEINCH", "THREEINCH_720", "THREEINCH_2880", "FIVEINCH", "ATAPI",
  "READONLY", "LAYOUT", "SECTORS", "CYLINDERS", "TRACKS", "HEADS",
  "OFFSET", "HDIMAGE", "DISKCYL4096", "RDONLY", "WRONLY", "RDWR", "ORMASK",
  "ANDMASK", "RANGE", "FAST", "SLOW", "SILLYINT", "USE_SIGIO",
  "HARDWARE_RAM", "SB_BASE", "SB_IRQ", "SB_DMA", "SB_HDMA", "SB_MIXER",
  "SB_DSP", "MPU_BASE", "SOUND_DRIVER", "OSS_MIN_FRAGS", "OSS_MAX_FRAGS",
  "OSS_STALLED_FRAGS", "OSS_DO_POST", "OSS_MIN_EXTRA_FRAGS",
  "OSS_DAC_FREQ", "CDROM", "ASPI", "DEVICETYPE", "TARGET", "FEATURE",
  "JOYSTICK", "JOY_DEVICE", "JOY_DOS_MIN", "JOY_DOS_MAX",
  "JOY_GRANULARITY", "JOY_LATENCY", "CLI_TIMEOUT", "PIC_WATCHDOG",
  "TIMEMODE", "INTERNAL", "EXTERNAL", "UNICODE", "SHIFT_ALT_MAP",
  "CTRL_MAP", "CTRL_ALT_MAP", "';'", "'{'", "'}'", "'('", "')'", "','",
  "$accept", "lines", "optdelim", "line", "$@1", "$@2", "$@3", "$@4",
  "$@5", "$@6", "$@7", "$@8", "$@9", "$@10", "$@11", "$@12", "$@13",
  "$@14", "expression", "real_expression", "typed_expr", "int_expr",
  "bool_expr", "real_expr", "variable_content", "string_unquoted",
  "string_expr", "strarglist", "strarglist_item", "check_user_var_list",
  "x_flags", "x_flag", "dexeflags", "dexeflag", "sound_flags",
  "sound_flag", "snd_oss_flags", "snd_oss_flag", "joystick_flags",
  "joystick_flag", "video_flags", "video_flag", "term_flags", "term_flag",
  "debug_flags", "debug_flag", "mouse_flags", "mouse_flag",
  "keyboard_flags", "keyboard_flag", "$@15", "keyboard_mods",
  "keyboard_mod", "$@16", "$@17", "$@18", "$@19", "$@20", "$@21", "$@22",
  "keyboard_modvals", "keyboard_modval", "ttylocks_flags", "ttylocks_flag",
  "serial_flags", "serial_flag", "printer_flags", "printer_flag",
  "optbootfile", "disk_flags", "disk_flag", "port_flags", "port_flag",
  "trace_port_flags", "trace_port_flag", "sillyint_flags", "sillyint_flag",
  "ems_flags", "ems_flag", "hardware_ram_flags", "hardware_ram_flag",
  "bool", "floppy_bool", "int_bool", "irq_bool", "speaker", "cpuemu",
  "charset_flags", "charset_flag", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    61,    60,    62,   281,
     282,   283,   284,   285,    43,    45,    42,    47,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,    59,   123,
     125,    40,    41,    44
};
# endif

#define YYPACT_NINF -779

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-779)))

#define YYTABLE_NINF -324

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
    2572,  -779,  -779,    -5,  1874,  -287,    17,    17,  -275,    49,
      56,  -779,  -779,    61,  1874,  1874,  1874,   120,  1874,  1874,
    1874,   145,   145,    -2,  -779,  -779,  -779,  -240,  -779,  1874,
    1874,  1874,  1602,  1926,  1874,  -779,  -779,  -779,  1874,  1874,
    1874,  1874,  -779,  -779,  1874,  1874,  1687,  1874,  -231,  1874,
    -216,  1739,  1874,  -213,    -2,    -2,  -779,  -779,    58,   100,
    -206,   145,  1874,  1874,   145,  1874,   357,   145,    12,  1874,
    -202,  1874,   145,  -779,    -8,  1874,  -779,  -199,  -184,  -164,
    1874,  1874,   145,  1251,  -779,    -2,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,    26,  -779,  -138,  -134,  1874,  1874,  1874,
    1874,  -123,  -121,  -115,  -104,  -103,  -101,   -99,   -88,   -87,
     -84,   -74,   -65,   -64,   -61,  1874,  1249,  -779,  -779,  -779,
      35,  -779,   121,    -2,  -779,  -779,  -779,  1874,  -166,  -146,
    -779,   -58,  -779,  1249,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  1874,   -52,  -779,   -55,  -779,   -37,   -36,   -35,     8,
     -33,  -779,  -779,  -779,  -779,  -779,   283,  -779,  1249,  -779,
    -779,  -779,  -779,  -779,   -16,   -10,  -779,  -779,    34,  -779,
    -779,    87,    -9,  -779,   206,   104,  -779,  -779,    45,   -55,
     -55,    -4,    -1,   145,  -779,   145,  -779,  2867,  -779,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,   145,  -779,  -172,  -779,  -779,    14,    20,
      25,  -779,  -779,    48,   145,   145,  1874,  -779,  -779,  -779,
    -779,  -779,  2318,  -779,   -55,  1874,  1874,   519,  -779,  -779,
    -779,   145,   145,   145,    -2,   145,   145,   145,   145,   145,
     145,   145,   145,    -2,    17,  1155,  1874,  1874,  1874,  1874,
    1874,  1874,  1874,  1874,  1874,  1874,  1874,  1874,  1874,  1874,
    1874,  1874,  1874,   145,   145,  -153,    24,   -15,   342,   346,
    1640,  2670,    -2,  2715,   453,   105,  -779,  -779,  1874,  1874,
    1874,    72,  -779,  2777,  -779,    52,  2716,  -779,  -779,  -779,
    1874,  1874,  1874,  1874,  1874,    27,  -779,  -779,  -779,   145,
     145,  -779,    46,  -779,   224,  1874,  1874,  1874,  1874,  1874,
    1874,  -144,  -779,   145,  1874,  1874,  1874,  1874,   131,  -779,
    -779,  -779,  -779,   -96,  -779,  2716,  2716,    62,    76,   145,
     145,  1874,   145,  1874,  1874,  -779,  1874,   145,  1874,  -779,
    -779,  -779,  1874,  1978,  1874,  1874,  1874,  2030,  1874,  1874,
     145,  1874,  1874,  1874,  2821,  -779,    59,  -779,   375,   380,
    -187,  -779,   227,    86,    74,    80,    83,   114,   368,  -779,
    -779,  2448,  2469,    95,    96,    92,  -148,    97,    98,   117,
     118,   119,   123,   127,   130,  -141,   135,  -779,   519,   519,
     519,   519,   519,   569,   569,   569,   569,   569,   569,   340,
     340,   139,   139,  -779,  -779,  -779,  -779,  -779,  -779,  1874,
     122,  -779,  -779,  -779,  -779,  -779,  1874,  1874,  1874,  1874,
    1874,  1874,  1874,  1874,  1874,  1874,  1874,  1874,  1874,  1874,
    1874,  1874,  1874,  1874,  1874,  1874,  1874,  1874,  1874,   361,
    -779,  -779,  -779,  -779,   145,  1874,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,    93,
    -779,  -779,  -779,  -779,  1874,  1874,  1874,  1874,   145,  -779,
    -779,  -779,  -779,    22,  -779,  -779,  -779,  1874,   112,    78,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,   442,   445,   443,  -779,  -779,  1874,  1874,
    1874,   145,   145,  -779,  -779,  -779,  -779,  -779,  -779,   903,
    -779,  -779,  -779,  -779,   145,  -779,  -779,  -779,  1874,  1874,
    2082,  -779,  -779,  1874,    15,  -779,  -779,  -779,   145,   145,
     145,   145,   145,   444,  -779,  -779,  -779,  -779,  -779,  -779,
    1874,  1874,  1874,  1874,  1874,   145,  -779,   323,  -779,  -779,
    -779,  -779,  -779,   147,  -779,  -779,  -779,  -779,  -779,  -779,
    1874,  1874,  1874,  1874,   145,   145,  1874,   145,   -59,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,   888,   906,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,   454,   153,  -779,  -779,  -779,   457,   154,  -779,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  1550,  -779,  -779,  -779,
    -779,  -779,  -779,  1874,  1874,   145,  1874,   145,   136,  -779,
    -779,  -779,  -779,  -779,  2146,  1874,    60,  -779,  -779,  -779,
    -779,  2198,  1791,  1874,    79,  -779,  -779,  -779,  -779,  2250,
    1874,    42,  -779,  -779,   145,  1874,  -779,  -779,  -779,  -779,
     145,  -779,   145,  1874,   145,   145,   145,  1874,   145,   145,
    -779,  -779,   156,   145,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,   164,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,   471,
     162,   165,  -779,  -779,  -779,  -779,   231,  -779,     2,   231,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  1874,   480,  1874,  1874,  1874,  1874,  1874,  1874,
    1874,   481,  1401,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,   503,   195,   197,  -779,  -779,   511,   208,  2302,  -779,
     207,  -779,  -779,   520,   209,   212,  -779,  -779,   234,   217,
     216,   218,   219,   221,   222,   223,   232,   237,   238,  -779,
     248,   253,  -779,  1874,  -779,   145,  -779,   231,  -779,  -779,
    -779,  -779,   251,   510,   539,   540,   541,   544,   552,  -779,
    -779,  -779,  -779,  1874,  -779,  -779,  1874,   583,   274,  -779,
    -779,  1874,  -779,  1874,  -779,  1874,  -779,  1874,  -779,  -779,
    -779,  1874,  -779,  -779,    -2,  1550,  -779,  -779,  -779,  1874,
    -779,  -779,  -779,  -779,  -779,  -779,  2219,  -779,  -779,  -779,
    1874,  -779,   278,   295,   296,   302,  -130,  1453,  -779,  2219,
    2219,  2219,  2219,  2219,  2219,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    1874,  -779,   306,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,   306,   306,   306,   306,   306,   306,   310,  2219,  -779,
    -779
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       0,   112,   111,     0,     0,     0,     0,     0,     0,     0,
       0,    15,    16,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    68,    70,    73,    75,     0,    63,     0,
       0,     0,     0,     0,     0,    38,    40,    39,     0,     0,
       0,     0,    81,    84,     0,     0,     0,     0,     0,    96,
       0,     0,     0,     0,     0,     0,    86,    88,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    92,     0,   101,   105,     0,     0,     0,
       0,     0,     0,     0,     2,     0,   128,   159,   158,   133,
     156,   157,   161,   144,   163,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    19,   115,   116,   117,
     126,   165,     0,     0,   164,     9,    10,     0,     0,     0,
     175,    18,   475,   113,    44,   476,    30,     8,   483,   479,
     482,   481,   480,    62,    56,   477,    57,    60,   170,    59,
      61,     0,     0,   173,    67,   171,     0,     0,     0,     0,
       0,    45,    41,    55,    32,    31,   128,    34,   114,    36,
      49,    50,    51,    52,     0,     0,    53,    54,     0,    47,
      48,     0,     0,    95,     0,     0,    99,    28,     0,    20,
      21,     0,     0,     0,    22,     0,    26,     0,    24,    42,
      43,    25,    29,   490,   484,   489,   485,   486,   487,   488,
      33,    79,    77,     0,    58,     0,    37,    65,     0,     0,
       0,   478,   103,     0,     0,     0,     0,   108,   109,   110,
       1,     5,     0,     3,    17,     0,     0,   155,   123,   122,
     132,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   272,   271,     0,     0,
       0,     0,   266,     0,    35,     0,     0,   466,   459,   465,
       0,     0,     0,     0,     0,     0,   457,   371,   370,     0,
       0,   369,     0,   365,     0,     0,     0,     0,     0,     0,
       0,     0,   224,     0,     0,     0,     0,     0,     0,   232,
     211,   212,   213,     0,   209,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   187,   188,     0,     0,   192,
     193,   194,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   177,     0,    80,     0,     0,
       0,   491,     0,     0,     0,     0,     0,     0,     0,     6,
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   127,   129,   130,
     131,   124,   125,   145,   147,   148,   149,   150,   146,   151,
     152,   118,   119,   120,   121,   153,   154,    14,    11,     0,
       0,   176,   174,   300,   276,   299,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     273,   172,   319,   318,     0,     0,   308,   309,   312,   311,
     315,   316,   310,   317,   313,   314,   304,   305,   307,     0,
     301,   385,   384,   383,     0,     0,     0,     0,     0,   375,
     376,   377,   378,     0,   372,   329,   328,     0,     0,     0,
     320,   269,   270,   268,    66,   267,   265,   264,   241,   242,
     243,   244,   245,   250,   248,     0,   252,   253,     0,     0,
       0,     0,     0,   256,   257,   261,   260,   262,   263,     0,
     239,   436,   423,   435,     0,   427,   428,   429,     0,     0,
       0,   432,   433,     0,     0,   421,   420,   419,     0,     0,
       0,     0,     0,     0,   400,   402,   401,   404,   403,   399,
       0,     0,     0,     0,     0,     0,   405,     0,   397,   461,
     462,   463,   464,     0,    46,   458,   367,   368,    72,   366,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   214,
     226,   227,   228,   229,   230,   231,    98,   225,   234,   235,
     236,   237,   238,   100,   233,   104,   210,     0,     0,    23,
      27,   181,   182,   183,   184,   185,   186,   189,   190,   191,
     195,   128,     0,   198,   199,   200,   128,     0,   205,   206,
     207,   208,   180,   179,    94,   178,     0,   493,   494,     7,
     492,   394,   393,     0,     0,     0,     0,     0,     0,   386,
     445,   439,   444,   443,     0,     0,     0,   437,   456,   448,
     455,     0,     0,     0,     0,   446,   474,   469,   473,     0,
       0,     0,   467,    90,     0,     0,   134,   162,   136,   135,
       0,   166,     0,     0,     0,     0,     0,     0,     0,     0,
     169,   160,     0,     0,   291,   277,   283,   275,   289,   290,
     279,   294,   296,   295,   285,   286,   278,   280,   281,   282,
     284,   287,   288,   292,   293,   297,   298,    69,   274,   303,
     306,    71,   302,   379,   380,   381,   382,   374,    74,   373,
     327,   326,   325,   322,    76,   321,   251,   249,   246,   247,
     259,   258,   255,   254,    64,   240,   434,   430,   431,   128,
       0,     0,    82,   422,   415,   418,   396,   412,   396,   396,
     406,   407,   408,   409,   410,   413,    85,   398,   460,   216,
     219,   217,   218,   220,   221,   222,   223,    97,   215,    87,
      89,   196,     0,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   330,   392,   388,   389,   390,   391,    93,
     387,   128,     0,     0,    83,   438,   128,     0,     0,   450,
       0,   102,   447,   128,     0,     0,   106,   468,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    12,
       0,     0,   425,     0,   424,     0,   411,   396,   417,   414,
     197,   202,   203,     0,     0,     0,     0,     0,     0,   338,
      78,   331,   441,     0,   440,   451,     0,   128,     0,   449,
     471,     0,   470,     0,   107,     0,   138,     0,   139,   140,
     141,     0,   142,   143,     0,     0,   426,   395,   416,     0,
     340,   342,   344,   334,   332,   336,     0,   442,   452,   453,
       0,   472,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,   362,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   348,
       0,   364,   339,   346,   454,    91,   137,   167,   168,    13,
     324,   341,   343,   345,   335,   333,   337,     0,     0,   363,
     347
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -779,  -779,  -779,   -71,  -779,  -779,  -779,  -779,  -779,  -779,
    -779,  -779,  -779,  -779,  -779,  -779,  -779,  -779,   -13,  -779,
    2677,  -779,  -779,  -779,   171,    -6,   716,   -47,   344,  -779,
    -779,   260,  -779,   294,  -779,    50,  -779,   308,  -779,   307,
    -779,   111,  -779,   343,  -779,   187,  -779,   168,  -779,   152,
    -779,  -223,  -778,  -779,  -779,  -779,  -779,  -779,  -779,  -779,
    -224,  -285,  -779,   332,  -779,   167,  -779,     7,  -708,  -133,
    -497,  -779,   125,  -779,     5,  -779,     1,  -779,   348,  -779,
      -3,   656,  -779,   124,  -779,  -779,  -779,  -779,   286
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    83,   232,    84,   160,   152,   156,   157,   158,   366,
     174,   175,   191,   192,   218,   182,   220,   223,   132,   167,
     133,   117,   118,   119,   120,   121,   122,   154,   155,   131,
     364,   365,   333,   334,   578,   579,   321,   322,   328,   329,
     519,   520,   291,   292,   449,   450,   469,   470,   489,   490,
     821,   782,   783,   893,   892,   894,   876,   889,   890,   891,
     912,   913,   312,   313,   483,   484,   638,   639,   826,   557,
     558,   534,   535,   646,   647,   654,   655,   305,   306,   661,
     662,   134,   136,   146,   222,   143,   210,   370,   371
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     125,   126,   135,   137,   841,   827,   145,   189,   190,   286,
     124,    94,   233,   330,   331,   332,   521,   162,   522,   165,
     287,    85,   212,   471,   123,   145,   145,   523,   297,   124,
     298,   145,   145,   145,   472,   297,   127,   298,   234,   299,
     828,   829,   104,   656,   106,   657,   299,   307,   110,   199,
     200,   113,   128,   521,   658,   522,  -164,  -164,   308,   129,
     757,   640,   221,   641,   523,  -170,  -170,   145,   145,   159,
     124,    94,   642,   286,   130,   648,   275,   649,   181,   485,
     648,   656,   649,   657,   287,   219,   650,   640,   307,   641,
     486,   650,   658,   184,   452,   473,   188,   474,   642,   308,
     757,   757,   104,   197,   106,   453,   485,   215,   110,   841,
     224,   113,   124,    94,   276,   368,   369,   486,   721,   868,
     722,   138,   723,   629,   139,   225,   300,   301,   302,   303,
     368,   369,   140,   300,   301,   302,   303,   631,   315,   316,
     317,   318,   319,   320,   104,   226,   106,   277,   632,   213,
     110,   273,   274,   113,   330,   331,   332,   124,    94,   417,
     282,   380,   170,   171,   671,   282,   586,   278,   176,   177,
     179,   680,   282,   235,   524,   271,   272,   236,   475,   476,
     477,   478,   919,   282,   479,   480,   481,   482,   241,   104,
     242,   106,   148,   148,   148,   110,   243,   386,   113,   309,
     310,   311,   597,   598,   227,   228,   395,   244,   245,   487,
     246,   524,   247,   378,   595,   570,   571,   572,   573,   574,
     575,   576,   577,   248,   249,   148,   148,   250,   631,   148,
     148,   288,   148,   289,   290,   148,   487,   251,   148,   632,
     309,   310,   311,   148,   141,   142,   252,   253,   396,   825,
     254,   767,   454,   148,   455,   279,   148,   281,   282,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   283,   284,   285,   491,   293,   493,   525,   526,
     527,   528,   529,   530,   531,   532,   294,   559,   560,   561,
     562,   563,   633,   295,   148,   288,   419,   289,   290,   296,
     314,   643,   580,   581,   582,   335,   584,   585,   336,   151,
     659,   589,   590,   591,   592,   525,   526,   527,   528,   529,
     530,   531,   532,   372,   536,   742,   533,   643,   644,   373,
     605,   606,   718,   488,   374,   537,   418,   564,   304,   610,
     612,   613,   651,   615,   617,   304,   652,   651,   659,   622,
     623,   652,   806,   660,   644,   420,   568,   375,   203,   421,
     488,   204,   423,   533,   148,   424,   148,   193,   626,   205,
     794,   645,   599,   425,   269,   270,   271,   272,   634,   635,
     636,   637,   494,   633,   148,   653,   600,   627,   724,   801,
     653,   660,   628,   663,   665,   148,   148,   645,   323,   324,
     325,   326,   327,   711,   664,   670,   682,   668,   669,   195,
     672,   673,   148,   148,   148,   148,   148,   148,   148,   148,
     148,   148,   148,   148,   148,   323,   324,   325,   326,   327,
     674,   675,   676,   683,   426,   427,   677,   428,   538,   429,
     678,   593,   710,   679,   148,   148,   789,   681,   726,   430,
     431,   727,   728,   148,   471,   432,   749,   771,   433,   758,
     773,   713,   714,   715,   716,   472,   772,   774,   819,   634,
     635,   636,   637,  -323,   822,   823,   539,   824,   825,   434,
     148,   148,   540,   831,   206,   207,   208,   209,   315,   316,
     317,   318,   319,   320,   148,   729,   730,   731,   570,   571,
     572,   573,   574,   575,   576,   577,   842,   839,   843,   844,
     148,   148,   435,   148,   845,   737,   738,   740,   148,   849,
     741,   846,   851,   850,   852,   853,   473,   854,   474,   855,
     856,   148,   857,   858,   859,   860,   870,   750,   751,   752,
     753,   754,   261,   262,   263,   861,   264,   265,   266,   862,
     863,   267,   268,   269,   270,   271,   272,   759,   760,   761,
     762,   864,   865,   765,   869,   871,   872,   873,   541,   542,
     874,   543,   544,   545,   546,   547,   548,   549,   875,   550,
     551,   552,   553,   554,   555,   556,   879,   880,   915,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   267,   268,   269,   270,   271,   272,   916,   917,   475,
     476,   477,   478,   781,   918,   479,   480,   481,   482,   928,
     784,   785,   929,   787,   625,   148,   451,   596,   768,   587,
     735,   792,   793,   756,   495,   594,   708,   712,   797,   799,
     800,   725,   887,   930,   569,   790,   804,   805,     0,   148,
     719,   795,   809,   565,   448,   802,   630,     0,   807,   743,
     812,     0,     0,     0,   816,   921,   922,   923,   924,   925,
     926,   707,     0,     0,   144,     0,   147,     0,     0,     0,
       0,     0,   148,   148,     0,   161,     0,   163,     0,     0,
     169,     0,     0,     0,     0,   148,   172,   173,     0,     0,
       0,     0,     0,   180,     0,   183,     0,   186,   187,   148,
     148,   148,   148,   148,     0,     0,     0,     0,     0,     0,
       0,   202,     0,     0,     0,   214,   148,   216,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   149,   150,   153,
       0,     0,     0,     0,     0,   148,   148,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   830,
       0,   832,   833,   834,   835,   836,   837,   838,     0,   781,
     153,   153,     0,     0,   194,   196,     0,   198,     0,     0,
     201,     0,     0,   211,     0,   848,     0,     0,   217,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   229,     0,
       0,   153,     0,     0,     0,     0,   148,     0,   148,     0,
     866,     0,     0,     0,     0,     0,     0,   886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     877,     0,     0,   878,     0,   148,     0,     0,   881,   153,
     882,   148,   883,   148,   884,   148,   148,   148,   885,   148,
     148,     0,   781,     0,   148,     0,   888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   914,     0,     0,
     911,     0,     0,     0,   781,     0,     0,     0,     0,     0,
       0,     0,     0,   911,   911,   911,   911,   911,   911,   536,
       0,     0,     0,     0,     0,     0,     0,   927,     0,     0,
     537,     0,     0,     0,   496,     0,     0,   536,     0,   337,
       0,   338,     0,     0,     0,   497,     0,     0,   537,     0,
       0,     0,   911,     0,     0,     0,     0,     0,     0,   367,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     376,   377,     0,     0,     0,   492,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   383,   384,   385,
     153,   387,   388,   389,   390,   391,   392,   393,   394,   153,
       0,     0,     0,     0,   583,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   415,
     416,     0,     0,     0,     0,     0,   148,   603,   153,     0,
       0,     0,   607,   538,   609,     0,     0,     0,     0,     0,
       0,   614,     0,     0,   618,   619,     0,   621,     0,     0,
       0,   538,     0,     0,     0,   566,   567,     0,     0,     0,
       0,     0,     0,     0,     0,   148,     0,     0,     0,   588,
       0,   539,     0,     0,     0,     0,     0,   540,     0,     0,
       0,     0,     0,     0,     0,   601,   602,     0,   604,   539,
       0,     0,     0,   608,     0,   540,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   620,     0,     0,     0,
       0,     0,   684,   685,   686,   687,   688,   689,   690,   691,
     692,   693,   694,   695,   696,   697,   698,   699,   700,   701,
     702,   703,   704,   705,   706,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,     0,     0,
       0,     0,     0,   541,   542,     0,   543,   544,   545,   546,
     547,   548,   549,   720,   550,   551,   552,   553,   554,   555,
     556,   541,   542,     0,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,     0,
     709,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,   266,     0,     0,   267,   268,   269,
     270,   271,   272,     0,   717,     0,     0,     0,   769,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   734,     0,     0,   770,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   732,   733,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     736,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   230,     1,     0,   744,   745,   746,   747,   748,     0,
       0,     0,     0,     2,     3,     4,   256,   257,   258,   259,
     260,   755,   261,   262,   263,     0,   264,   265,   266,     0,
       0,   267,   268,   269,   270,   271,   272,     0,     0,     0,
     763,   764,     0,   766,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     0,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,     0,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,     0,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
       0,   786,     0,   788,    48,    49,    50,    51,    52,    53,
       0,     0,     0,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,     0,     0,    66,     0,     0,
     808,     0,     0,    67,    68,     0,   810,     0,   811,     0,
     813,   814,   815,     0,   817,   818,     0,     0,     0,   820,
       0,     0,     0,    69,    86,    87,    88,    89,    90,    91,
       0,    70,    92,    93,    94,     0,    95,    96,     0,     0,
       0,     0,     0,    97,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    98,    99,     0,     0,     0,
       0,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,    86,    87,    88,    89,
      90,    91,     0,     0,    92,    93,    94,   397,    95,    96,
       0,     0,     0,    71,     0,    97,     0,     0,    72,     0,
       0,     0,     0,     0,     0,    73,     0,    98,    99,     0,
       0,    74,     0,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    75,     0,    76,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   775,   776,   777,     0,    77,
      78,   867,     0,    79,     0,     0,     0,     0,     0,     0,
      80,    81,    82,    86,    87,    88,    89,    90,    91,   231,
       0,    92,    93,    94,     0,    95,    96,     0,     0,     0,
       0,     0,    97,     0,     0,     0,     0,     0,     0,     0,
     153,     0,     0,     0,    98,    99,     0,   775,   776,   777,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,    86,    87,    88,    89,    90,
      91,     0,     0,    92,    93,    94,     0,    95,    96,     0,
       0,     0,     0,     0,    97,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    98,    99,     0,     0,
       0,     0,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   256,   257,   258,
     259,   260,     0,   261,   262,   263,     0,   264,   265,   266,
       0,     0,   267,   268,   269,   270,   271,   272,     0,     0,
       0,     0,     0,     0,   775,   776,   777,     0,     0,     0,
      86,    87,    88,    89,    90,    91,     0,     0,    92,    93,
      94,     0,    95,    96,     0,     0,   778,   779,   780,    97,
       0,   840,   115,     0,     0,     0,     0,     0,     0,     0,
       0,    98,    99,     0,     0,     0,   164,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,    86,    87,    88,    89,    90,    91,     0,     0,
      92,    93,    94,     0,    95,    96,     0,     0,   778,   779,
     780,    97,     0,   920,   115,     0,     0,     0,     0,     0,
       0,     0,     0,    98,    99,     0,     0,     0,     0,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,    86,    87,    88,    89,    90,    91,
       0,     0,    92,    93,    94,     0,    95,    96,     0,     0,
       0,     0,     0,    97,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    98,    99,     0,     0,     0,
       0,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   778,   779,   780,     0,     0,
       0,   115,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    86,    87,    88,
      89,    90,    91,     0,     0,    92,    93,    94,     0,    95,
      96,     0,     0,     0,     0,     0,    97,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    98,    99,
       0,     0,     0,   115,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   166,
      87,    88,    89,    90,    91,     0,     0,    92,    93,    94,
       0,    95,    96,     0,     0,     0,     0,     0,    97,     0,
       0,     0,   422,     0,     0,     0,     0,     0,     0,     0,
      98,    99,     0,     0,     0,     0,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   611,    87,    88,    89,    90,    91,     0,     0,    92,
      93,    94,     0,    95,    96,     0,   178,     0,   115,     0,
      97,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    98,    99,     0,     0,     0,     0,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   616,    87,    88,    89,    90,    91,     0,
       0,    92,    93,    94,     0,    95,    96,     0,   185,     0,
     115,     0,    97,     0,     0,     0,     0,     0,     0,   798,
       0,     0,     0,     0,    98,    99,     0,     0,     0,     0,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   739,    87,    88,    89,    90,
      91,     0,     0,    92,    93,    94,     0,    95,    96,     0,
       0,     0,   115,     0,    97,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    98,    99,     0,     0,
       0,     0,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   791,
      87,    88,    89,    90,    91,     0,     0,    92,    93,    94,
       0,    95,    96,     0,     0,     0,     0,     0,    97,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      98,    99,     0,     0,     0,   115,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   796,    87,    88,    89,    90,    91,     0,     0,    92,
      93,    94,     0,    95,    96,     0,     0,     0,     0,     0,
      97,     0,   895,     0,     0,     0,     0,     0,     0,     0,
       0,   124,    98,    99,     0,     0,     0,   115,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   803,    87,    88,    89,    90,    91,     0,
       0,    92,    93,    94,     0,    95,    96,     0,     0,     0,
       0,     0,    97,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    98,    99,     0,     0,     0,   115,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   847,    87,    88,    89,    90,
      91,     0,     0,    92,    93,    94,     0,    95,    96,     1,
       0,     0,     0,     0,    97,     0,     0,     0,     0,     0,
       2,     3,     4,     0,     0,     0,    98,    99,     0,     0,
       0,   115,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   896,   897,   898,
     899,   900,   901,   902,   903,   904,   905,   906,   907,   908,
       0,     5,     0,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,   115,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,     0,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,     0,     0,     0,
       0,    48,    49,    50,    51,    52,    53,     0,     0,     0,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,     0,     0,    66,     0,     0,     0,     0,     0,
      67,    68,     0,     0,     0,     0,     0,   115,     0,     0,
       0,     0,     0,     0,     0,   256,   257,   258,   259,   260,
      69,   261,   262,   263,     0,   264,   265,   266,    70,     0,
     267,   268,   269,   270,   271,   272,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,   266,     0,
       0,   267,   268,   269,   270,   271,   272,     0,     0,   115,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   909,     0,     0,     0,     0,     0,     0,
     910,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      71,     0,     0,     0,     0,    72,     0,     0,     0,     0,
       0,     0,    73,     0,     0,     0,     0,     0,    74,     0,
       0,   115,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     1,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     2,     3,     4,     0,     0,    75,
       0,    76,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    77,    78,     0,     0,
      79,     0,     0,   115,     0,     0,     0,    80,    81,    82,
       0,     0,     0,     0,     0,     5,   379,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,     0,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
       0,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,   423,     0,     0,   424,    48,    49,    50,    51,    52,
      53,   116,   425,     0,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,     0,     0,    66,     0,
       0,     0,     0,     0,    67,    68,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   452,   536,     0,     0,
       0,     0,     0,     0,    69,     0,     0,   453,   537,     0,
       0,     0,    70,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,     0,   428,     0,   429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   430,   431,
     666,     0,     0,     0,   432,     0,     0,   433,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   496,     0,
       0,   667,     0,     0,     0,     0,     0,     0,   434,   497,
       0,     0,   255,     0,    71,     0,     0,     0,     0,    72,
       0,     0,     0,     0,     0,     0,    73,     0,     0,     0,
       0,     0,    74,     0,     0,     0,     0,     0,     0,     0,
       0,   435,     0,     0,     0,     0,     0,     0,   280,     0,
       0,   538,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    75,     0,    76,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      77,    78,     0,     0,    79,     0,     0,     0,     0,   539,
       0,    80,    81,    82,   454,   540,   455,     0,     0,     0,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,     0,     0,     0,     0,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
       0,     0,   381,   382,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   541,   542,   448,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   555,   556,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   362,   363,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     362,   363,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   624
};

static const yytype_int16 yycheck[] =
{
       6,     7,    15,    16,   782,     3,    19,    54,    55,     1,
      12,    13,    83,   109,   110,   111,     1,    30,     3,    32,
      12,    26,    10,     1,   311,    38,    39,    12,     1,    12,
       3,    44,    45,    46,    12,     1,   311,     3,    85,    12,
     748,   749,    44,     1,    46,     3,    12,     1,    50,    62,
      63,    53,     3,     1,    12,     3,    30,    31,    12,     3,
     557,     1,    75,     3,    12,    30,    31,    80,    81,   309,
      12,    13,    12,     1,    13,     1,   123,     3,   309,     1,
       1,     1,     3,     3,    12,    93,    12,     1,     1,     3,
      12,    12,    12,   309,     1,    73,   309,    75,    12,    12,
     597,   598,    44,   309,    46,    12,     1,   309,    50,   887,
     309,    53,    12,    13,   127,   302,   303,    12,     6,   827,
       8,     1,    10,   310,     4,   309,    99,   100,   101,   102,
     302,   303,    12,    99,   100,   101,   102,     1,   282,   283,
     284,   285,   286,   287,    44,   309,    46,   313,    12,   137,
      50,    30,    31,    53,   109,   110,   111,    12,    13,   312,
     313,   232,    38,    39,   312,   313,   310,   313,    44,    45,
      46,   312,   313,   311,   159,    36,    37,   311,   156,   157,
     158,   159,   312,   313,   162,   163,   164,   165,   311,    44,
     311,    46,    21,    22,    23,    50,   311,   244,    53,   153,
     154,   155,   335,   336,    80,    81,   253,   311,   311,   131,
     311,   159,   311,   226,   310,   274,   275,   276,   277,   278,
     279,   280,   281,   311,   311,    54,    55,   311,     1,    58,
      59,   223,    61,   225,   226,    64,   131,   311,    67,    12,
     153,   154,   155,    72,   124,   125,   311,   311,   254,   247,
     311,   310,   159,    82,   161,   313,    85,   309,   313,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   309,   309,   309,   288,   309,   290,   263,   264,
     265,   266,   267,   268,   269,   270,     3,   300,   301,   302,
     303,   304,   156,   309,   123,   223,   311,   225,   226,   309,
     309,   241,   315,   316,   317,   309,   319,   320,   309,   311,
     268,   324,   325,   326,   327,   263,   264,   265,   266,   267,
     268,   269,   270,   309,     1,   310,   311,   241,   268,   309,
     343,   344,   310,   255,   309,    12,   312,   310,   311,   352,
     353,   354,   268,   356,   357,   311,   272,   268,   268,   362,
     363,   272,   310,   311,   268,    13,   310,   309,     1,    13,
     255,     4,     1,   311,   193,     4,   195,   309,   309,    12,
     310,   311,   310,    12,    34,    35,    36,    37,   242,   243,
     244,   245,   310,   156,   213,   311,   310,    12,   310,   310,
     311,   311,    12,   310,    26,   224,   225,   311,   294,   295,
     296,   297,   298,   310,   290,   313,   419,   312,   312,   309,
     313,   313,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   294,   295,   296,   297,   298,
     313,   313,   313,   311,    73,    74,   313,    76,   115,    78,
     313,   310,   455,   313,   273,   274,   310,   312,     6,    88,
      89,     6,     9,   282,     1,    94,    12,     3,    97,   312,
       3,   474,   475,   476,   477,    12,   313,   313,   312,   242,
     243,   244,   245,   309,     3,   313,   153,   312,   247,   118,
     309,   310,   159,     3,   127,   128,   129,   130,   282,   283,
     284,   285,   286,   287,   323,   508,   509,   510,   274,   275,
     276,   277,   278,   279,   280,   281,     3,    26,   313,   312,
     339,   340,   151,   342,     3,   528,   529,   530,   347,   312,
     533,   313,   313,     3,   312,   291,    73,   310,    75,   313,
     312,   360,   313,   312,   312,   312,    26,   550,   551,   552,
     553,   554,    23,    24,    25,   313,    27,    28,    29,   312,
     312,    32,    33,    34,    35,    36,    37,   570,   571,   572,
     573,   313,   309,   576,   313,    26,    26,    26,   245,   246,
      26,   248,   249,   250,   251,   252,   253,   254,    26,   256,
     257,   258,   259,   260,   261,   262,     3,   313,   310,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,    32,    33,    34,    35,    36,    37,   312,   312,   156,
     157,   158,   159,   626,   312,   162,   163,   164,   165,   313,
     633,   634,   312,   636,   364,   454,   282,   333,   578,   321,
     519,   644,   645,   310,   291,   328,   449,   469,   651,   652,
     653,   489,   865,   928,   312,   638,   659,   660,    -1,   478,
     483,   646,   665,   305,   293,   654,   370,    -1,   661,   534,
     673,    -1,    -1,    -1,   677,   889,   890,   891,   892,   893,
     894,   310,    -1,    -1,    18,    -1,    20,    -1,    -1,    -1,
      -1,    -1,   511,   512,    -1,    29,    -1,    31,    -1,    -1,
      34,    -1,    -1,    -1,    -1,   524,    40,    41,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    49,    -1,    51,    52,   538,
     539,   540,   541,   542,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    -1,    -1,    69,   555,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,    22,    23,
      -1,    -1,    -1,    -1,    -1,   574,   575,    -1,   577,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   772,
      -1,   774,   775,   776,   777,   778,   779,   780,    -1,   782,
      54,    55,    -1,    -1,    58,    59,    -1,    61,    -1,    -1,
      64,    -1,    -1,    67,    -1,   798,    -1,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    82,    -1,
      -1,    85,    -1,    -1,    -1,    -1,   635,    -1,   637,    -1,
     823,    -1,    -1,    -1,    -1,    -1,    -1,   864,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     843,    -1,    -1,   846,    -1,   664,    -1,    -1,   851,   123,
     853,   670,   855,   672,   857,   674,   675,   676,   861,   678,
     679,    -1,   865,    -1,   683,    -1,   869,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   880,    -1,    -1,
     876,    -1,    -1,    -1,   887,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   889,   890,   891,   892,   893,   894,     1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   910,    -1,    -1,
      12,    -1,    -1,    -1,     1,    -1,    -1,     1,    -1,   193,
      -1,   195,    -1,    -1,    -1,    12,    -1,    -1,    12,    -1,
      -1,    -1,   928,    -1,    -1,    -1,    -1,    -1,    -1,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     224,   225,    -1,    -1,    -1,   289,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   273,
     274,    -1,    -1,    -1,    -1,    -1,   825,   341,   282,    -1,
      -1,    -1,   346,   115,   348,    -1,    -1,    -1,    -1,    -1,
      -1,   355,    -1,    -1,   358,   359,    -1,   361,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   309,   310,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   864,    -1,    -1,    -1,   323,
      -1,   153,    -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   339,   340,    -1,   342,   153,
      -1,    -1,    -1,   347,    -1,   159,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,    -1,    -1,
      -1,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,   254,   487,   256,   257,   258,   259,   260,   261,
     262,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,   261,   262,    -1,
     454,    -1,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    32,    33,    34,
      35,    36,    37,    -1,   478,    -1,    -1,    -1,   310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   310,    -1,    -1,   310,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   511,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     0,     1,    -1,   538,   539,   540,   541,   542,    -1,
      -1,    -1,    -1,    12,    13,    14,    17,    18,    19,    20,
      21,   555,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    32,    33,    34,    35,    36,    37,    -1,    -1,    -1,
     574,   575,    -1,   577,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    53,    -1,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    -1,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   635,    -1,   637,   103,   104,   105,   106,   107,   108,
      -1,    -1,    -1,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,    -1,   126,    -1,    -1,
     664,    -1,    -1,   132,   133,    -1,   670,    -1,   672,    -1,
     674,   675,   676,    -1,   678,   679,    -1,    -1,    -1,   683,
      -1,    -1,    -1,   152,     3,     4,     5,     6,     7,     8,
      -1,   160,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    34,    35,    -1,    -1,    -1,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,     3,     4,     5,     6,
       7,     8,    -1,    -1,    11,    12,    13,   312,    15,    16,
      -1,    -1,    -1,   222,    -1,    22,    -1,    -1,   227,    -1,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    34,    35,    -1,
      -1,   240,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   271,    -1,   273,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   134,   135,   136,    -1,   288,
     289,   825,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,
     299,   300,   301,     3,     4,     5,     6,     7,     8,   308,
      -1,    11,    12,    13,    -1,    15,    16,    -1,    -1,    -1,
      -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     864,    -1,    -1,    -1,    34,    35,    -1,   134,   135,   136,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,     3,     4,     5,     6,     7,
       8,    -1,    -1,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    34,    35,    -1,    -1,
      -1,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    32,    33,    34,    35,    36,    37,    -1,    -1,
      -1,    -1,    -1,    -1,   134,   135,   136,    -1,    -1,    -1,
       3,     4,     5,     6,     7,     8,    -1,    -1,    11,    12,
      13,    -1,    15,    16,    -1,    -1,   305,   306,   307,    22,
      -1,   310,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    34,    35,    -1,    -1,    -1,   124,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,     3,     4,     5,     6,     7,     8,    -1,    -1,
      11,    12,    13,    -1,    15,    16,    -1,    -1,   305,   306,
     307,    22,    -1,   310,   311,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    34,    35,    -1,    -1,    -1,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,     3,     4,     5,     6,     7,     8,
      -1,    -1,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    34,    35,    -1,    -1,    -1,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   305,   306,   307,    -1,    -1,
      -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
       6,     7,     8,    -1,    -1,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    35,
      -1,    -1,    -1,   311,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,     3,
       4,     5,     6,     7,     8,    -1,    -1,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    -1,    -1,    -1,    22,    -1,
      -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      34,    35,    -1,    -1,    -1,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,     3,     4,     5,     6,     7,     8,    -1,    -1,    11,
      12,    13,    -1,    15,    16,    -1,   309,    -1,   311,    -1,
      22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    34,    35,    -1,    -1,    -1,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,     3,     4,     5,     6,     7,     8,    -1,
      -1,    11,    12,    13,    -1,    15,    16,    -1,   309,    -1,
     311,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,   268,
      -1,    -1,    -1,    -1,    34,    35,    -1,    -1,    -1,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,     3,     4,     5,     6,     7,
       8,    -1,    -1,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    -1,   311,    -1,    22,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    34,    35,    -1,    -1,
      -1,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
       4,     5,     6,     7,     8,    -1,    -1,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    -1,    -1,    -1,    22,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      34,    35,    -1,    -1,    -1,   311,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,     3,     4,     5,     6,     7,     8,    -1,    -1,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    -1,    -1,    -1,
      22,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    12,    34,    35,    -1,    -1,    -1,   311,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,     3,     4,     5,     6,     7,     8,    -1,
      -1,    11,    12,    13,    -1,    15,    16,    -1,    -1,    -1,
      -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    34,    35,    -1,    -1,    -1,   311,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,     3,     4,     5,     6,     7,
       8,    -1,    -1,    11,    12,    13,    -1,    15,    16,     1,
      -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,
      12,    13,    14,    -1,    -1,    -1,    34,    35,    -1,    -1,
      -1,   311,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,    53,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,   311,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,    -1,    -1,    -1,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,    -1,   126,    -1,    -1,    -1,    -1,    -1,
     132,   133,    -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
     152,    23,    24,    25,    -1,    27,    28,    29,   160,    -1,
      32,    33,    34,    35,    36,    37,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    32,    33,    34,    35,    36,    37,    -1,    -1,   311,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   304,    -1,    -1,    -1,    -1,    -1,    -1,
     311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,
      -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,   240,    -1,
      -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    12,    13,    14,    -1,    -1,   271,
      -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,   289,    -1,    -1,
     292,    -1,    -1,   311,    -1,    -1,    -1,   299,   300,   301,
      -1,    -1,    -1,    -1,    -1,    53,   308,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    -1,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,     1,    -1,    -1,     4,   103,   104,   105,   106,   107,
     108,     4,    12,    -1,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,    -1,   126,    -1,
      -1,    -1,    -1,    -1,   132,   133,    -1,    -1,    -1,    -1,
      33,    -1,    -1,    -1,    -1,    -1,     1,     1,    -1,    -1,
      -1,    -1,    -1,    -1,   152,    -1,    -1,    12,    12,    -1,
      -1,    -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    73,    74,    -1,    76,    -1,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    89,
     312,    -1,    -1,    -1,    94,    -1,    -1,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,     1,    -1,
      -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,   118,    12,
      -1,    -1,   115,    -1,   222,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   151,    -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,
      -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   271,    -1,   273,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     288,   289,    -1,    -1,   292,    -1,    -1,    -1,    -1,   153,
      -1,   299,   300,   301,   159,   159,   161,    -1,    -1,    -1,
      -1,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,    -1,    -1,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
      -1,    -1,   235,   236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,   246,   293,   248,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,   261,   262,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   223,   224,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     223,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   310
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     1,    12,    13,    14,    53,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,   103,   104,
     105,   106,   107,   108,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   126,   132,   133,   152,
     160,   222,   227,   234,   240,   271,   273,   288,   289,   292,
     299,   300,   301,   315,   317,    26,     3,     4,     5,     6,
       7,     8,    11,    12,    13,    15,    16,    22,    34,    35,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,   311,   334,   335,   336,   337,
     338,   339,   340,   311,    12,   339,   339,   311,     3,     3,
      13,   343,   332,   334,   395,   332,   396,   332,     1,     4,
      12,   124,   125,   399,   395,   332,   397,   395,   338,   340,
     340,   311,   319,   340,   341,   342,   320,   321,   322,   309,
     318,   395,   332,   395,   124,   332,     3,   333,   334,   395,
     397,   397,   395,   395,   324,   325,   397,   397,   309,   397,
     395,   309,   329,   395,   309,   309,   395,   395,   309,   341,
     341,   326,   327,   309,   340,   309,   340,   309,   340,   332,
     332,   340,   395,     1,     4,    12,   127,   128,   129,   130,
     400,   340,    10,   137,   395,   309,   395,   340,   328,    93,
     330,   332,   398,   331,   309,   309,   309,   397,   397,   340,
       0,   308,   316,   317,   341,   311,   311,   334,   334,   334,
     334,   311,   311,   311,   311,   311,   311,   311,   311,   311,
     311,   311,   311,   311,   311,   334,    17,    18,    19,    20,
      21,    23,    24,    25,    27,    28,    29,    32,    33,    34,
      35,    36,    37,    30,    31,   341,   332,   313,   313,   313,
     334,   309,   313,   309,   309,   309,     1,    12,   223,   225,
     226,   356,   357,   309,     3,   309,   309,     1,     3,    12,
      99,   100,   101,   102,   311,   391,   392,     1,    12,   153,
     154,   155,   376,   377,   309,   282,   283,   284,   285,   286,
     287,   350,   351,   294,   295,   296,   297,   298,   352,   353,
     109,   110,   111,   346,   347,   309,   309,   340,   340,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   223,   224,   344,   345,   323,   340,   302,   303,
     401,   402,   309,   309,   309,   309,   340,   340,   332,   308,
     317,   334,   334,   340,   340,   340,   341,   340,   340,   340,
     340,   340,   340,   340,   340,   341,   339,   312,   334,   334,
     334,   334,   334,   334,   334,   334,   334,   334,   334,   334,
     334,   334,   334,   334,   334,   340,   340,   312,   312,   311,
      13,    13,   312,     1,     4,    12,    73,    74,    76,    78,
      88,    89,    94,    97,   118,   151,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   293,   358,
     359,   342,     1,    12,   159,   161,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   360,
     361,     1,    12,    73,    75,   156,   157,   158,   159,   162,
     163,   164,   165,   378,   379,     1,    12,   131,   255,   362,
     363,   332,   395,   332,   310,   357,     1,    12,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   354,
     355,     1,     3,    12,   159,   263,   264,   265,   266,   267,
     268,   269,   270,   311,   385,   386,     1,    12,   115,   153,
     159,   245,   246,   248,   249,   250,   251,   252,   253,   254,
     256,   257,   258,   259,   260,   261,   262,   383,   384,   332,
     332,   332,   332,   332,   310,   392,   340,   340,   310,   377,
     274,   275,   276,   277,   278,   279,   280,   281,   348,   349,
     332,   332,   332,   395,   332,   332,   310,   351,   340,   332,
     332,   332,   332,   310,   353,   310,   347,   383,   383,   310,
     310,   340,   340,   395,   340,   332,   332,   395,   340,   395,
     332,     3,   332,   332,   395,   332,     3,   332,   395,   395,
     340,   395,   332,   332,   310,   345,   309,    12,    12,   310,
     402,     1,    12,   156,   242,   243,   244,   245,   380,   381,
       1,     3,    12,   241,   268,   311,   387,   388,     1,     3,
      12,   268,   272,   311,   389,   390,     1,     3,    12,   268,
     311,   393,   394,   310,   290,    26,   312,   312,   312,   312,
     313,   312,   313,   313,   313,   313,   313,   313,   313,   313,
     312,   312,   332,   311,   395,   395,   395,   395,   395,   395,
     395,   395,   395,   395,   395,   395,   395,   395,   395,   395,
     395,   395,   395,   395,   395,   395,   395,   310,   359,   340,
     332,   310,   361,   332,   332,   332,   332,   340,   310,   379,
     395,     6,     8,    10,   310,   363,     6,     6,     9,   332,
     332,   332,   340,   340,   310,   355,   340,   332,   332,     3,
     332,   332,   310,   386,   340,   340,   340,   340,   340,    12,
     332,   332,   332,   332,   332,   340,   310,   384,   312,   332,
     332,   332,   332,   340,   340,   332,   340,   310,   349,   310,
     310,     3,   313,     3,   313,   134,   135,   136,   305,   306,
     307,   332,   365,   366,   332,   332,   340,   332,   340,   310,
     381,     3,   332,   332,   310,   388,     3,   332,   268,   332,
     332,   310,   390,     3,   332,   332,   310,   394,   340,   332,
     340,   340,   332,   340,   340,   340,   332,   340,   340,   312,
     340,   364,     3,   313,   312,   247,   382,     3,   382,   382,
     332,     3,   332,   332,   332,   332,   332,   332,   332,    26,
     310,   366,     3,   313,   312,     3,   313,     3,   332,   312,
       3,   313,   312,   291,   310,   313,   312,   313,   312,   312,
     312,   313,   312,   312,   313,   309,   332,   340,   382,   313,
      26,    26,    26,    26,    26,    26,   370,   332,   332,     3,
     313,   332,   332,   332,   332,   332,   341,   365,   332,   371,
     372,   373,   368,   367,   369,     3,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   304,
     311,   339,   374,   375,   332,   310,   312,   312,   312,   312,
     310,   374,   374,   374,   374,   374,   374,   332,   313,   312,
     375
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   314,   315,   315,   315,   316,   316,   317,   317,   317,
     317,   317,   317,   317,   317,   317,   317,   317,   317,   317,
     317,   317,   317,   317,   317,   317,   317,   317,   317,   317,
     317,   317,   317,   317,   317,   317,   317,   317,   317,   317,
     317,   317,   317,   317,   317,   317,   317,   317,   317,   317,
     317,   317,   317,   317,   317,   317,   317,   317,   317,   317,
     317,   317,   317,   318,   317,   317,   317,   317,   319,   317,
     320,   317,   317,   321,   317,   322,   317,   323,   317,   317,
     317,   324,   317,   317,   325,   317,   326,   317,   327,   317,
     317,   317,   328,   317,   317,   317,   329,   317,   317,   317,
     317,   330,   317,   317,   317,   331,   317,   317,   317,   317,
     317,   317,   317,   332,   333,   334,   334,   334,   334,   334,
     334,   334,   334,   334,   334,   334,   334,   334,   335,   335,
     335,   335,   335,   335,   335,   335,   335,   335,   335,   335,
     335,   335,   335,   335,   335,   336,   336,   336,   336,   336,
     336,   336,   336,   336,   336,   336,   336,   336,   336,   336,
     336,   337,   337,   338,   339,   340,   340,   340,   340,   340,
     340,   341,   341,   342,   342,   343,   343,   344,   344,   345,
     345,   345,   345,   345,   345,   345,   345,   345,   345,   345,
     345,   345,   345,   345,   345,   345,   345,   345,   345,   345,
     345,   345,   345,   345,   345,   345,   345,   345,   345,   346,
     346,   347,   347,   347,   348,   348,   349,   349,   349,   349,
     349,   349,   349,   349,   350,   350,   351,   351,   351,   351,
     351,   351,   352,   352,   353,   353,   353,   353,   353,   354,
     354,   355,   355,   355,   355,   355,   355,   355,   355,   355,
     355,   355,   355,   355,   355,   355,   355,   355,   355,   355,
     355,   355,   355,   355,   355,   355,   356,   356,   357,   357,
     357,   357,   357,   358,   358,   359,   359,   359,   359,   359,
     359,   359,   359,   359,   359,   359,   359,   359,   359,   359,
     359,   359,   359,   359,   359,   359,   359,   359,   359,   359,
     359,   360,   360,   361,   361,   361,   361,   361,   361,   361,
     361,   361,   361,   361,   361,   361,   361,   361,   361,   361,
     362,   362,   363,   364,   363,   363,   363,   363,   363,   363,
     365,   365,   367,   366,   368,   366,   369,   366,   370,   366,
     371,   366,   372,   366,   373,   366,   374,   374,   375,   375,
     375,   375,   375,   375,   375,   375,   375,   375,   375,   375,
     375,   375,   375,   375,   375,   376,   376,   377,   377,   377,
     377,   377,   378,   378,   379,   379,   379,   379,   379,   379,
     379,   379,   379,   379,   379,   379,   380,   380,   381,   381,
     381,   381,   381,   381,   381,   382,   382,   383,   383,   384,
     384,   384,   384,   384,   384,   384,   384,   384,   384,   384,
     384,   384,   384,   384,   384,   384,   384,   384,   384,   384,
     384,   385,   385,   386,   386,   386,   386,   386,   386,   386,
     386,   386,   386,   386,   386,   386,   386,   387,   387,   388,
     388,   388,   388,   388,   388,   388,   389,   389,   390,   390,
     390,   390,   390,   390,   390,   390,   390,   391,   391,   392,
     392,   392,   392,   392,   392,   392,   392,   393,   393,   394,
     394,   394,   394,   394,   394,   395,   396,   397,   398,   399,
     399,   399,   399,   399,   400,   400,   400,   400,   400,   400,
     400,   401,   401,   402,   402
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     3,     1,     2,     4,     2,     2,
       2,     4,     6,     9,     4,     1,     1,     3,     2,     2,
       2,     2,     2,     4,     2,     2,     2,     4,     2,     2,
       2,     2,     2,     2,     2,     3,     2,     2,     1,     1,
       1,     2,     2,     2,     2,     2,     4,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     0,     5,     2,     4,     2,     0,     5,
       0,     5,     4,     0,     5,     0,     5,     0,     6,     2,
       3,     0,     5,     5,     0,     5,     0,     5,     0,     5,
       4,     8,     0,     5,     4,     2,     0,     5,     4,     2,
       4,     0,     5,     2,     4,     0,     5,     6,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     2,     2,     3,     3,     1,     3,     1,     3,
       3,     3,     2,     1,     4,     4,     4,     8,     6,     6,
       6,     6,     6,     6,     1,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     1,     1,     1,     1,
       4,     1,     4,     1,     1,     1,     4,     8,     8,     4,
       1,     1,     3,     1,     3,     1,     3,     1,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     1,     1,     2,
       2,     2,     1,     1,     1,     2,     3,     4,     2,     2,
       2,     3,     4,     4,     6,     2,     2,     2,     2,     1,
       2,     1,     1,     1,     1,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     2,     2,     2,     2,     2,
       2,     2,     1,     2,     2,     2,     2,     2,     2,     1,
       2,     1,     1,     1,     1,     1,     2,     2,     1,     2,
       1,     2,     1,     1,     2,     2,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     1,     1,     1,     2,     2,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     1,
       1,     1,     2,     2,     1,     1,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     0,     6,     2,     2,     2,     1,     1,
       1,     2,     0,     5,     0,     5,     0,     5,     0,     4,
       0,     5,     0,     5,     0,     5,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     2,     2,     2,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     2,
       2,     2,     2,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     2,     1,     1,     2,     0,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     3,     2,     2,     3,     2,     4,     3,     2,     1,
       1,     1,     2,     1,     3,     3,     4,     1,     1,     1,
       2,     2,     1,     1,     2,     1,     1,     1,     2,     1,
       3,     3,     4,     1,     1,     1,     1,     2,     1,     3,
       2,     3,     4,     4,     5,     1,     1,     1,     2,     1,
       3,     2,     2,     2,     2,     1,     1,     1,     2,     1,
       3,     3,     4,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     2
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 7:
#line 369 "parser.y" /* yacc.c:1646  */
    {}
#line 3182 "parser.c" /* yacc.c:1646  */
    break;

  case 8:
#line 371 "parser.y" /* yacc.c:1646  */
    { config.hogthreshold = (yyvsp[0].i_value); }
#line 3188 "parser.c" /* yacc.c:1646  */
    break;

  case 9:
#line 372 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_VAR){ define_config_variable((yyvsp[0].s_value));} free((yyvsp[0].s_value)); }
#line 3194 "parser.c" /* yacc.c:1646  */
    break;

  case 10:
#line 373 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_VAR){ undefine_config_variable((yyvsp[0].s_value));} free((yyvsp[0].s_value)); }
#line 3200 "parser.c" /* yacc.c:1646  */
    break;

  case 11:
#line 374 "parser.y" /* yacc.c:1646  */
    {
			/* NOTE:
			 * We _need_ absolutely to return to state stack 0
			 * because we 'backward' modify the input stream for
			 * the parser (in lexer). Hence, _if_ the parser needs
			 * to read one token more than needed, we are lost,
			 * because we can't discard it. So please, don't
			 * play with the grammar without knowing what you do.
			 * The ')' _will_ return to state stack 0, but fiddling
			 * with brackets '()' in the underlaying 'expression'
			 * rules may distroy this.
			 *                          -- Hans 971231
			 */
			tell_lexer_if((yyvsp[-1].i_value));
		}
#line 3220 "parser.c" /* yacc.c:1646  */
    break;

  case 12:
#line 396 "parser.y" /* yacc.c:1646  */
    {
			tell_lexer_loop((yyvsp[-4].i_value), (yyvsp[-1].i_value));
		}
#line 3228 "parser.c" /* yacc.c:1646  */
    break;

  case 13:
#line 399 "parser.y" /* yacc.c:1646  */
    {
			tell_lexer_loop((yyvsp[-7].i_value), for_each_handling((yyvsp[-7].i_value),(yyvsp[-5].s_value),(yyvsp[-3].s_value),(yyvsp[-1].s_value)));
			free((yyvsp[-5].s_value)); free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 3237 "parser.c" /* yacc.c:1646  */
    break;

  case 14:
#line 403 "parser.y" /* yacc.c:1646  */
    {
			char *s = run_shell((yyvsp[-1].s_value));
			if (s) free(s);
			free((yyvsp[-1].s_value));
		}
#line 3247 "parser.c" /* yacc.c:1646  */
    break;

  case 15:
#line 408 "parser.y" /* yacc.c:1646  */
    { enter_user_scope((yyvsp[0].i_value)); }
#line 3253 "parser.c" /* yacc.c:1646  */
    break;

  case 16:
#line 409 "parser.y" /* yacc.c:1646  */
    { leave_user_scope((yyvsp[0].i_value)); }
#line 3259 "parser.c" /* yacc.c:1646  */
    break;

  case 17:
#line 410 "parser.y" /* yacc.c:1646  */
    {
		    if (!parser_version_3_style_used) {
			parser_version_3_style_used = 1;
			define_config_variable(CONFNAME_V3USED);
		    }
		    if ((strpbrk((yyvsp[-2].s_value), "uhc") == (yyvsp[-2].s_value)) && ((yyvsp[-2].s_value)[1] == '_'))
			yyerror("reserved variable %s can't be set\n", (yyvsp[-2].s_value));
		    else {
			if (user_scope_level) {
			    char *s = malloc(strlen((yyvsp[-2].s_value))+sizeof(USERVAR_PREF));
			    strcpy(s, USERVAR_PREF);
			    strcat(s,(yyvsp[-2].s_value));
			    setenv(s, (yyvsp[0].s_value), 1);
			    free(s);
			}
			else IFCLASS(CL_VAR) setenv((yyvsp[-2].s_value), (yyvsp[0].s_value), 1);
		    }
		    free((yyvsp[-2].s_value)); free((yyvsp[0].s_value));
		}
#line 3283 "parser.c" /* yacc.c:1646  */
    break;

  case 19:
#line 430 "parser.y" /* yacc.c:1646  */
    {
		    if ((yyvsp[0].t_value).type == TYPE_REAL)
			c_printf("CONF TESTING: exprtest real %f\n", (yyvsp[0].t_value).value.r);
		    else
			c_printf("CONF TESTING: exprtest int %d\n", (yyvsp[0].t_value).value.i);
		}
#line 3294 "parser.c" /* yacc.c:1646  */
    break;

  case 20:
#line 441 "parser.y" /* yacc.c:1646  */
    { if ((yyvsp[0].s_value)[0]) fprintf(stderr,"CONF aborted with: %s\n", (yyvsp[0].s_value));
			exit(99);
		    }
#line 3302 "parser.c" /* yacc.c:1646  */
    break;

  case 21:
#line 444 "parser.y" /* yacc.c:1646  */
    { c_printf("CONF: %s\n", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 3308 "parser.c" /* yacc.c:1646  */
    break;

  case 22:
#line 446 "parser.y" /* yacc.c:1646  */
    {
		    free(config.emusys); config.emusys = (yyvsp[0].s_value);
		    c_printf("CONF: config.emusys = '%s'\n", (yyvsp[0].s_value));
		    }
#line 3317 "parser.c" /* yacc.c:1646  */
    break;

  case 23:
#line 451 "parser.y" /* yacc.c:1646  */
    {
		    free(config.emusys); config.emusys = (yyvsp[-1].s_value);
		    c_printf("CONF: config.emusys = '%s'\n", (yyvsp[-1].s_value));
		    }
#line 3326 "parser.c" /* yacc.c:1646  */
    break;

  case 24:
#line 456 "parser.y" /* yacc.c:1646  */
    {
#ifdef USE_MHPDBG
		    free(DOSEMU_MAP_PATH); DOSEMU_MAP_PATH = (yyvsp[0].s_value);
		    c_printf("CONF: dosemu.map path = '%s'\n", (yyvsp[0].s_value));
#else
		    free((yyvsp[0].s_value));
#endif
		    }
#line 3339 "parser.c" /* yacc.c:1646  */
    break;

  case 25:
#line 465 "parser.y" /* yacc.c:1646  */
    {
		    free(config.mappingdriver); config.mappingdriver = (yyvsp[0].s_value);
		    c_printf("CONF: mapping driver = '%s'\n", (yyvsp[0].s_value));
		    }
#line 3348 "parser.c" /* yacc.c:1646  */
    break;

  case 26:
#line 470 "parser.y" /* yacc.c:1646  */
    {
                    free(config.emuini); config.emuini = (yyvsp[0].s_value);
                    c_printf("CONF: config.emuini = '%s'\n", (yyvsp[0].s_value));
                    }
#line 3357 "parser.c" /* yacc.c:1646  */
    break;

  case 27:
#line 475 "parser.y" /* yacc.c:1646  */
    {
                    free(config.emuini); config.emuini = (yyvsp[-1].s_value);
                    c_printf("CONF: config.emuini = '%s'\n", (yyvsp[-1].s_value));
		    }
#line 3366 "parser.c" /* yacc.c:1646  */
    break;

  case 28:
#line 480 "parser.y" /* yacc.c:1646  */
    {
		    config.full_file_locks = ((yyvsp[0].i_value)!=0);
		    }
#line 3374 "parser.c" /* yacc.c:1646  */
    break;

  case 29:
#line 484 "parser.y" /* yacc.c:1646  */
    {
		    config.lfn = ((yyvsp[0].i_value)!=0);
		    }
#line 3382 "parser.c" /* yacc.c:1646  */
    break;

  case 30:
#line 488 "parser.y" /* yacc.c:1646  */
    {
			config.fastfloppy = ((yyvsp[0].i_value)!=0);
			c_printf("CONF: fastfloppy = %d\n", config.fastfloppy);
			}
#line 3391 "parser.c" /* yacc.c:1646  */
    break;

  case 31:
#line 493 "parser.y" /* yacc.c:1646  */
    {
			int cpu = cpu_override (((yyvsp[0].i_value)%100)==86?((yyvsp[0].i_value)/100)%10:0);
			if (cpu > 0) {
				c_printf("CONF: CPU set to %d86\n",cpu);
				vm86s.cpu_type = cpu;
			}
			else
				yyerror("error in CPU user override\n");
			}
#line 3405 "parser.c" /* yacc.c:1646  */
    break;

  case 32:
#line 503 "parser.y" /* yacc.c:1646  */
    {
			vm86s.cpu_type = 5;
#ifdef X86_EMULATOR
			config.cpuemu = 1;
			c_printf("CONF: CPUEMU set to %d for %d86\n",
				config.cpuemu, vm86s.cpu_type);
#endif
			}
#line 3418 "parser.c" /* yacc.c:1646  */
    break;

  case 33:
#line 512 "parser.y" /* yacc.c:1646  */
    {
#ifdef X86_EMULATOR
			config.cpuemu = (yyvsp[0].i_value);
			if (config.cpuemu > 4) {
				config.cpuemu -= 2;
#ifdef HOST_ARCH_X86
				config.cpusim = 1;
#endif
			}
			c_printf("CONF: %s CPUEMU set to %d for %d86\n",
				CONFIG_CPUSIM ? "simulated" : "JIT",
				config.cpuemu, vm86s.cpu_type);
#endif
			}
#line 3437 "parser.c" /* yacc.c:1646  */
    break;

  case 34:
#line 527 "parser.y" /* yacc.c:1646  */
    { 
#if 0 /* no longer used, but left in for dosemu.conf compatibility */
			if (config.realcpu >= CPU_586) {
			  config.cpu_spd = ((double)LLF_US)/(yyvsp[0].r_value);
			  config.cpu_tick_spd = ((double)LLF_TICKS)/(yyvsp[0].r_value);
			  c_printf("CONF: CPU speed = %g\n", ((double)(yyvsp[0].r_value)));
			}
#endif
			}
#line 3451 "parser.c" /* yacc.c:1646  */
    break;

  case 35:
#line 537 "parser.y" /* yacc.c:1646  */
    { 
#if 0 /* no longer used, but left in for dosemu.conf compatibility */
			if (config.realcpu >= CPU_586) {
			  config.cpu_spd = (LLF_US*(yyvsp[0].i_value))/(yyvsp[-1].i_value);
			  config.cpu_tick_spd = (LLF_TICKS*(yyvsp[0].i_value))/(yyvsp[-1].i_value);
			  c_printf("CONF: CPU speed = %d/%d\n", (yyvsp[-1].i_value), (yyvsp[0].i_value));
			}
#endif
			}
#line 3465 "parser.c" /* yacc.c:1646  */
    break;

  case 36:
#line 547 "parser.y" /* yacc.c:1646  */
    {
			config.rdtsc = ((yyvsp[0].i_value)!=0);
			c_printf("CONF: %sabling use of pentium timer\n",
				(config.rdtsc?"En":"Dis"));
		    }
#line 3475 "parser.c" /* yacc.c:1646  */
    break;

  case 37:
#line 553 "parser.y" /* yacc.c:1646  */
    { 
		      config.pci_video = ((yyvsp[0].i_value)!=0);
		      IFCLASS(CL_PCI) {}
		      config.pci = (abs((yyvsp[0].i_value))==2); 
		    }
#line 3485 "parser.c" /* yacc.c:1646  */
    break;

  case 38:
#line 559 "parser.y" /* yacc.c:1646  */
    {
		      config.hdiskboot = 0;
		    }
#line 3493 "parser.c" /* yacc.c:1646  */
    break;

  case 39:
#line 563 "parser.y" /* yacc.c:1646  */
    {
		      config.hdiskboot = 1;
		    }
#line 3501 "parser.c" /* yacc.c:1646  */
    break;

  case 40:
#line 567 "parser.y" /* yacc.c:1646  */
    {
		      config.hdiskboot = 2;
		    }
#line 3509 "parser.c" /* yacc.c:1646  */
    break;

  case 41:
#line 571 "parser.y" /* yacc.c:1646  */
    {
		    config.freq = (yyvsp[0].i_value);
		    if ((yyvsp[0].i_value)) {
		        config.update = 1000000 / (yyvsp[0].i_value);
		    } else {
			config.update = 54925;
			config.freq = 18;
		    }
		    c_printf("CONF: timer freq=%d, update=%d\n",config.freq,config.update);
		    }
#line 3524 "parser.c" /* yacc.c:1646  */
    break;

  case 42:
#line 582 "parser.y" /* yacc.c:1646  */
    {
		      char *b;
		      flush_log();
		      b = malloc((yyvsp[0].i_value)+1024);
		      if (!b) {
			error("cannot get logbuffer\n");
			exit(1);
		      }
		      logptr = logbuf = b;
		      logbuf_size = (yyvsp[0].i_value);
		    }
#line 3540 "parser.c" /* yacc.c:1646  */
    break;

  case 43:
#line 594 "parser.y" /* yacc.c:1646  */
    {
		      logfile_limit = (yyvsp[0].i_value);
		    }
#line 3548 "parser.c" /* yacc.c:1646  */
    break;

  case 44:
#line 598 "parser.y" /* yacc.c:1646  */
    {
		    config.dosbanner = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: dosbanner %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3557 "parser.c" /* yacc.c:1646  */
    break;

  case 45:
#line 603 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_VPORT){
		    if ((yyvsp[0].i_value) && !config.emuretrace && priv_lvl)
		      yyerror("Can not modify video port access in user config file");
		    config.emuretrace = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: emu_retrace %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }}
#line 3568 "parser.c" /* yacc.c:1646  */
    break;

  case 47:
#line 611 "parser.y" /* yacc.c:1646  */
    {
		    if ((yyvsp[0].i_value) >= 0) config.ems_size = (yyvsp[0].i_value);
		    if ((yyvsp[0].i_value) > 0) c_printf("CONF: %dk bytes EMS memory\n", (yyvsp[0].i_value));
		    }
#line 3577 "parser.c" /* yacc.c:1646  */
    break;

  case 48:
#line 616 "parser.y" /* yacc.c:1646  */
    {
		    config.max_umb = ((yyvsp[0].i_value)!=0);
		    if ((yyvsp[0].i_value) > 0) c_printf("CONF: maximize umb's %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3586 "parser.c" /* yacc.c:1646  */
    break;

  case 49:
#line 621 "parser.y" /* yacc.c:1646  */
    {
		    if ((yyvsp[0].i_value)>=0) config.dpmi = (yyvsp[0].i_value);
		    c_printf("CONF: DPMI-Server %s (%#x)\n", ((yyvsp[0].i_value)) ? "on" : "off", ((yyvsp[0].i_value)));
		    }
#line 3595 "parser.c" /* yacc.c:1646  */
    break;

  case 50:
#line 626 "parser.y" /* yacc.c:1646  */
    {
		    config.dpmi_base = (yyvsp[0].i_value);
		    c_printf("CONF: DPMI base addr = %#x\n", (yyvsp[0].i_value));
		    }
#line 3604 "parser.c" /* yacc.c:1646  */
    break;

  case 51:
#line 631 "parser.y" /* yacc.c:1646  */
    {
		    config.pm_dos_api = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: PM DOS API Translator %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3613 "parser.c" /* yacc.c:1646  */
    break;

  case 52:
#line 636 "parser.y" /* yacc.c:1646  */
    {
		    config.no_null_checks = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: No DJGPP NULL deref checks: %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3622 "parser.c" /* yacc.c:1646  */
    break;

  case 53:
#line 640 "parser.y" /* yacc.c:1646  */
    { if ((yyvsp[0].i_value)>=0) config.mem_size = (yyvsp[0].i_value); }
#line 3628 "parser.c" /* yacc.c:1646  */
    break;

  case 54:
#line 642 "parser.y" /* yacc.c:1646  */
    {
		    if ((yyvsp[0].i_value)>=0) config.ext_mem = (yyvsp[0].i_value);
		    if ((yyvsp[0].i_value) > 0) c_printf("CONF: %dk bytes XMS memory\n", (yyvsp[0].i_value));
		    }
#line 3637 "parser.c" /* yacc.c:1646  */
    break;

  case 55:
#line 646 "parser.y" /* yacc.c:1646  */
    { config.mathco = ((yyvsp[0].i_value)!=0); }
#line 3643 "parser.c" /* yacc.c:1646  */
    break;

  case 56:
#line 648 "parser.y" /* yacc.c:1646  */
    {
		    config.ipxsup = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: IPX support %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3652 "parser.c" /* yacc.c:1646  */
    break;

  case 57:
#line 652 "parser.y" /* yacc.c:1646  */
    { config.ipx_net = (yyvsp[0].i_value); }
#line 3658 "parser.c" /* yacc.c:1646  */
    break;

  case 58:
#line 654 "parser.y" /* yacc.c:1646  */
    {
		      if (config.vnet == VNET_TYPE_TAP || (yyvsp[0].i_value) == 0 || is_in_allowed_classes(CL_NET)) {
			config.pktdrv = ((yyvsp[0].i_value)!=0);
			c_printf("CONF: Packet Driver %s.\n", 
				((yyvsp[0].i_value)) ? "enabled" : "disabled");
		      }
		    }
#line 3670 "parser.c" /* yacc.c:1646  */
    break;

  case 59:
#line 661 "parser.y" /* yacc.c:1646  */
    { free(config.netdev); config.netdev = (yyvsp[0].s_value); }
#line 3676 "parser.c" /* yacc.c:1646  */
    break;

  case 60:
#line 662 "parser.y" /* yacc.c:1646  */
    { config.pktflags = ((yyvsp[0].i_value)!=0); }
#line 3682 "parser.c" /* yacc.c:1646  */
    break;

  case 61:
#line 663 "parser.y" /* yacc.c:1646  */
    { start_vnet((yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 3688 "parser.c" /* yacc.c:1646  */
    break;

  case 62:
#line 665 "parser.y" /* yacc.c:1646  */
    {
		    if ((yyvsp[0].i_value) == SPKR_NATIVE) {
		      if (can_do_root_stuff) {
                        c_printf("CONF: allowing speaker port access!\n");
		      } else {
                        c_printf("CONF: native speaker not allowed: emulate\n");
			(yyvsp[0].i_value) = SPKR_EMULATED;
		      }
		    }
		    else
                      c_printf("CONF: not allowing speaker port access\n");
		    config.speaker = (yyvsp[0].i_value);
		    }
#line 3706 "parser.c" /* yacc.c:1646  */
    break;

  case 63:
#line 679 "parser.y" /* yacc.c:1646  */
    { start_video(); }
#line 3712 "parser.c" /* yacc.c:1646  */
    break;

  case 64:
#line 681 "parser.y" /* yacc.c:1646  */
    { stop_video(); }
#line 3718 "parser.c" /* yacc.c:1646  */
    break;

  case 65:
#line 682 "parser.y" /* yacc.c:1646  */
    { free(config.xterm_title); config.xterm_title = (yyvsp[0].s_value); }
#line 3724 "parser.c" /* yacc.c:1646  */
    break;

  case 66:
#line 685 "parser.y" /* yacc.c:1646  */
    { stop_terminal(); }
#line 3730 "parser.c" /* yacc.c:1646  */
    break;

  case 67:
#line 686 "parser.y" /* yacc.c:1646  */
    {
			parse_debugflags((yyvsp[0].s_value), 1);
			free((yyvsp[0].s_value));
		}
#line 3739 "parser.c" /* yacc.c:1646  */
    break;

  case 68:
#line 691 "parser.y" /* yacc.c:1646  */
    { start_debug(); }
#line 3745 "parser.c" /* yacc.c:1646  */
    break;

  case 70:
#line 694 "parser.y" /* yacc.c:1646  */
    { start_mouse(); }
#line 3751 "parser.c" /* yacc.c:1646  */
    break;

  case 71:
#line 696 "parser.y" /* yacc.c:1646  */
    { stop_mouse(); }
#line 3757 "parser.c" /* yacc.c:1646  */
    break;

  case 72:
#line 699 "parser.y" /* yacc.c:1646  */
    { stop_ttylocks(); }
#line 3763 "parser.c" /* yacc.c:1646  */
    break;

  case 73:
#line 701 "parser.y" /* yacc.c:1646  */
    { start_serial(); }
#line 3769 "parser.c" /* yacc.c:1646  */
    break;

  case 74:
#line 703 "parser.y" /* yacc.c:1646  */
    { stop_serial(); }
#line 3775 "parser.c" /* yacc.c:1646  */
    break;

  case 75:
#line 705 "parser.y" /* yacc.c:1646  */
    { start_keyboard(); }
#line 3781 "parser.c" /* yacc.c:1646  */
    break;

  case 77:
#line 708 "parser.y" /* yacc.c:1646  */
    {keytable_start((yyvsp[0].i_value));}
#line 3787 "parser.c" /* yacc.c:1646  */
    break;

  case 78:
#line 710 "parser.y" /* yacc.c:1646  */
    {keytable_stop();}
#line 3793 "parser.c" /* yacc.c:1646  */
    break;

  case 79:
#line 712 "parser.y" /* yacc.c:1646  */
    {
		    append_pre_strokes((yyvsp[0].s_value));
		    c_printf("CONF: appending pre-strokes '%s'\n", (yyvsp[0].s_value));
		    free((yyvsp[0].s_value));
		    }
#line 3803 "parser.c" /* yacc.c:1646  */
    break;

  case 80:
#line 717 "parser.y" /* yacc.c:1646  */
    {
			dump_keytables_to_file((yyvsp[0].s_value));
			free((yyvsp[0].s_value));
		    }
#line 3812 "parser.c" /* yacc.c:1646  */
    break;

  case 81:
#line 722 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_PORT) start_ports(); }
#line 3818 "parser.c" /* yacc.c:1646  */
    break;

  case 84:
#line 726 "parser.y" /* yacc.c:1646  */
    { start_disk(); }
#line 3824 "parser.c" /* yacc.c:1646  */
    break;

  case 85:
#line 728 "parser.y" /* yacc.c:1646  */
    { stop_disk(DISK); }
#line 3830 "parser.c" /* yacc.c:1646  */
    break;

  case 86:
#line 730 "parser.y" /* yacc.c:1646  */
    { start_bootdisk(); }
#line 3836 "parser.c" /* yacc.c:1646  */
    break;

  case 87:
#line 732 "parser.y" /* yacc.c:1646  */
    { stop_disk(BOOTDISK); }
#line 3842 "parser.c" /* yacc.c:1646  */
    break;

  case 88:
#line 734 "parser.y" /* yacc.c:1646  */
    { start_floppy(); }
#line 3848 "parser.c" /* yacc.c:1646  */
    break;

  case 89:
#line 736 "parser.y" /* yacc.c:1646  */
    { stop_disk(L_FLOPPY); }
#line 3854 "parser.c" /* yacc.c:1646  */
    break;

  case 90:
#line 738 "parser.y" /* yacc.c:1646  */
    {
		    static int which = 0;
		    if (which >= 3) {
			c_printf("CONF: too many cdrom drives defined\n");
			free((yyvsp[-1].s_value));
		    }
		    else {
			Path_cdrom[which] = (yyvsp[-1].s_value);
			c_printf("CONF: cdrom MSCD000%d on %s\n", which+1 ,(yyvsp[-1].s_value));
			which++;
		    }
		    }
#line 3871 "parser.c" /* yacc.c:1646  */
    break;

  case 91:
#line 751 "parser.y" /* yacc.c:1646  */
    {
#ifdef ASPI_SUPPORT
		    char *s = aspi_add_device((yyvsp[-5].s_value), (yyvsp[-3].s_value), (yyvsp[-1].i_value));
		    if (s) {
			c_printf("CONF: aspi available for %s\n", s);
			free(s);
		    }
		    else c_printf("CONF: aspi device %s not available\n", (yyvsp[-5].s_value));
#endif
		    free((yyvsp[-5].s_value));
		    free((yyvsp[-3].s_value));
		    }
#line 3888 "parser.c" /* yacc.c:1646  */
    break;

  case 92:
#line 764 "parser.y" /* yacc.c:1646  */
    { start_printer(); }
#line 3894 "parser.c" /* yacc.c:1646  */
    break;

  case 93:
#line 766 "parser.y" /* yacc.c:1646  */
    { stop_printer(); }
#line 3900 "parser.c" /* yacc.c:1646  */
    break;

  case 95:
#line 768 "parser.y" /* yacc.c:1646  */
    { config.sound = (yyvsp[0].i_value)==-1 ? -1 : (yyvsp[0].i_value)==2 ? 2 : (yyvsp[0].i_value)==0 ? 0 : 1; }
#line 3906 "parser.c" /* yacc.c:1646  */
    break;

  case 96:
#line 769 "parser.y" /* yacc.c:1646  */
    { config.sound = 1; }
#line 3912 "parser.c" /* yacc.c:1646  */
    break;

  case 99:
#line 771 "parser.y" /* yacc.c:1646  */
    { if (! (yyvsp[0].i_value)) { config.joy_device[0] = config.joy_device[1] = NULL; } }
#line 3918 "parser.c" /* yacc.c:1646  */
    break;

  case 101:
#line 774 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_IRQ) config.sillyint=0; }
#line 3924 "parser.c" /* yacc.c:1646  */
    break;

  case 103:
#line 777 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_IRQ) if ((yyvsp[0].i_value)) {
		        config.sillyint = 1 << (yyvsp[0].i_value);
		        c_printf("CONF: IRQ %d for irqpassing\n", (yyvsp[0].i_value));
		      }
		    }
#line 3934 "parser.c" /* yacc.c:1646  */
    break;

  case 105:
#line 784 "parser.y" /* yacc.c:1646  */
    { IFCLASS(CL_HARDRAM) {}
		    if (priv_lvl)
		      yyerror("Can not change hardware ram access settings in user config file");
		    }
#line 3943 "parser.c" /* yacc.c:1646  */
    break;

  case 107:
#line 790 "parser.y" /* yacc.c:1646  */
    {
			handle_features((yyvsp[-3].i_value), (yyvsp[-1].i_value));
		    }
#line 3951 "parser.c" /* yacc.c:1646  */
    break;

  case 108:
#line 794 "parser.y" /* yacc.c:1646  */
    { config.cli_timeout = (yyvsp[0].i_value); }
#line 3957 "parser.c" /* yacc.c:1646  */
    break;

  case 109:
#line 796 "parser.y" /* yacc.c:1646  */
    { config.pic_watchdog = (yyvsp[0].i_value); }
#line 3963 "parser.c" /* yacc.c:1646  */
    break;

  case 110:
#line 798 "parser.y" /* yacc.c:1646  */
    {
		    config.timemode = parse_timemode((yyvsp[0].s_value));
		    c_printf("CONF: time mode = '%s'\n", (yyvsp[0].s_value));
		    free((yyvsp[0].s_value));
		    }
#line 3973 "parser.c" /* yacc.c:1646  */
    break;

  case 111:
#line 804 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized command '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 3979 "parser.c" /* yacc.c:1646  */
    break;

  case 113:
#line 808 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = TOF((yyvsp[0].t_value)); }
#line 3985 "parser.c" /* yacc.c:1646  */
    break;

  case 114:
#line 811 "parser.y" /* yacc.c:1646  */
    { (yyval.r_value) = TOF((yyvsp[0].t_value)); }
#line 3991 "parser.c" /* yacc.c:1646  */
    break;

  case 115:
#line 816 "parser.y" /* yacc.c:1646  */
    {(yyval.t_value).type = TYPE_INTEGER; (yyval.t_value).value.i=(yyvsp[0].i_value);}
#line 3997 "parser.c" /* yacc.c:1646  */
    break;

  case 116:
#line 817 "parser.y" /* yacc.c:1646  */
    {(yyval.t_value).type = TYPE_BOOLEAN; (yyval.t_value).value.i=(yyvsp[0].i_value);}
#line 4003 "parser.c" /* yacc.c:1646  */
    break;

  case 117:
#line 818 "parser.y" /* yacc.c:1646  */
    {(yyval.t_value).type = TYPE_REAL; (yyval.t_value).value.r=(yyvsp[0].r_value);}
#line 4009 "parser.c" /* yacc.c:1646  */
    break;

  case 118:
#line 820 "parser.y" /* yacc.c:1646  */
    {V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[-2].t_value)) + TOF((yyvsp[0].t_value))); }
#line 4015 "parser.c" /* yacc.c:1646  */
    break;

  case 119:
#line 822 "parser.y" /* yacc.c:1646  */
    {V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[-2].t_value)) - TOF((yyvsp[0].t_value))); }
#line 4021 "parser.c" /* yacc.c:1646  */
    break;

  case 120:
#line 824 "parser.y" /* yacc.c:1646  */
    {V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[-2].t_value)) * TOF((yyvsp[0].t_value))); }
#line 4027 "parser.c" /* yacc.c:1646  */
    break;

  case 121:
#line 825 "parser.y" /* yacc.c:1646  */
    {
			if (TOF((yyvsp[0].t_value)))	V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[-2].t_value)) / TOF((yyvsp[0].t_value)));
			else V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[0].t_value)));
		}
#line 4036 "parser.c" /* yacc.c:1646  */
    break;

  case 122:
#line 830 "parser.y" /* yacc.c:1646  */
    {V_VAL((yyval.t_value),(yyvsp[0].t_value),-TOF((yyvsp[0].t_value))); }
#line 4042 "parser.c" /* yacc.c:1646  */
    break;

  case 123:
#line 832 "parser.y" /* yacc.c:1646  */
    {V_VAL((yyval.t_value),(yyvsp[0].t_value),TOF((yyvsp[0].t_value))); }
#line 4048 "parser.c" /* yacc.c:1646  */
    break;

  case 124:
#line 834 "parser.y" /* yacc.c:1646  */
    { unsigned int shift = (1 << (int)TOF((yyvsp[0].t_value)));
			if (!shift) (yyval.t_value) = (yyvsp[-2].t_value);
			else V_VAL((yyval.t_value), (yyvsp[-2].t_value), TOF((yyvsp[-2].t_value)) / shift);}
#line 4056 "parser.c" /* yacc.c:1646  */
    break;

  case 125:
#line 838 "parser.y" /* yacc.c:1646  */
    { unsigned int shift = (1 << (int)TOF((yyvsp[0].t_value)));
			if (!shift) (yyval.t_value) = (yyvsp[-2].t_value);
			else V_VAL((yyval.t_value), (yyvsp[-2].t_value), TOF((yyvsp[-2].t_value)) * shift);}
#line 4064 "parser.c" /* yacc.c:1646  */
    break;

  case 126:
#line 841 "parser.y" /* yacc.c:1646  */
    {
			char *s;
			(yyval.t_value).type = TYPE_INTEGER;
			(yyval.t_value).value.i = strtoul((yyvsp[0].s_value),&s,0);
			switch (*s) {
				case '.':  case 'e':  case 'E':
				/* we assume a real number */
				(yyval.t_value).type = TYPE_REAL;
				(yyval.t_value).value.r = strtod((yyvsp[0].s_value),0);
			}
			free((yyvsp[0].s_value));
		}
#line 4081 "parser.c" /* yacc.c:1646  */
    break;

  case 127:
#line 853 "parser.y" /* yacc.c:1646  */
    {(yyval.t_value) = (yyvsp[-1].t_value);}
#line 4087 "parser.c" /* yacc.c:1646  */
    break;

  case 129:
#line 858 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = (int)TOF((yyvsp[-2].t_value)) & (int)TOF((yyvsp[0].t_value)); }
#line 4093 "parser.c" /* yacc.c:1646  */
    break;

  case 130:
#line 860 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = (int)TOF((yyvsp[-2].t_value)) | (int)TOF((yyvsp[0].t_value)); }
#line 4099 "parser.c" /* yacc.c:1646  */
    break;

  case 131:
#line 862 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = (int)TOF((yyvsp[-2].t_value)) ^ (int)TOF((yyvsp[0].t_value)); }
#line 4105 "parser.c" /* yacc.c:1646  */
    break;

  case 132:
#line 864 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = (int)TOF((yyvsp[0].t_value)) ^ (-1); }
#line 4111 "parser.c" /* yacc.c:1646  */
    break;

  case 133:
#line 865 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = -1; }
#line 4117 "parser.c" /* yacc.c:1646  */
    break;

  case 134:
#line 866 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-1].t_value));}
#line 4123 "parser.c" /* yacc.c:1646  */
    break;

  case 135:
#line 867 "parser.y" /* yacc.c:1646  */
    {
			(yyval.i_value) = strtol((yyvsp[-1].s_value),0,0);
			free((yyvsp[-1].s_value));
		}
#line 4132 "parser.c" /* yacc.c:1646  */
    break;

  case 136:
#line 871 "parser.y" /* yacc.c:1646  */
    {
			(yyval.i_value) = strlen((yyvsp[-1].s_value));
			free((yyvsp[-1].s_value));
		}
#line 4141 "parser.c" /* yacc.c:1646  */
    break;

  case 137:
#line 875 "parser.y" /* yacc.c:1646  */
    {
			(yyval.i_value) = strncmp((yyvsp[-5].s_value),(yyvsp[-3].s_value),(yyvsp[-1].i_value));
			free((yyvsp[-5].s_value)); free((yyvsp[-3].s_value));
		}
#line 4150 "parser.c" /* yacc.c:1646  */
    break;

  case 138:
#line 879 "parser.y" /* yacc.c:1646  */
    {
			char *s = strpbrk((yyvsp[-3].s_value),(yyvsp[-1].s_value));
			if (s) (yyval.i_value) = s - (yyvsp[-3].s_value);
			else (yyval.i_value) = -1;
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 4161 "parser.c" /* yacc.c:1646  */
    break;

  case 139:
#line 885 "parser.y" /* yacc.c:1646  */
    {
			char *s = strchr((yyvsp[-3].s_value),(yyvsp[-1].s_value)[0]);
			if (s) (yyval.i_value) = s - (yyvsp[-3].s_value);
			else (yyval.i_value) = -1;
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 4172 "parser.c" /* yacc.c:1646  */
    break;

  case 140:
#line 891 "parser.y" /* yacc.c:1646  */
    {
			char *s = strrchr((yyvsp[-3].s_value),(yyvsp[-1].s_value)[0]);
			if (s) (yyval.i_value) = s - (yyvsp[-3].s_value);
			else (yyval.i_value) = -1;
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 4183 "parser.c" /* yacc.c:1646  */
    break;

  case 141:
#line 897 "parser.y" /* yacc.c:1646  */
    {
			char *s = strstr((yyvsp[-3].s_value),(yyvsp[-1].s_value));
			if (s) (yyval.i_value) = s - (yyvsp[-3].s_value);
			else (yyval.i_value) = -1;
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 4194 "parser.c" /* yacc.c:1646  */
    break;

  case 142:
#line 903 "parser.y" /* yacc.c:1646  */
    {
			(yyval.i_value) = strspn((yyvsp[-3].s_value),(yyvsp[-1].s_value));
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 4203 "parser.c" /* yacc.c:1646  */
    break;

  case 143:
#line 907 "parser.y" /* yacc.c:1646  */
    {
			(yyval.i_value) = strcspn((yyvsp[-3].s_value),(yyvsp[-1].s_value));
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 4212 "parser.c" /* yacc.c:1646  */
    break;

  case 144:
#line 911 "parser.y" /* yacc.c:1646  */
    {
			if ( (yyvsp[0].s_value)[0] == '\'' && (yyvsp[0].s_value)[1] && (yyvsp[0].s_value)[2] == '\'' && !(yyvsp[0].s_value)[3] )
				(yyval.i_value) = (yyvsp[0].s_value)[1];
			else	yyerror("unrecognized expression '%s'", (yyvsp[0].s_value));
			free((yyvsp[0].s_value));
		}
#line 4223 "parser.c" /* yacc.c:1646  */
    break;

  case 145:
#line 920 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) == TOF((yyvsp[0].t_value)); }
#line 4229 "parser.c" /* yacc.c:1646  */
    break;

  case 146:
#line 922 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) != TOF((yyvsp[0].t_value)); }
#line 4235 "parser.c" /* yacc.c:1646  */
    break;

  case 147:
#line 924 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) >= TOF((yyvsp[0].t_value)); }
#line 4241 "parser.c" /* yacc.c:1646  */
    break;

  case 148:
#line 926 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) <= TOF((yyvsp[0].t_value)); }
#line 4247 "parser.c" /* yacc.c:1646  */
    break;

  case 149:
#line 928 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) < TOF((yyvsp[0].t_value)); }
#line 4253 "parser.c" /* yacc.c:1646  */
    break;

  case 150:
#line 930 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) > TOF((yyvsp[0].t_value)); }
#line 4259 "parser.c" /* yacc.c:1646  */
    break;

  case 151:
#line 932 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) && TOF((yyvsp[0].t_value)); }
#line 4265 "parser.c" /* yacc.c:1646  */
    break;

  case 152:
#line 934 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = TOF((yyvsp[-2].t_value)) || TOF((yyvsp[0].t_value)); }
#line 4271 "parser.c" /* yacc.c:1646  */
    break;

  case 153:
#line 936 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = strcmp((yyvsp[-2].s_value),(yyvsp[0].s_value)) == 0; free((yyvsp[-2].s_value)); free((yyvsp[0].s_value)); }
#line 4277 "parser.c" /* yacc.c:1646  */
    break;

  case 154:
#line 938 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = strcmp((yyvsp[-2].s_value),(yyvsp[0].s_value)) != 0; free((yyvsp[-2].s_value)); free((yyvsp[0].s_value)); }
#line 4283 "parser.c" /* yacc.c:1646  */
    break;

  case 155:
#line 939 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = (TOF((yyvsp[0].t_value)) ? 0:1); }
#line 4289 "parser.c" /* yacc.c:1646  */
    break;

  case 156:
#line 940 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = -2; }
#line 4295 "parser.c" /* yacc.c:1646  */
    break;

  case 157:
#line 941 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = 0; }
#line 4301 "parser.c" /* yacc.c:1646  */
    break;

  case 158:
#line 942 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = -2; }
#line 4307 "parser.c" /* yacc.c:1646  */
    break;

  case 159:
#line 943 "parser.y" /* yacc.c:1646  */
    {(yyval.i_value) = 0; }
#line 4313 "parser.c" /* yacc.c:1646  */
    break;

  case 160:
#line 944 "parser.y" /* yacc.c:1646  */
    {
			(yyval.i_value) = get_config_variable((yyvsp[-1].s_value)) !=0;
			free((yyvsp[-1].s_value));
		}
#line 4322 "parser.c" /* yacc.c:1646  */
    break;

  case 162:
#line 951 "parser.y" /* yacc.c:1646  */
    {(yyval.r_value) = TOF((yyvsp[-1].t_value));}
#line 4328 "parser.c" /* yacc.c:1646  */
    break;

  case 163:
#line 955 "parser.y" /* yacc.c:1646  */
    {
			char *s = (yyvsp[0].s_value);
			if (get_config_variable(s))
				s = "1";
			else if (strncmp("c_",s,2)
					&& strncmp("u_",s,2)
					&& strncmp("h_",s,2) ) {
				s = checked_getenv(s);
				if (!s) s = "";
			}
			else
				s = "0";
			(yyval.s_value) = strdup(s);
			free((yyvsp[0].s_value));
		}
#line 4348 "parser.c" /* yacc.c:1646  */
    break;

  case 164:
#line 972 "parser.y" /* yacc.c:1646  */
    {
			(yyval.s_value) = (yyvsp[0].s_value);
			if ((yyval.s_value)[0] == '\'' || (yyval.s_value)[0] == '\"') {
				size_t len = strlen((yyvsp[0].s_value)) - 2;
				memmove((yyval.s_value), (yyval.s_value)+1, len);
				(yyval.s_value)[len] = '\0';
			}
		}
#line 4361 "parser.c" /* yacc.c:1646  */
    break;

  case 166:
#line 983 "parser.y" /* yacc.c:1646  */
    {(yyval.s_value) = (yyvsp[-1].s_value); }
#line 4367 "parser.c" /* yacc.c:1646  */
    break;

  case 167:
#line 984 "parser.y" /* yacc.c:1646  */
    {
			int i = (yyvsp[-3].i_value);
			int len = (yyvsp[-1].i_value);
			int slen = strlen((yyvsp[-5].s_value));
			if ((i >=0) && (i < slen) && (len > 0)) {
				if ((i+len) > slen) len = slen - i;
				(yyvsp[-5].s_value)[i+len] = 0;
				(yyval.s_value) = strdup((yyvsp[-5].s_value) + i);
			}
			else
				(yyval.s_value) = strdup("");
			free((yyvsp[-5].s_value));
		}
#line 4385 "parser.c" /* yacc.c:1646  */
    break;

  case 168:
#line 997 "parser.y" /* yacc.c:1646  */
    {
			int i = (yyvsp[-3].i_value);
			int len = (yyvsp[-1].i_value);
			int slen = strlen((yyvsp[-5].s_value));
			char *s = strdup((yyvsp[-5].s_value));
			if ((i >=0) && (i < slen) && (len > 0)) {
				if ((i+len) > slen) s[i] = 0;
				else memmove(s+i, s+i+len, slen-i-len+1);
			}
			free((yyvsp[-5].s_value));
			(yyval.s_value) = s;
		}
#line 4402 "parser.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1009 "parser.y" /* yacc.c:1646  */
    {
			(yyval.s_value) = run_shell((yyvsp[-1].s_value));
			free((yyvsp[-1].s_value));
		}
#line 4411 "parser.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1013 "parser.y" /* yacc.c:1646  */
    {(yyval.s_value) = (yyvsp[0].s_value);}
#line 4417 "parser.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1017 "parser.y" /* yacc.c:1646  */
    {
			char *s = malloc(strlen((yyvsp[-2].s_value))+strlen((yyvsp[0].s_value))+1);
			strcpy(s, (yyvsp[-2].s_value));
			strcat(s, (yyvsp[0].s_value));
			(yyval.s_value) = s;
			free((yyvsp[-2].s_value)); free((yyvsp[0].s_value));
		}
#line 4429 "parser.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1027 "parser.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].t_value).type == TYPE_REAL)
				asprintf(&(yyval.s_value), "%g", (yyvsp[-1].t_value).value.r);
			else
				asprintf(&(yyval.s_value), "%d", (yyvsp[-1].t_value).value.i);
		}
#line 4440 "parser.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1036 "parser.y" /* yacc.c:1646  */
    {
			check_user_var((yyvsp[0].s_value));
			free((yyvsp[0].s_value));
		}
#line 4449 "parser.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1040 "parser.y" /* yacc.c:1646  */
    {
			check_user_var((yyvsp[0].s_value));
			free((yyvsp[0].s_value));
		}
#line 4458 "parser.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1051 "parser.y" /* yacc.c:1646  */
    { config.X_updatelines = (yyvsp[0].i_value); }
#line 4464 "parser.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1052 "parser.y" /* yacc.c:1646  */
    { config.X_updatefreq = (yyvsp[0].i_value); }
#line 4470 "parser.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1053 "parser.y" /* yacc.c:1646  */
    { free(config.X_display); config.X_display = (yyvsp[0].s_value); }
#line 4476 "parser.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1054 "parser.y" /* yacc.c:1646  */
    { free(config.X_title); config.X_title = (yyvsp[0].s_value); }
#line 4482 "parser.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1055 "parser.y" /* yacc.c:1646  */
    { config.X_title_show_appname = ((yyvsp[0].i_value)!=0); }
#line 4488 "parser.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1056 "parser.y" /* yacc.c:1646  */
    { free(config.X_icon_name); config.X_icon_name = (yyvsp[0].s_value); }
#line 4494 "parser.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1057 "parser.y" /* yacc.c:1646  */
    { config.X_keycode = (yyvsp[0].i_value); }
#line 4500 "parser.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1058 "parser.y" /* yacc.c:1646  */
    { config.X_blinkrate = (yyvsp[0].i_value); }
#line 4506 "parser.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1059 "parser.y" /* yacc.c:1646  */
    { config.X_sharecmap = 1; }
#line 4512 "parser.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1060 "parser.y" /* yacc.c:1646  */
    { config.X_mitshm = 1; }
#line 4518 "parser.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1061 "parser.y" /* yacc.c:1646  */
    { config.X_mitshm = ((yyvsp[0].i_value)!=0); }
#line 4524 "parser.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1062 "parser.y" /* yacc.c:1646  */
    { free(config.X_font); config.X_font = (yyvsp[0].s_value); }
#line 4530 "parser.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1063 "parser.y" /* yacc.c:1646  */
    { config.X_fixed_aspect = ((yyvsp[0].i_value)!=0); }
#line 4536 "parser.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1064 "parser.y" /* yacc.c:1646  */
    { config.X_aspect_43 = 1; }
#line 4542 "parser.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1065 "parser.y" /* yacc.c:1646  */
    { config.X_lin_filt = 1; }
#line 4548 "parser.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1066 "parser.y" /* yacc.c:1646  */
    { config.X_bilin_filt = 1; }
#line 4554 "parser.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1067 "parser.y" /* yacc.c:1646  */
    { config.X_mode13fact = (yyvsp[0].i_value); }
#line 4560 "parser.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1069 "parser.y" /* yacc.c:1646  */
    {
                     config.X_winsize_x = (yyvsp[-1].i_value);
                     config.X_winsize_y = (yyvsp[0].i_value);
                   }
#line 4569 "parser.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1074 "parser.y" /* yacc.c:1646  */
    {
                     config.X_winsize_x = (yyvsp[-2].i_value);
                     config.X_winsize_y = (yyvsp[0].i_value);
                   }
#line 4578 "parser.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1078 "parser.y" /* yacc.c:1646  */
    { config.X_gamma = (yyvsp[0].i_value); }
#line 4584 "parser.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1079 "parser.y" /* yacc.c:1646  */
    { config.X_fullscreen = (yyvsp[0].i_value); }
#line 4590 "parser.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1080 "parser.y" /* yacc.c:1646  */
    { config.vgaemu_memsize = (yyvsp[0].i_value); }
#line 4596 "parser.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1081 "parser.y" /* yacc.c:1646  */
    { set_vesamodes((yyvsp[-1].i_value),(yyvsp[0].i_value),0);}
#line 4602 "parser.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1082 "parser.y" /* yacc.c:1646  */
    { set_vesamodes((yyvsp[-2].i_value),(yyvsp[-1].i_value),(yyvsp[0].i_value));}
#line 4608 "parser.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1083 "parser.y" /* yacc.c:1646  */
    { set_vesamodes((yyvsp[-2].i_value),(yyvsp[0].i_value),0);}
#line 4614 "parser.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1085 "parser.y" /* yacc.c:1646  */
    { set_vesamodes((yyvsp[-4].i_value),(yyvsp[-2].i_value),(yyvsp[0].i_value));}
#line 4620 "parser.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1086 "parser.y" /* yacc.c:1646  */
    { config.X_lfb = ((yyvsp[0].i_value)!=0); }
#line 4626 "parser.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1087 "parser.y" /* yacc.c:1646  */
    { config.X_pm_interface = ((yyvsp[0].i_value)!=0); }
#line 4632 "parser.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1088 "parser.y" /* yacc.c:1646  */
    { free(config.X_mgrab_key); config.X_mgrab_key = (yyvsp[0].s_value); }
#line 4638 "parser.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1089 "parser.y" /* yacc.c:1646  */
    { config.X_background_pause = ((yyvsp[0].i_value)!=0); }
#line 4644 "parser.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1096 "parser.y" /* yacc.c:1646  */
    { if (!priv_lvl) dexe_forbid_disk = 0; }
#line 4650 "parser.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1097 "parser.y" /* yacc.c:1646  */
    {
			char *env = getenv("DISPLAY");
			if (env && env[0] && dexe_running) config.X = 1;
		}
#line 4659 "parser.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1101 "parser.y" /* yacc.c:1646  */
    {
			char *env = getenv("DISPLAY");
			if (env && env[0] && dexe_running) config.X = 1;
			else if (dexe_running) {
			  yyerror("this DEXE requires X, giving up");
			  exit(99);
			}
		}
#line 4672 "parser.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1116 "parser.y" /* yacc.c:1646  */
    { config.sb_base = (yyvsp[0].i_value); }
#line 4678 "parser.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1117 "parser.y" /* yacc.c:1646  */
    { config.sb_dma = (yyvsp[0].i_value); }
#line 4684 "parser.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1118 "parser.y" /* yacc.c:1646  */
    { config.sb_hdma = (yyvsp[0].i_value); }
#line 4690 "parser.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1119 "parser.y" /* yacc.c:1646  */
    { config.sb_irq = (yyvsp[0].i_value); }
#line 4696 "parser.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1120 "parser.y" /* yacc.c:1646  */
    { free(config.sb_mixer); config.sb_mixer = (yyvsp[0].s_value); }
#line 4702 "parser.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1121 "parser.y" /* yacc.c:1646  */
    { free(config.sb_dsp); config.sb_dsp = (yyvsp[0].s_value); }
#line 4708 "parser.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1122 "parser.y" /* yacc.c:1646  */
    { config.mpu401_base = (yyvsp[0].i_value); }
#line 4714 "parser.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1123 "parser.y" /* yacc.c:1646  */
    { free(config.sound_driver); config.sound_driver = (yyvsp[0].s_value); }
#line 4720 "parser.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1128 "parser.y" /* yacc.c:1646  */
    { config.oss_min_frags = (yyvsp[0].i_value); }
#line 4726 "parser.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1129 "parser.y" /* yacc.c:1646  */
    { config.oss_max_frags = (yyvsp[0].i_value); }
#line 4732 "parser.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1130 "parser.y" /* yacc.c:1646  */
    { config.oss_stalled_frags = (yyvsp[0].i_value); }
#line 4738 "parser.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1131 "parser.y" /* yacc.c:1646  */
    { config.oss_do_post = (yyvsp[0].i_value); }
#line 4744 "parser.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1132 "parser.y" /* yacc.c:1646  */
    { config.oss_min_extra_frags = (yyvsp[0].i_value); }
#line 4750 "parser.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1133 "parser.y" /* yacc.c:1646  */
    { config.oss_dac_freq = (yyvsp[0].i_value); }
#line 4756 "parser.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1141 "parser.y" /* yacc.c:1646  */
    { set_joy_device((yyvsp[0].s_value)); }
#line 4762 "parser.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1142 "parser.y" /* yacc.c:1646  */
    { config.joy_dos_min = (yyvsp[0].i_value); }
#line 4768 "parser.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1143 "parser.y" /* yacc.c:1646  */
    { config.joy_dos_max = (yyvsp[0].i_value); }
#line 4774 "parser.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1144 "parser.y" /* yacc.c:1646  */
    { config.joy_granularity = (yyvsp[0].i_value); }
#line 4780 "parser.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1145 "parser.y" /* yacc.c:1646  */
    { config.joy_latency = (yyvsp[0].i_value); }
#line 4786 "parser.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1153 "parser.y" /* yacc.c:1646  */
    { config.cardtype = CARD_VGA; }
#line 4792 "parser.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1154 "parser.y" /* yacc.c:1646  */
    { config.cardtype = CARD_MDA; }
#line 4798 "parser.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1155 "parser.y" /* yacc.c:1646  */
    { config.cardtype = CARD_CGA; }
#line 4804 "parser.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1156 "parser.y" /* yacc.c:1646  */
    { config.cardtype = CARD_EGA; }
#line 4810 "parser.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1157 "parser.y" /* yacc.c:1646  */
    { config.cardtype = CARD_NONE; }
#line 4816 "parser.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1159 "parser.y" /* yacc.c:1646  */
    {
		    config.chipset = (yyvsp[0].i_value);
                    c_printf("CHIPSET: %d\n", (yyvsp[0].i_value));
		    }
#line 4825 "parser.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1163 "parser.y" /* yacc.c:1646  */
    { config.gfxmemsize = (yyvsp[0].i_value); }
#line 4831 "parser.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1165 "parser.y" /* yacc.c:1646  */
    { config.vga = 1;
		    }
#line 4838 "parser.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1168 "parser.y" /* yacc.c:1646  */
    { config.vga = -1;
		    }
#line 4845 "parser.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1171 "parser.y" /* yacc.c:1646  */
    { config.console_video = 1;
		    }
#line 4852 "parser.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1174 "parser.y" /* yacc.c:1646  */
    { config.console_video = -1;
		    }
#line 4859 "parser.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1176 "parser.y" /* yacc.c:1646  */
    { config.fullrestore = 1; }
#line 4865 "parser.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1177 "parser.y" /* yacc.c:1646  */
    { config.fullrestore = 0; }
#line 4871 "parser.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1178 "parser.y" /* yacc.c:1646  */
    { free(config.vbios_file); config.vbios_file = (yyvsp[0].s_value);
					  config.mapped_bios = 1;
					  config.vbios_copy = 0; }
#line 4879 "parser.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1181 "parser.y" /* yacc.c:1646  */
    { free(config.vgaemubios_file); config.vgaemubios_file = (yyvsp[0].s_value); }
#line 4885 "parser.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1182 "parser.y" /* yacc.c:1646  */
    { free(config.vbios_file);
					  config.vbios_file = NULL;
					  config.mapped_bios = 1;
					  config.vbios_copy = 1; }
#line 4894 "parser.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1186 "parser.y" /* yacc.c:1646  */
    { free(config.vbios_file);
					  config.vbios_file = NULL;
					  config.mapped_bios = 1;
					  config.vbios_copy = 1; }
#line 4903 "parser.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1191 "parser.y" /* yacc.c:1646  */
    {
		   config.vbios_seg = (yyvsp[0].i_value);
		   c_printf("CONF: VGA-BIOS-Segment %x\n", (yyvsp[0].i_value));
		   if (((yyvsp[0].i_value) != 0xe000) && ((yyvsp[0].i_value) != 0xc000))
		      {
		      config.vbios_seg = detect_vbios_seg();
		      if (config.vbios_seg == -1) config.vbios_seg = 0xc000;
		      c_printf("CONF: VGA-BIOS-Segment set to 0x%x\n", config.vbios_seg);
		      }
		   }
#line 4918 "parser.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1202 "parser.y" /* yacc.c:1646  */
    {
		   config.vbios_size = (yyvsp[0].i_value);
		   c_printf("CONF: VGA-BIOS-Size %x\n", (yyvsp[0].i_value));
		   if (((yyvsp[0].i_value) != 0x8000) && ((yyvsp[0].i_value) != 0x10000))
		      {
		      config.vbios_size = detect_vbios_size();
		      if (config.vbios_size == -1) config.vbios_size = 0x10000;
		      c_printf("CONF: VGA-BIOS-Size set to 0x%x\n", config.vbios_size);
		      }
		   }
#line 4933 "parser.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1212 "parser.y" /* yacc.c:1646  */
    { config.vbios_post = 1; }
#line 4939 "parser.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1213 "parser.y" /* yacc.c:1646  */
    { config.dualmon = 1; }
#line 4945 "parser.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1214 "parser.y" /* yacc.c:1646  */
    { config.force_vt_switch = 1; }
#line 4951 "parser.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1215 "parser.y" /* yacc.c:1646  */
    { config.pci_video = 1; }
#line 4957 "parser.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1217 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized video option '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 4964 "parser.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1227 "parser.y" /* yacc.c:1646  */
    { config.term_esc_char = (yyvsp[0].i_value); }
#line 4970 "parser.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1228 "parser.y" /* yacc.c:1646  */
    { config.term_updatefreq = (yyvsp[0].i_value); }
#line 4976 "parser.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1229 "parser.y" /* yacc.c:1646  */
    { config.term_color = ((yyvsp[0].i_value)!=0); }
#line 4982 "parser.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1231 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized terminal option '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 4989 "parser.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1245 "parser.y" /* yacc.c:1646  */
    { set_debug_level('v', ((yyvsp[0].i_value)!=0)); }
#line 4995 "parser.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1246 "parser.y" /* yacc.c:1646  */
    { set_debug_level('a', 0); }
#line 5001 "parser.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1247 "parser.y" /* yacc.c:1646  */
    { set_debug_level('s', ((yyvsp[0].i_value)!=0)); }
#line 5007 "parser.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1248 "parser.y" /* yacc.c:1646  */
    { set_debug_level('c', ((yyvsp[0].i_value)!=0)); }
#line 5013 "parser.c" /* yacc.c:1646  */
    break;

  case 279:
#line 1249 "parser.y" /* yacc.c:1646  */
    { set_debug_level('d', ((yyvsp[0].i_value)!=0)); }
#line 5019 "parser.c" /* yacc.c:1646  */
    break;

  case 280:
#line 1250 "parser.y" /* yacc.c:1646  */
    { set_debug_level('R', ((yyvsp[0].i_value)!=0)); }
#line 5025 "parser.c" /* yacc.c:1646  */
    break;

  case 281:
#line 1251 "parser.y" /* yacc.c:1646  */
    { set_debug_level('W', ((yyvsp[0].i_value)!=0)); }
#line 5031 "parser.c" /* yacc.c:1646  */
    break;

  case 282:
#line 1252 "parser.y" /* yacc.c:1646  */
    { set_debug_level('k', ((yyvsp[0].i_value)!=0)); }
#line 5037 "parser.c" /* yacc.c:1646  */
    break;

  case 283:
#line 1253 "parser.y" /* yacc.c:1646  */
    { set_debug_level('k', ((yyvsp[0].i_value)!=0)); }
#line 5043 "parser.c" /* yacc.c:1646  */
    break;

  case 284:
#line 1254 "parser.y" /* yacc.c:1646  */
    { set_debug_level('p', ((yyvsp[0].i_value)!=0)); }
#line 5049 "parser.c" /* yacc.c:1646  */
    break;

  case 285:
#line 1255 "parser.y" /* yacc.c:1646  */
    { set_debug_level('i', ((yyvsp[0].i_value)!=0)); }
#line 5055 "parser.c" /* yacc.c:1646  */
    break;

  case 286:
#line 1256 "parser.y" /* yacc.c:1646  */
    { set_debug_level('i', ((yyvsp[0].i_value)!=0)); }
#line 5061 "parser.c" /* yacc.c:1646  */
    break;

  case 287:
#line 1257 "parser.y" /* yacc.c:1646  */
    { set_debug_level('w', ((yyvsp[0].i_value)!=0)); }
#line 5067 "parser.c" /* yacc.c:1646  */
    break;

  case 288:
#line 1258 "parser.y" /* yacc.c:1646  */
    { set_debug_level('g', ((yyvsp[0].i_value)!=0)); }
#line 5073 "parser.c" /* yacc.c:1646  */
    break;

  case 289:
#line 1259 "parser.y" /* yacc.c:1646  */
    { set_debug_level('X', ((yyvsp[0].i_value)!=0)); }
#line 5079 "parser.c" /* yacc.c:1646  */
    break;

  case 290:
#line 1260 "parser.y" /* yacc.c:1646  */
    { set_debug_level('M', ((yyvsp[0].i_value)!=0)); }
#line 5085 "parser.c" /* yacc.c:1646  */
    break;

  case 291:
#line 1261 "parser.y" /* yacc.c:1646  */
    { set_debug_level('m', ((yyvsp[0].i_value)!=0)); }
#line 5091 "parser.c" /* yacc.c:1646  */
    break;

  case 292:
#line 1262 "parser.y" /* yacc.c:1646  */
    { set_debug_level('h', ((yyvsp[0].i_value)!=0)); }
#line 5097 "parser.c" /* yacc.c:1646  */
    break;

  case 293:
#line 1263 "parser.y" /* yacc.c:1646  */
    { set_debug_level('I', ((yyvsp[0].i_value)!=0)); }
#line 5103 "parser.c" /* yacc.c:1646  */
    break;

  case 294:
#line 1264 "parser.y" /* yacc.c:1646  */
    { set_debug_level('E', ((yyvsp[0].i_value)!=0)); }
#line 5109 "parser.c" /* yacc.c:1646  */
    break;

  case 295:
#line 1265 "parser.y" /* yacc.c:1646  */
    { set_debug_level('n', ((yyvsp[0].i_value)!=0)); }
#line 5115 "parser.c" /* yacc.c:1646  */
    break;

  case 296:
#line 1266 "parser.y" /* yacc.c:1646  */
    { set_debug_level('X', ((yyvsp[0].i_value)!=0)); }
#line 5121 "parser.c" /* yacc.c:1646  */
    break;

  case 297:
#line 1267 "parser.y" /* yacc.c:1646  */
    { set_debug_level('S', ((yyvsp[0].i_value)!=0)); }
#line 5127 "parser.c" /* yacc.c:1646  */
    break;

  case 298:
#line 1268 "parser.y" /* yacc.c:1646  */
    { set_debug_level('j', ((yyvsp[0].i_value)!=0)); }
#line 5133 "parser.c" /* yacc.c:1646  */
    break;

  case 299:
#line 1270 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized debug flag '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5139 "parser.c" /* yacc.c:1646  */
    break;

  case 303:
#line 1279 "parser.y" /* yacc.c:1646  */
    { free(mptr->dev); mptr->dev = (yyvsp[0].s_value); }
#line 5145 "parser.c" /* yacc.c:1646  */
    break;

  case 304:
#line 1280 "parser.y" /* yacc.c:1646  */
    { mptr->intdrv = TRUE; }
#line 5151 "parser.c" /* yacc.c:1646  */
    break;

  case 305:
#line 1281 "parser.y" /* yacc.c:1646  */
    { mptr->emulate3buttons = TRUE; }
#line 5157 "parser.c" /* yacc.c:1646  */
    break;

  case 306:
#line 1282 "parser.y" /* yacc.c:1646  */
    { mptr->baudRate = (yyvsp[0].i_value); }
#line 5163 "parser.c" /* yacc.c:1646  */
    break;

  case 307:
#line 1284 "parser.y" /* yacc.c:1646  */
    { if (mptr->type == MOUSE_MOUSESYSTEMS)
			 mptr->cleardtr = TRUE;
		      else
			 yyerror("option CLEARDTR is only valid for MicroSystems-mice");
		    }
#line 5173 "parser.c" /* yacc.c:1646  */
    break;

  case 308:
#line 1290 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_MICROSOFT;
		  mptr->flags = CS7 | CREAD | CLOCAL | HUPCL;
		  }
#line 5182 "parser.c" /* yacc.c:1646  */
    break;

  case 309:
#line 1295 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_MS3BUTTON;
		  mptr->flags = CS7 | CREAD | CLOCAL | HUPCL;
		  }
#line 5191 "parser.c" /* yacc.c:1646  */
    break;

  case 310:
#line 1300 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_MOUSESYSTEMS;
		  mptr->flags = CS8 | CREAD | CLOCAL | HUPCL;
/* is cstopb needed?  mptr->flags = CS8 | CSTOPB | CREAD | CLOCAL | HUPCL; */
		  }
#line 5201 "parser.c" /* yacc.c:1646  */
    break;

  case 311:
#line 1306 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_MMSERIES;
		  mptr->flags = CS8 | PARENB | PARODD | CREAD | CLOCAL | HUPCL;
		  }
#line 5210 "parser.c" /* yacc.c:1646  */
    break;

  case 312:
#line 1311 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_LOGITECH;
		  mptr->flags = CS8 | CSTOPB | CREAD | CLOCAL | HUPCL;
		  }
#line 5219 "parser.c" /* yacc.c:1646  */
    break;

  case 313:
#line 1316 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_PS2;
		  mptr->flags = 0;
		  }
#line 5228 "parser.c" /* yacc.c:1646  */
    break;

  case 314:
#line 1321 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_IMPS2;
		  mptr->flags = 0;
		  }
#line 5237 "parser.c" /* yacc.c:1646  */
    break;

  case 315:
#line 1326 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_MOUSEMAN;
		  mptr->flags = CS7 | CREAD | CLOCAL | HUPCL;
		  }
#line 5246 "parser.c" /* yacc.c:1646  */
    break;

  case 316:
#line 1331 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_HITACHI;
		  mptr->flags = CS8 | CREAD | CLOCAL | HUPCL;
		  }
#line 5255 "parser.c" /* yacc.c:1646  */
    break;

  case 317:
#line 1336 "parser.y" /* yacc.c:1646  */
    {
		  mptr->type = MOUSE_BUSMOUSE;
		  mptr->flags = 0;
		  }
#line 5264 "parser.c" /* yacc.c:1646  */
    break;

  case 318:
#line 1341 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized mouse flag '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5270 "parser.c" /* yacc.c:1646  */
    break;

  case 322:
#line 1350 "parser.y" /* yacc.c:1646  */
    { keyb_layout((yyvsp[0].i_value)); }
#line 5276 "parser.c" /* yacc.c:1646  */
    break;

  case 323:
#line 1351 "parser.y" /* yacc.c:1646  */
    {keyb_layout((yyvsp[0].i_value));}
#line 5282 "parser.c" /* yacc.c:1646  */
    break;

  case 325:
#line 1352 "parser.y" /* yacc.c:1646  */
    { keyb_layout(KEYB_NO); }
#line 5288 "parser.c" /* yacc.c:1646  */
    break;

  case 326:
#line 1353 "parser.y" /* yacc.c:1646  */
    { keyb_layout(-1); }
#line 5294 "parser.c" /* yacc.c:1646  */
    break;

  case 327:
#line 1354 "parser.y" /* yacc.c:1646  */
    { config.console_keyb = (yyvsp[0].i_value); }
#line 5300 "parser.c" /* yacc.c:1646  */
    break;

  case 328:
#line 1356 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized keyboard flag '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value));}
#line 5307 "parser.c" /* yacc.c:1646  */
    break;

  case 332:
#line 1365 "parser.y" /* yacc.c:1646  */
    { keyb_mod('C', (yyvsp[-1].i_value), 0); }
#line 5313 "parser.c" /* yacc.c:1646  */
    break;

  case 334:
#line 1366 "parser.y" /* yacc.c:1646  */
    { keyb_mod('a', (yyvsp[-1].i_value), 0); }
#line 5319 "parser.c" /* yacc.c:1646  */
    break;

  case 336:
#line 1367 "parser.y" /* yacc.c:1646  */
    { keyb_mod('c', (yyvsp[-1].i_value), 0); }
#line 5325 "parser.c" /* yacc.c:1646  */
    break;

  case 338:
#line 1368 "parser.y" /* yacc.c:1646  */
    { keyb_mod(' ', (yyvsp[-1].i_value), 0); }
#line 5331 "parser.c" /* yacc.c:1646  */
    break;

  case 340:
#line 1369 "parser.y" /* yacc.c:1646  */
    { keyb_mod('S', (yyvsp[-1].i_value), 0); }
#line 5337 "parser.c" /* yacc.c:1646  */
    break;

  case 342:
#line 1370 "parser.y" /* yacc.c:1646  */
    { keyb_mod('A', (yyvsp[-1].i_value), 0); }
#line 5343 "parser.c" /* yacc.c:1646  */
    break;

  case 344:
#line 1371 "parser.y" /* yacc.c:1646  */
    { keyb_mod('N', (yyvsp[-1].i_value), 0); }
#line 5349 "parser.c" /* yacc.c:1646  */
    break;

  case 348:
#line 1378 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, (yyvsp[0].i_value), 1); }
#line 5355 "parser.c" /* yacc.c:1646  */
    break;

  case 349:
#line 1379 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, KEY_DEAD_GRAVE, 1); }
#line 5361 "parser.c" /* yacc.c:1646  */
    break;

  case 350:
#line 1380 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, KEY_DEAD_ACUTE, 1); }
#line 5367 "parser.c" /* yacc.c:1646  */
    break;

  case 351:
#line 1381 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, KEY_DEAD_CIRCUMFLEX, 1); }
#line 5373 "parser.c" /* yacc.c:1646  */
    break;

  case 352:
#line 1382 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, KEY_DEAD_TILDE, 1); }
#line 5379 "parser.c" /* yacc.c:1646  */
    break;

  case 353:
#line 1383 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, KEY_DEAD_BREVE, 1); }
#line 5385 "parser.c" /* yacc.c:1646  */
    break;

  case 354:
#line 1384 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, KEY_DEAD_ABOVEDOT, 1); }
#line 5391 "parser.c" /* yacc.c:1646  */
    break;

  case 355:
#line 1385 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, KEY_DEAD_DIAERESIS, 1); }
#line 5397 "parser.c" /* yacc.c:1646  */
    break;

  case 356:
#line 1386 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, KEY_DEAD_ABOVERING, 1); }
#line 5403 "parser.c" /* yacc.c:1646  */
    break;

  case 357:
#line 1387 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, KEY_DEAD_DOUBLEACUTE, 1); }
#line 5409 "parser.c" /* yacc.c:1646  */
    break;

  case 358:
#line 1388 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, KEY_DEAD_CEDILLA, 1); }
#line 5415 "parser.c" /* yacc.c:1646  */
    break;

  case 359:
#line 1389 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, KEY_VOID, 1); }
#line 5421 "parser.c" /* yacc.c:1646  */
    break;

  case 360:
#line 1390 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0,KEY_DEAD_OGONEK, 1); }
#line 5427 "parser.c" /* yacc.c:1646  */
    break;

  case 361:
#line 1391 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, KEY_DEAD_CARON, 1); }
#line 5433 "parser.c" /* yacc.c:1646  */
    break;

  case 362:
#line 1392 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, (yyvsp[0].i_value), 0); }
#line 5439 "parser.c" /* yacc.c:1646  */
    break;

  case 363:
#line 1393 "parser.y" /* yacc.c:1646  */
    { keyb_mod(0, (yyvsp[-1].i_value), 0); }
#line 5445 "parser.c" /* yacc.c:1646  */
    break;

  case 364:
#line 1394 "parser.y" /* yacc.c:1646  */
    {
			char *p = (yyvsp[0].s_value);
			while (*p) keyb_mod(0, *p++, 0);
			free((yyvsp[0].s_value));
		}
#line 5455 "parser.c" /* yacc.c:1646  */
    break;

  case 367:
#line 1406 "parser.y" /* yacc.c:1646  */
    { free(config.tty_lockdir); config.tty_lockdir = (yyvsp[0].s_value); }
#line 5461 "parser.c" /* yacc.c:1646  */
    break;

  case 368:
#line 1407 "parser.y" /* yacc.c:1646  */
    { free(config.tty_lockfile); config.tty_lockfile = (yyvsp[0].s_value); }
#line 5467 "parser.c" /* yacc.c:1646  */
    break;

  case 369:
#line 1408 "parser.y" /* yacc.c:1646  */
    { config.tty_lockbinary = TRUE; }
#line 5473 "parser.c" /* yacc.c:1646  */
    break;

  case 370:
#line 1410 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized ttylocks flag '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5479 "parser.c" /* yacc.c:1646  */
    break;

  case 374:
#line 1419 "parser.y" /* yacc.c:1646  */
    { free(sptr->dev); sptr->dev = (yyvsp[0].s_value);
					  if (!strcmp("/dev/mouse",sptr->dev)) sptr->mouse=1; }
#line 5486 "parser.c" /* yacc.c:1646  */
    break;

  case 375:
#line 1421 "parser.y" /* yacc.c:1646  */
    {
					   if (isatty(0)) {
					     sptr->virtual = TRUE;
					     sptr->pseudo = TRUE;
					     no_local_video = 1;
					     sptr->dev = strdup(ttyname(0));
					   } else {
					     error("FD 0 is not a tty, can't "
					           "use a virtual com port\n");
					     exit(1);
					   }
					  }
#line 5503 "parser.c" /* yacc.c:1646  */
    break;

  case 376:
#line 1433 "parser.y" /* yacc.c:1646  */
    { sptr->pseudo = TRUE; }
#line 5509 "parser.c" /* yacc.c:1646  */
    break;

  case 377:
#line 1434 "parser.y" /* yacc.c:1646  */
    { sptr->system_rtscts = TRUE; }
#line 5515 "parser.c" /* yacc.c:1646  */
    break;

  case 378:
#line 1435 "parser.y" /* yacc.c:1646  */
    { sptr->low_latency = TRUE; }
#line 5521 "parser.c" /* yacc.c:1646  */
    break;

  case 379:
#line 1436 "parser.y" /* yacc.c:1646  */
    { sptr->real_comport = (yyvsp[0].i_value); }
#line 5527 "parser.c" /* yacc.c:1646  */
    break;

  case 380:
#line 1437 "parser.y" /* yacc.c:1646  */
    { sptr->base_port = (yyvsp[0].i_value); }
#line 5533 "parser.c" /* yacc.c:1646  */
    break;

  case 381:
#line 1438 "parser.y" /* yacc.c:1646  */
    { sptr->interrupt = (yyvsp[0].i_value); }
#line 5539 "parser.c" /* yacc.c:1646  */
    break;

  case 382:
#line 1439 "parser.y" /* yacc.c:1646  */
    { sptr->interrupt = (yyvsp[0].i_value); }
#line 5545 "parser.c" /* yacc.c:1646  */
    break;

  case 383:
#line 1440 "parser.y" /* yacc.c:1646  */
    { sptr->mouse = 1; }
#line 5551 "parser.c" /* yacc.c:1646  */
    break;

  case 384:
#line 1442 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized serial flag '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5557 "parser.c" /* yacc.c:1646  */
    break;

  case 388:
#line 1451 "parser.y" /* yacc.c:1646  */
    { c_printers = (yyvsp[0].i_value) - 1; }
#line 5563 "parser.c" /* yacc.c:1646  */
    break;

  case 389:
#line 1452 "parser.y" /* yacc.c:1646  */
    { pptr->prtcmd = (yyvsp[0].s_value); }
#line 5569 "parser.c" /* yacc.c:1646  */
    break;

  case 390:
#line 1453 "parser.y" /* yacc.c:1646  */
    { pptr->delay = (yyvsp[0].i_value); }
#line 5575 "parser.c" /* yacc.c:1646  */
    break;

  case 391:
#line 1454 "parser.y" /* yacc.c:1646  */
    { pptr->dev = (yyvsp[0].s_value); }
#line 5581 "parser.c" /* yacc.c:1646  */
    break;

  case 392:
#line 1455 "parser.y" /* yacc.c:1646  */
    { pptr->base_port = (yyvsp[0].i_value); }
#line 5587 "parser.c" /* yacc.c:1646  */
    break;

  case 393:
#line 1457 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized printer flag %s", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5593 "parser.c" /* yacc.c:1646  */
    break;

  case 395:
#line 1464 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->boot_name != NULL)
		    yyerror("Two names for a boot-image file or device given.");
		  dptr->boot_name = (yyvsp[0].s_value);
                  }
#line 5603 "parser.c" /* yacc.c:1646  */
    break;

  case 399:
#line 1475 "parser.y" /* yacc.c:1646  */
    { dptr->wantrdonly = 1; }
#line 5609 "parser.c" /* yacc.c:1646  */
    break;

  case 400:
#line 1476 "parser.y" /* yacc.c:1646  */
    { dptr->default_cmos = THREE_INCH_FLOPPY; }
#line 5615 "parser.c" /* yacc.c:1646  */
    break;

  case 401:
#line 1477 "parser.y" /* yacc.c:1646  */
    { dptr->default_cmos = THREE_INCH_288MFLOP; }
#line 5621 "parser.c" /* yacc.c:1646  */
    break;

  case 402:
#line 1478 "parser.y" /* yacc.c:1646  */
    { dptr->default_cmos = THREE_INCH_720KFLOP; }
#line 5627 "parser.c" /* yacc.c:1646  */
    break;

  case 403:
#line 1479 "parser.y" /* yacc.c:1646  */
    { dptr->default_cmos = ATAPI_FLOPPY; }
#line 5633 "parser.c" /* yacc.c:1646  */
    break;

  case 404:
#line 1480 "parser.y" /* yacc.c:1646  */
    { dptr->default_cmos = FIVE_INCH_FLOPPY; }
#line 5639 "parser.c" /* yacc.c:1646  */
    break;

  case 405:
#line 1481 "parser.y" /* yacc.c:1646  */
    { dptr->diskcyl4096 = 1; }
#line 5645 "parser.c" /* yacc.c:1646  */
    break;

  case 406:
#line 1482 "parser.y" /* yacc.c:1646  */
    { dptr->sectors = (yyvsp[0].i_value); }
#line 5651 "parser.c" /* yacc.c:1646  */
    break;

  case 407:
#line 1483 "parser.y" /* yacc.c:1646  */
    { dptr->tracks = (yyvsp[0].i_value); }
#line 5657 "parser.c" /* yacc.c:1646  */
    break;

  case 408:
#line 1484 "parser.y" /* yacc.c:1646  */
    { dptr->tracks = (yyvsp[0].i_value); }
#line 5663 "parser.c" /* yacc.c:1646  */
    break;

  case 409:
#line 1485 "parser.y" /* yacc.c:1646  */
    { dptr->heads = (yyvsp[0].i_value); }
#line 5669 "parser.c" /* yacc.c:1646  */
    break;

  case 410:
#line 1486 "parser.y" /* yacc.c:1646  */
    { dptr->header = (yyvsp[0].i_value); }
#line 5675 "parser.c" /* yacc.c:1646  */
    break;

  case 411:
#line 1488 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a disk-image file or device given.");
		  dptr->dev_name = (yyvsp[-1].s_value);
		  }
#line 5685 "parser.c" /* yacc.c:1646  */
    break;

  case 412:
#line 1494 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a disk-image file or device given.");
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5695 "parser.c" /* yacc.c:1646  */
    break;

  case 413:
#line 1500 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a harddisk-image file given.");
		  dptr->type = IMAGE;
		  dptr->header = HEADER_SIZE;
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5707 "parser.c" /* yacc.c:1646  */
    break;

  case 414:
#line 1508 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a harddisk given.");
		  dptr->type = HDISK;
		  dptr->dev_name = (yyvsp[-1].s_value);
		  }
#line 5718 "parser.c" /* yacc.c:1646  */
    break;

  case 415:
#line 1515 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a floppy-device given.");
		  dptr->type = FLOPPY;
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5729 "parser.c" /* yacc.c:1646  */
    break;

  case 416:
#line 1522 "parser.y" /* yacc.c:1646  */
    {
                  yywarn("{ partition \"%s\" %d } the"
			 " token '%d' is ignored and can be removed.",
			 (yyvsp[-2].s_value),(yyvsp[-1].i_value),(yyvsp[-1].i_value));
		  do_part((yyvsp[-2].s_value));
		  }
#line 5740 "parser.c" /* yacc.c:1646  */
    break;

  case 417:
#line 1529 "parser.y" /* yacc.c:1646  */
    { do_part((yyvsp[-1].s_value)); }
#line 5746 "parser.c" /* yacc.c:1646  */
    break;

  case 418:
#line 1531 "parser.y" /* yacc.c:1646  */
    {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a directory given.");
		  dptr->type = DIR_TYPE;
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5757 "parser.c" /* yacc.c:1646  */
    break;

  case 419:
#line 1538 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized disk flag '%s'\n", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5763 "parser.c" /* yacc.c:1646  */
    break;

  case 423:
#line 1548 "parser.y" /* yacc.c:1646  */
    {
		   c_printf("CONF: I/O port 0x%04x\n", (unsigned short)(yyvsp[0].i_value));
	           allow_io((yyvsp[0].i_value), 1, ports_permission, ports_ormask,
	                    ports_andmask, portspeed, (char*)dev_name);
		   if (abs(portspeed)) portspeed += ((portspeed>0) ? 1 : -1);
	           }
#line 5774 "parser.c" /* yacc.c:1646  */
    break;

  case 424:
#line 1555 "parser.y" /* yacc.c:1646  */
    {
	           allow_io((yyvsp[-1].i_value), 1, ports_permission, ports_ormask,
	                    ports_andmask, portspeed, (char*)dev_name);
		   if (abs(portspeed)) portspeed += ((portspeed>0) ? 1 : -1);
	           }
#line 5784 "parser.c" /* yacc.c:1646  */
    break;

  case 425:
#line 1561 "parser.y" /* yacc.c:1646  */
    {
		   if (abs(portspeed) > 1) portspeed = 0;
		   c_printf("CONF: range of I/O ports 0x%04x-0x%04x\n",
			    (unsigned short)(yyvsp[-1].i_value), (unsigned short)(yyvsp[0].i_value));
		   allow_io((yyvsp[-1].i_value), (yyvsp[0].i_value) - (yyvsp[-1].i_value) + 1, ports_permission, ports_ormask,
			    ports_andmask, portspeed, (char*)dev_name);
		   portspeed=0;
		   strcpy(dev_name,"");
		   }
#line 5798 "parser.c" /* yacc.c:1646  */
    break;

  case 426:
#line 1571 "parser.y" /* yacc.c:1646  */
    {
		   if (abs(portspeed) > 1) portspeed = 0;
		   c_printf("CONF: range of I/O ports 0x%04x-0x%04x\n",
			    (unsigned short)(yyvsp[-2].i_value), (unsigned short)(yyvsp[0].i_value));
		   allow_io((yyvsp[-2].i_value), (yyvsp[0].i_value) - (yyvsp[-2].i_value) + 1, ports_permission, ports_ormask,
			    ports_andmask, portspeed, (char*)dev_name);
		   portspeed=0;
		   strcpy(dev_name,"");
		   }
#line 5812 "parser.c" /* yacc.c:1646  */
    break;

  case 427:
#line 1580 "parser.y" /* yacc.c:1646  */
    { ports_permission = IO_READ; }
#line 5818 "parser.c" /* yacc.c:1646  */
    break;

  case 428:
#line 1581 "parser.y" /* yacc.c:1646  */
    { ports_permission = IO_WRITE; }
#line 5824 "parser.c" /* yacc.c:1646  */
    break;

  case 429:
#line 1582 "parser.y" /* yacc.c:1646  */
    { ports_permission = IO_RDWR; }
#line 5830 "parser.c" /* yacc.c:1646  */
    break;

  case 430:
#line 1583 "parser.y" /* yacc.c:1646  */
    { ports_ormask = (yyvsp[0].i_value); }
#line 5836 "parser.c" /* yacc.c:1646  */
    break;

  case 431:
#line 1584 "parser.y" /* yacc.c:1646  */
    { ports_andmask = (yyvsp[0].i_value); }
#line 5842 "parser.c" /* yacc.c:1646  */
    break;

  case 432:
#line 1585 "parser.y" /* yacc.c:1646  */
    { portspeed = 1; }
#line 5848 "parser.c" /* yacc.c:1646  */
    break;

  case 433:
#line 1586 "parser.y" /* yacc.c:1646  */
    { portspeed = -1; }
#line 5854 "parser.c" /* yacc.c:1646  */
    break;

  case 434:
#line 1587 "parser.y" /* yacc.c:1646  */
    { strcpy(dev_name,(yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5860 "parser.c" /* yacc.c:1646  */
    break;

  case 435:
#line 1589 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized port command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 5867 "parser.c" /* yacc.c:1646  */
    break;

  case 439:
#line 1598 "parser.y" /* yacc.c:1646  */
    { register_port_traceing((yyvsp[0].i_value), (yyvsp[0].i_value)); }
#line 5873 "parser.c" /* yacc.c:1646  */
    break;

  case 440:
#line 1600 "parser.y" /* yacc.c:1646  */
    { register_port_traceing((yyvsp[-1].i_value), (yyvsp[-1].i_value)); }
#line 5879 "parser.c" /* yacc.c:1646  */
    break;

  case 441:
#line 1602 "parser.y" /* yacc.c:1646  */
    { register_port_traceing((yyvsp[-1].i_value), (yyvsp[0].i_value)); }
#line 5885 "parser.c" /* yacc.c:1646  */
    break;

  case 442:
#line 1604 "parser.y" /* yacc.c:1646  */
    { register_port_traceing((yyvsp[-2].i_value), (yyvsp[0].i_value)); }
#line 5891 "parser.c" /* yacc.c:1646  */
    break;

  case 443:
#line 1605 "parser.y" /* yacc.c:1646  */
    { clear_port_traceing(); }
#line 5897 "parser.c" /* yacc.c:1646  */
    break;

  case 444:
#line 1607 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized port trace command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 5904 "parser.c" /* yacc.c:1646  */
    break;

  case 448:
#line 1617 "parser.y" /* yacc.c:1646  */
    { set_irq_value(1, (yyvsp[0].i_value)); }
#line 5910 "parser.c" /* yacc.c:1646  */
    break;

  case 449:
#line 1618 "parser.y" /* yacc.c:1646  */
    { set_irq_value(1, (yyvsp[-1].i_value)); }
#line 5916 "parser.c" /* yacc.c:1646  */
    break;

  case 450:
#line 1619 "parser.y" /* yacc.c:1646  */
    { set_irq_value(0x10001, (yyvsp[0].i_value)); }
#line 5922 "parser.c" /* yacc.c:1646  */
    break;

  case 451:
#line 1620 "parser.y" /* yacc.c:1646  */
    { set_irq_range(1, (yyvsp[-1].i_value), (yyvsp[0].i_value)); }
#line 5928 "parser.c" /* yacc.c:1646  */
    break;

  case 452:
#line 1621 "parser.y" /* yacc.c:1646  */
    { set_irq_range(1, (yyvsp[-2].i_value), (yyvsp[0].i_value)); }
#line 5934 "parser.c" /* yacc.c:1646  */
    break;

  case 453:
#line 1622 "parser.y" /* yacc.c:1646  */
    { set_irq_range(0x10001, (yyvsp[-1].i_value), (yyvsp[0].i_value)); }
#line 5940 "parser.c" /* yacc.c:1646  */
    break;

  case 454:
#line 1623 "parser.y" /* yacc.c:1646  */
    { set_irq_range(0x10001, (yyvsp[-2].i_value), (yyvsp[0].i_value)); }
#line 5946 "parser.c" /* yacc.c:1646  */
    break;

  case 455:
#line 1625 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized irqpassing command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 5953 "parser.c" /* yacc.c:1646  */
    break;

  case 459:
#line 1636 "parser.y" /* yacc.c:1646  */
    {
		     config.ems_size = (yyvsp[0].i_value);
		     if ((yyvsp[0].i_value) > 0) c_printf("CONF: %dk bytes EMS memory\n", (yyvsp[0].i_value));
	           }
#line 5962 "parser.c" /* yacc.c:1646  */
    break;

  case 460:
#line 1641 "parser.y" /* yacc.c:1646  */
    {
		     config.ems_size = (yyvsp[-1].i_value);
		     if ((yyvsp[-1].i_value) > 0) c_printf("CONF: %dk bytes EMS memory\n", (yyvsp[-1].i_value));
	           }
#line 5971 "parser.c" /* yacc.c:1646  */
    break;

  case 461:
#line 1646 "parser.y" /* yacc.c:1646  */
    {
		     config.ems_size = (yyvsp[0].i_value);
		     if ((yyvsp[0].i_value) > 0) c_printf("CONF: %dk bytes EMS memory\n", (yyvsp[0].i_value));
		   }
#line 5980 "parser.c" /* yacc.c:1646  */
    break;

  case 462:
#line 1651 "parser.y" /* yacc.c:1646  */
    {
/* is there a technical reason why the EMS frame can't be at 0xC0000 or
   0xA0000 if there's space? */
#if 0
		     if ( (((yyvsp[0].i_value) & 0xfc00)>=0xc800) && (((yyvsp[0].i_value) & 0xfc00)<=0xe000) ) {
		       config.ems_frame = (yyvsp[0].i_value) & 0xfc00;
		       c_printf("CONF: EMS-frame = 0x%04x\n", config.ems_frame);
		     }
		     else yyerror("wrong EMS-frame: 0x%04x", (yyvsp[0].i_value));
#endif
	             config.ems_frame = (yyvsp[0].i_value) & 0xfc00;
		     c_printf("CONF: EMS-frame = 0x%04x\n", config.ems_frame);
		   }
#line 5998 "parser.c" /* yacc.c:1646  */
    break;

  case 463:
#line 1665 "parser.y" /* yacc.c:1646  */
    {
		     config.ems_uma_pages = (yyvsp[0].i_value);
		   }
#line 6006 "parser.c" /* yacc.c:1646  */
    break;

  case 464:
#line 1669 "parser.y" /* yacc.c:1646  */
    {
		     config.ems_cnv_pages = (yyvsp[0].i_value);
		   }
#line 6014 "parser.c" /* yacc.c:1646  */
    break;

  case 465:
#line 1673 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized ems command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 6021 "parser.c" /* yacc.c:1646  */
    break;

  case 469:
#line 1684 "parser.y" /* yacc.c:1646  */
    {
                     if (!register_hardware_ram('h', (yyvsp[0].i_value), PAGE_SIZE)) {
                       yyerror("wrong hardware ram address : 0x%08x", (yyvsp[0].i_value));
                     }
	           }
#line 6031 "parser.c" /* yacc.c:1646  */
    break;

  case 470:
#line 1690 "parser.y" /* yacc.c:1646  */
    {
                     if (!register_hardware_ram('h', (yyvsp[-1].i_value), PAGE_SIZE)) {
                       yyerror("wrong hardware ram address : 0x%08x", (yyvsp[-1].i_value));
                     }
	           }
#line 6041 "parser.c" /* yacc.c:1646  */
    break;

  case 471:
#line 1696 "parser.y" /* yacc.c:1646  */
    {
                     if (register_hardware_ram('h', (yyvsp[-1].i_value), (yyvsp[0].i_value) - (yyvsp[-1].i_value)))
	               c_printf("CONF: hardware ram pages at 0x%08x-%08x\n", (yyvsp[-1].i_value), (yyvsp[0].i_value));
                     else
                       yyerror("wrong hardware ram address : 0x%08x", (yyvsp[-1].i_value));
		   }
#line 6052 "parser.c" /* yacc.c:1646  */
    break;

  case 472:
#line 1703 "parser.y" /* yacc.c:1646  */
    {
                     if (register_hardware_ram('h', (yyvsp[-2].i_value), (yyvsp[0].i_value) - (yyvsp[-2].i_value)))
	               c_printf("CONF: hardware ram pages at 0x%08x-%08x\n", (yyvsp[-2].i_value), (yyvsp[0].i_value));
                     else
                       yyerror("wrong hardware ram address : 0x%08x", (yyvsp[-2].i_value));
		   }
#line 6063 "parser.c" /* yacc.c:1646  */
    break;

  case 473:
#line 1710 "parser.y" /* yacc.c:1646  */
    { yyerror("unrecognized hardware ram command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 6070 "parser.c" /* yacc.c:1646  */
    break;

  case 477:
#line 1724 "parser.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].i_value) == -2) {
				yyerror("got 'on', expected 'off' or an integer");
			}
		}
#line 6080 "parser.c" /* yacc.c:1646  */
    break;

  case 478:
#line 1731 "parser.y" /* yacc.c:1646  */
    {
			if ( (yyvsp[0].i_value) && (((yyvsp[0].i_value) < 2) || ((yyvsp[0].i_value) > 15)) ) {
				yyerror("got '%d', expected 'off' or an integer 2..15", (yyvsp[0].i_value));
			} 
		}
#line 6090 "parser.c" /* yacc.c:1646  */
    break;

  case 479:
#line 1740 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = SPKR_OFF; }
#line 6096 "parser.c" /* yacc.c:1646  */
    break;

  case 480:
#line 1741 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = SPKR_NATIVE; }
#line 6102 "parser.c" /* yacc.c:1646  */
    break;

  case 481:
#line 1742 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = SPKR_EMULATED; }
#line 6108 "parser.c" /* yacc.c:1646  */
    break;

  case 482:
#line 1743 "parser.y" /* yacc.c:1646  */
    { yyerror("got '%s', expected 'emulated' or 'native'", (yyvsp[0].s_value));
				  free((yyvsp[0].s_value)); }
#line 6115 "parser.c" /* yacc.c:1646  */
    break;

  case 483:
#line 1745 "parser.y" /* yacc.c:1646  */
    { yyerror("expected 'emulated' or 'native'"); }
#line 6121 "parser.c" /* yacc.c:1646  */
    break;

  case 484:
#line 1750 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = 0; }
#line 6127 "parser.c" /* yacc.c:1646  */
    break;

  case 485:
#line 1751 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = 3; }
#line 6133 "parser.c" /* yacc.c:1646  */
    break;

  case 486:
#line 1752 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = 4; }
#line 6139 "parser.c" /* yacc.c:1646  */
    break;

  case 487:
#line 1753 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = 5; }
#line 6145 "parser.c" /* yacc.c:1646  */
    break;

  case 488:
#line 1754 "parser.y" /* yacc.c:1646  */
    { (yyval.i_value) = 6; }
#line 6151 "parser.c" /* yacc.c:1646  */
    break;

  case 489:
#line 1755 "parser.y" /* yacc.c:1646  */
    { yyerror("got '%s', expected 'off', 'vm86' or 'full'", (yyvsp[0].s_value));
				  free((yyvsp[0].s_value)); }
#line 6158 "parser.c" /* yacc.c:1646  */
    break;

  case 490:
#line 1757 "parser.y" /* yacc.c:1646  */
    { yyerror("expected 'off', 'vm86' or 'full'"); }
#line 6164 "parser.c" /* yacc.c:1646  */
    break;

  case 493:
#line 1764 "parser.y" /* yacc.c:1646  */
    { set_internal_charset ((yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 6170 "parser.c" /* yacc.c:1646  */
    break;

  case 494:
#line 1765 "parser.y" /* yacc.c:1646  */
    { set_external_charset ((yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 6176 "parser.c" /* yacc.c:1646  */
    break;


#line 6180 "parser.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 1768 "parser.y" /* yacc.c:1906  */


	/* features */

static void handle_features(int which, int value)
{
  if ((which < 0)
	|| (which >= (sizeof(config.features) / sizeof(config.features[0])))) {
    c_printf("CONF: wrong feature number %d\n", which);
    return;
  }
  config.features[which] = value;
  c_printf("CONF: feature %d set to %d\n", which, value);
}

	/* joystick */

static void set_joy_device(char *devstring)
{
  char *spacepos;

  free(config.joy_device[0]);
  config.joy_device[0] = devstring;
  config.joy_device[1] = NULL;
  spacepos = strchr(devstring, ' ');
  if (spacepos != NULL) {
    *spacepos = '\0';
    config.joy_device[1] = spacepos + 1;
  }
}

	/* mouse */

static void start_mouse(void)
{
  mptr = &config.mouse;
  mptr->fd = -1;
}

static void stop_mouse(void)
{
  c_printf("MOUSE: %s, type %x using internaldriver: %s, emulate3buttons: %s baudrate: %d\n", 
        mptr->dev && mptr->dev[0] ? mptr->dev : "no device specified",
        mptr->type, mptr->intdrv ? "yes" : "no", 
        mptr->emulate3buttons ? "yes" : "no", mptr->baudRate);
}

	/* debug */

static void start_ports(void)
{
  if (priv_lvl)
    yyerror("Can not change port privileges in user config file");
  ports_permission = IO_RDWR;
  ports_ormask = 0;
  ports_andmask = 0xFFFF;
}

	/* debug */

static void start_debug(void)
{
  set_debug_level('a', 0);	      /* Default is no debugging output at all */
}

	/* video */

static void start_video(void)
{
  free(config.vbios_file);
  config.vbios_file = NULL;
  config.vbios_copy = 0;
  config.vbios_seg  = 0xc000;
  config.vbios_size = 0x10000;
  config.console_video = 0;
  config.cardtype = CARD_NONE;
  config.chipset = PLAINVGA;
  config.mapped_bios = 0;
  config.vga = 0;
  config.gfxmemsize = 256;
  config.fullrestore = 0;
  config.dualmon = 0;
  config.force_vt_switch = 0;
}

static void stop_video(void)
{
  if (priv_lvl)
    config.console_video = 0;

  if ((config.cardtype != CARD_VGA) || !config.console_video) {
    config.vga = 0;
  }
}

	/* vesa modes */
static void set_vesamodes(int width, int height, int color_bits)
{
  vesamode_type *vmt = malloc(sizeof *vmt);
  if(vmt != NULL) {
    vmt->width = width;
    vmt->height = height;
    vmt->color_bits = color_bits;
    vmt->next = config.vesamode_list;
    config.vesamode_list = vmt;
  }
}

	/* vbios detection */
static int auto_vbios_seg = -1;
static int auto_vbios_size = -1;

static void detect_vbios(void)
{
  unsigned char c[0x21];
  int foffset;

  if (auto_vbios_seg != -1) return;
  if (!can_do_root_stuff || config.vbios_file) return;
  for (foffset = 0xc0000; foffset < 0xf0000; foffset += 0x800) {
    load_file("/dev/mem", foffset, c, sizeof(c));
    if (c[0]==0x55 && c[1]==0xaa
        && c[0x1e]=='I' && c[0x1f]=='B' && c[0x20]=='M') {
      auto_vbios_seg = foffset >> 4;
      auto_vbios_size = c[2]*0x200;
      break;
    }
  }
}

static int detect_vbios_seg(void)
{
  detect_vbios();
  return auto_vbios_seg;
}

static int detect_vbios_size(void)
{
  detect_vbios();
  return auto_vbios_size;
}

static void stop_ttylocks(void)
{
  c_printf("SER: directory %s namestub %s binary %s\n", config.tty_lockdir,
	   config.tty_lockfile,(config.tty_lockbinary?"Yes":"No"));
}

	/* serial */

static void start_serial(void)
{
  if (c_ser >= MAX_SER)
    sptr = &nullser;
  else {
    /* The defaults for interrupt, base_port, real_comport and dev are 
    ** automatically filled in inside the do_ser_init routine of serial.c
    */
    sptr = &com_cfg[c_ser];
    sptr->dev = NULL;
    sptr->interrupt = 0; 
    sptr->base_port = 0;
    sptr->real_comport = 0;
    sptr->mouse = 0;
    sptr->virtual = FALSE;
    sptr->pseudo = FALSE;
    sptr->system_rtscts = FALSE;
    sptr->low_latency = FALSE;
  }
}


static void stop_serial(void)
{
  if (sptr->dev[0] == '\0')
    return;
  if (c_ser >= MAX_SER) {
    c_printf("SER: too many ports, ignoring %s\n", sptr->dev);
    return;
  }
  c_printf("SER%d: %s", c_ser, sptr->dev);
  if (sptr->base_port)
    c_printf(" port %x", sptr->base_port);
  if (sptr->interrupt)
    c_printf(" int %x", sptr->interrupt);
  c_printf("\n");
  c_ser++;
  config.num_ser = c_ser;
}

	/* keyboard */

static int keyboard_statement_already = 0;

static void start_keyboard(void)
{
  keyb_layout(KEYB_USER); /* NOTE: the default has changed, --Hans, 971204 */
  config.console_keyb = 0;
  keyboard_statement_already = 1;
}

static void stop_terminal(void)
{
  if (config.term_updatefreq > 100) {
    yywarn("terminal updatefreq too large (too slow)!");
    config.term_updatefreq = 100;
  } 
}

	/* printer */

static void start_printer(void)
{
  pptr->prtcmd = NULL;
  pptr->dev = NULL;
  pptr->file = NULL;
  pptr->remaining = -1;
  pptr->delay = 10;
}

static void stop_printer(void)
{
  printer_config(c_printers, pptr);
  c_printf("CONF(LPT%d) f: %s   c: %s  t: %d  port: %x\n",
           c_printers, pptr->dev, pptr->prtcmd,
           pptr->delay, pptr->base_port);
  c_printers++;
  if (c_printers > config.num_lpt)
    config.num_lpt = c_printers;
}

	/* disk */

static void start_bootdisk(void)
{
  if (config.bootdisk)           /* Already a bootdisk configured ? */
    yyerror("There is already a bootdisk configured");
      
  dptr = &bootdisk;              /* set pointer do bootdisk-struct */
      
  dptr->diskcyl4096 = 0;
  dptr->sectors = 0;             /* setup default-values           */
  dptr->heads   = 0;
  dptr->tracks  = 0;
  dptr->type    = FLOPPY;
  dptr->default_cmos = THREE_INCH_FLOPPY;
  dptr->timeout = 0;
  dptr->dev_name = NULL;              /* default-values */
  dptr->boot_name = NULL;
  dptr->wantrdonly = 0;
  dptr->header = 0;
}

static void start_floppy(void)
{
  if (c_fdisks >= MAX_FDISKS)
    {
    yyerror("There are too many floppy disks defined");
    dptr = &nulldisk;          /* Dummy-Entry to avoid core-dumps */
    }
  else
    dptr = &disktab[c_fdisks];

  dptr->sectors = 0;             /* setup default values */
  dptr->heads   = 0;
  dptr->tracks  = 0;
  dptr->type    = FLOPPY;
  dptr->default_cmos = THREE_INCH_FLOPPY;
  dptr->timeout = 0;
  dptr->dev_name = NULL;              /* default-values */
  dptr->boot_name = NULL;
  dptr->wantrdonly = 0;
  dptr->header = 0;
}

static void start_disk(void)
{
  if (c_hdisks >= MAX_HDISKS) 
    {
    yyerror("There are too many hard disks defined");
    dptr = &nulldisk;          /* Dummy-Entry to avoid core-dumps */
    }
  else
    dptr = &hdisktab[c_hdisks];
      
  dptr->type    =  NODISK;
  dptr->sectors = -1;
  dptr->heads   = -1;
  dptr->tracks  = -1;
  dptr->timeout = 0;
  dptr->dev_name = NULL;              /* default-values */
  dptr->boot_name = NULL;
  dptr->wantrdonly = 0;
  dptr->header = 0;
  dptr->dexeflags = 0;
}

static void start_vnet(char *mode) {
  if (strcmp(mode, "tap") == 0) {
    config.vnet = VNET_TYPE_TAP;
    return;
  }
  IFCLASS(CL_NET) {}
  if (strcmp(mode, "eth") == 0)
    config.vnet = VNET_TYPE_ETH;
  else {
    error("Unknown vnet mode \"%s\"\n", mode);
    config.exitearly = 1;
  } 
}

static void do_part(char *dev)
{
  if (dptr->dev_name != NULL)
    yyerror("Two names for a partition given.");
  dptr->type = PARTITION;
  dptr->dev_name = dev;
#ifdef __linux__
  dptr->part_info.number = atoi(dptr->dev_name+8);
#endif
  if (dptr->part_info.number == 0) 
    yyerror("%s must be a PARTITION, can't find number suffix!\n",
   	    dptr->dev_name);
}

static void stop_disk(int token)
{
#ifdef __linux__
  FILE   *f;
  struct mntent *mtab;
#endif
  int    mounted_rw;

  if (dexe_running && dexe_forbid_disk)
    return;
  if (dptr == &nulldisk)              /* is there any disk? */
    return;                           /* no, nothing to do */

  if (!dptr->dev_name)                /* Is there a file/device-name? */
    yyerror("disk: no device/file-name given!");
  else                                /* check the file/device for existance */
    {
      struct stat file_status;        /* date for checking that file */

      c_printf("device: %s ", dptr->dev_name);
      if (stat(dptr->dev_name,&file_status) != 0) { /* Does this file exist? */
	 if (config.install ||
	     strcmp(dptr->dev_name, DOSEMUHDIMAGE_DEFAULT"/drives/*") == 0) {
	    /* default setting: display a menu */
	    dptr->type = DIR_TYPE;
	    if (!config.install)
	       config.install = "";
	 } else
	    yyerror("Disk-device/file %s doesn't exist.",dptr->dev_name);
      }
    }

  if (dptr->type == NODISK)    /* Is it one of bootdisk, floppy, harddisk ? */
    yyerror("disk: no device/file-name given!"); /* No, error */
  else
    c_printf("type %d ", dptr->type);

  if (dptr->type == PARTITION) {
    c_printf("partition# %d ", dptr->part_info.number);
#ifdef __linux__
    mtab = NULL;
    if ((f = setmntent(MOUNTED, "r")) != NULL) {
      while ((mtab = getmntent(f)))
        if (!strcmp(dptr->dev_name, mtab->mnt_fsname)) break;
      endmntent(f);
    }
    if (mtab) {
      mounted_rw = ( hasmntopt(mtab, MNTOPT_RW) != NULL );
      if (mounted_rw && !dptr->wantrdonly) 
        yyerror("\n\nYou specified '%s' for read-write Direct Partition Access,"
                "\nit is currently mounted read-write on '%s' !!!\n",
                dptr->dev_name, mtab->mnt_dir);
      else if (mounted_rw) 
        yywarn("You specified '%s' for read-only Direct Partition Access,"
               "\n         it is currently mounted read-write on '%s'.\n",
               dptr->dev_name, mtab->mnt_dir);
      else if (!dptr->wantrdonly) 
        yywarn("You specified '%s' for read-write Direct Partition Access,"
               "\n         it is currently mounted read-only on '%s'.\n",
               dptr->dev_name, mtab->mnt_dir);
    }
#endif
  }

  if (dptr->header)
    c_printf("header_size: %ld ", (long) dptr->header);

  c_printf("h: %d  s: %d   t: %d", dptr->heads, dptr->sectors,
	   dptr->tracks);

  if (token == BOOTDISK) {
    config.bootdisk = 1;
    use_bootdisk = 1;
    c_printf(" bootdisk\n");
  }
  else if (token == L_FLOPPY) {
    c_printf(" floppy %c:\n", 'A'+c_fdisks);
    c_fdisks++;
    config.fdisks = c_fdisks;
  }
  else {
    c_printf(" drive %c:\n", 'C'+c_hdisks);
    c_hdisks++;
    config.hdisks = c_hdisks;
  }
}

	/* keyboard */

void keyb_layout(int layout)
{
  struct keytable_entry *kt = keytable_list;
  if (layout == -1) {
    /* auto: do it later */
    config.keytable = NULL;
    return;
  }
  while (kt->name) {
    if (kt->keyboard == layout) {
      if (kt->flags & KT_ALTERNATE) {
        c_printf("CONF: Alternate keyboard-layout %s\n", kt->name);
        config.altkeytable = kt;
      } else {
      c_printf("CONF: Keyboard-layout %s\n", kt->name);
      config.keytable = kt;
      }
      return;
    }
    kt++;
  }
  c_printf("CONF: ERROR -- Keyboard has incorrect number!!!\n");
}

static void keytable_start(int layout)
{
  static struct keytable_entry *saved_kt = 0;
  if (layout == -1) {
    if (keyboard_statement_already) {
      if (config.keytable != saved_kt) {
        yywarn("keytable changed to %s table, but previously was defined %s\n",
                config.keytable->name, saved_kt->name);
      }
    }
  }
  else {
    saved_kt = config.keytable;
    keyb_layout(layout);
  }
}

static void keytable_stop(void)
{
  keytable_start(-1);
}

static void dump_keytables_to_file(char *name)
{
  FILE * f;
  struct keytable_entry *kt = keytable_list;

  f = fopen(name, "w");
  if (!f) {
    error("cannot create keytable file %s\n", name);
    exit(1);
  }
  
  while (kt->name) {
    dump_keytable(f, kt);
    kt++;
  }
  fclose(f);
  exit(0);
}

static void set_irq_value(int bits, int i1)
{
  if ((i1>2) && (i1<=15)) {
    config.sillyint |= (bits << i1);
    c_printf("CONF: IRQ %d for irqpassing", i1);
    if (bits & 0x10000)  c_printf(" uses SIGIO\n");
    else c_printf("\n");
  }
  else yyerror("wrong IRQ for irqpassing command: %d", i1);
}

static void set_irq_range(int bits, int i1, int i2) {
  int i;
  if ( (i1<3) || (i1>15) || (i2<3) || (i2>15) || (i1 > i2 ) ) {
    yyerror("wrong IRQ range for irqpassing command: %d .. %d", i1, i2);
  }
  else {
    for (i=i1; i<=i2; i++) config.sillyint |= (bits << i);
    c_printf("CONF: range of IRQs for irqpassing %d .. %d", i1, i2);
    if (bits & 0x10000)  c_printf(" uses SIGIO\n");
    else c_printf("\n");
  }
}


	/* errors & warnings */

void yywarn(char* string, ...)
{
  va_list vars;
  va_start(vars, string);
  fprintf(stderr, "Warning: ");
  vfprintf(stderr, string, vars);
  fprintf(stderr, "\n");
  va_end(vars);
  warnings++;
}

void yyerror(char* string, ...)
{
  va_list vars;
  va_start(vars, string);
  if (include_stack_ptr != 0 && !last_include) {
	  int i;
	  fprintf(stderr, "In file included from %s:%d\n",
		  include_fnames[0], include_lines[0]);
	  for(i = 1; i < include_stack_ptr; i++) {
		  fprintf(stderr, "                 from %s:%d\n",
			  include_fnames[i], include_lines[i]);
	  }
	  last_include = 1;
  }
  fprintf(stderr, "Error in %s: (line %.3d) ", 
	  include_fnames[include_stack_ptr], line_count);
  vfprintf(stderr, string, vars);
  fprintf(stderr, "\n");
  va_end(vars);
  errors++;
}


/*
 * open_file - opens the configuration-file named *filename and returns
 *             a file-pointer. The error/warning-counters are reset to zero.
 */

static FILE *open_file(char *filename)
{
  errors   = 0;                  /* Reset error counter */
  warnings = 0;                  /* Reset counter for warnings */

  if (!filename) return 0;
  return fopen(filename, "r"); /* Open config-file */
}

/*
 * close_file - Close the configuration file and issue a message about
 *              errors/warnings that occured. If there were errors, the
 *              flag early-exit is that, so dosemu won't really.
 */

static void close_file(FILE * file)
{
  if (file) fclose(file);                  /* Close the config-file */

  if(errors)
    fprintf(stderr, "%d error(s) detected while parsing the configuration-file\n",
	    errors);
  if(warnings)
    fprintf(stderr, "%d warning(s) detected while parsing the configuration-file\n",
	    warnings);

  if (errors != 0)               /* Exit dosemu on errors */
    {
      config.exitearly = TRUE;
    }
}

/* write_to_syslog */
static void write_to_syslog(char *message)
{
  openlog("dosemu", LOG_PID, LOG_USER | LOG_NOTICE);
  syslog(LOG_PID | LOG_USER | LOG_NOTICE, "%s", message);
  closelog();
}

static void move_dosemu_lib_dir(char *path)
{
  if (dosemu_lib_dir_path != path) {
    if (dosemu_lib_dir_path != dosemulib_default)
      free(dosemu_lib_dir_path);
    dosemu_lib_dir_path = strdup(path);
  }
  setenv("DOSEMU_LIB_DIR", dosemu_lib_dir_path, 1);
  if (keymap_load_base_path != keymaploadbase_default)
    free(keymap_load_base_path);
  keymap_load_base_path = assemble_path(path, "", 0);
}

static FILE *open_dosemu_users(void)
{
  FILE *fp;
  fp = open_file(DOSEMU_USERS_FILE);
  if (fp) return fp;
  return 0;
}

static void setup_home_directories(void)
{
  setenv("DOSEMU_HDIMAGE_DIR", dosemu_hdimage_dir_path, 1);
  LOCALDIR = get_dosemu_local_home();
  RUNDIR = mkdir_under(LOCALDIR, "run", 0);
  DOSEMU_MIDI_PATH = assemble_path(RUNDIR, DOSEMU_MIDI, 0);
  DOSEMU_MIDI_IN_PATH = assemble_path(RUNDIR, DOSEMU_MIDI_IN, 0);
}

static void lax_user_checking(void)
{
  char *p;
  define_config_variable("c_all");
  p = getenv("USER");
  if (!p) p = "guest";
  setenv("DOSEMU_USER", p, 1);
  setenv("DOSEMU_REAL_USER", p, 1);
  setup_home_directories();
}

/* Parse TimeMode, Paul Crawford and Andrew Brooks 2004-08-01 */
/* Accepts "bios", "pit", "linux", default is "bios". Use with TIMEMODE token */
int parse_timemode(const char *timemodestr)
{
   if (timemodestr == NULL || timemodestr[0] == '\0')
     return(TM_BIOS); /* default */
   if (strcmp(timemodestr, "linux")==0)
     return(TM_LINUX);
   if (strcmp(timemodestr, "pit")==0)
     return(TM_PIT);
   if (strcmp(timemodestr, "bios")==0)
     return(TM_BIOS);
   yyerror("Unrecognised time mode (not bios, pit or linux)");
   return(TM_BIOS);
}

/* Parse Users for DOSEMU, by Alan Hourihane, alanh@fairlite.demon.co.uk */
/* Jan-17-1996: Erik Mouw (J.A.K.Mouw@et.tudelft.nl)
 *  - added logging facilities
 * In 1998:     Hans
 *  - havy changes and re-arangments
 */
void
parse_dosemu_users(void)
{
#define ALL_USERS "all"
#define PBUFLEN 256

  FILE *volatile fp;
  struct passwd *pwd;
  char buf[PBUFLEN];
  int userok = 0;
  char *ustr;
  int uid;
  int have_vars=0;

  /* We come here _very_ early (at top of main()) to avoid security conflicts.
   * priv_init() has already been called, but nothing more.
   *
   * We will exit, if /etc/dosemu.users says that the user has no right
   * to run a suid root dosemu (and we are on), but will continue, if the user
   * is running a non-suid copy _and_ is mentioned in dosemu users.
   * The dosemu.users entry for such a user is:
   *
   *      joeodd  ... nosuidroot
   *
   * The functions we call rely on the following setting:
   */
  after_secure_check = 0;
  priv_lvl = 0;

  /* We first have to find out where the dosemu.users file is placed
   * by the system administrator.
   * We first look for /etc/dosemu.users, then for /etc/dosemu/dosemu.users
   * Once we know that, most other pathes are runtime configurable:
   *
   *  - dosemu.users tells were to find the dosemu-lib-dir
   *    (DOSEMULIB_DEFAULT per default)
   *  - global.conf includes $DOSEMU_CONF_DIR/dosemu.conf
   *    (which could be changed by the owner of global.conf).
   */

  if (DOSEMU_USERS_FILE == NULL) {
    setenv("DOSEMU_CONF_DIR", "", 1);
  } else if (!exists_file(DOSEMU_USERS_FILE)) {
    DOSEMU_USERS_FILE = ALTERNATE_ETC "/" DOSEMU_USERS;
    DOSEMU_LOGLEVEL_FILE = ALTERNATE_ETC "/" DOSEMU_LOGLEVEL;
    setenv("DOSEMU_CONF_DIR", ALTERNATE_ETC, 1);
  }
  else setenv("DOSEMU_CONF_DIR", "/etc", 1);
	
  /* we check for some vital global settings
   * which we need before proceeding
   */
  setenv("DOSEMU_LIB_DIR", dosemulib_default, 1);
  move_dosemu_lib_dir(dosemu_lib_dir_path);

  fp = open_dosemu_users();
  if (fp) while (fgets(buf, PBUFLEN, fp) != NULL) {
    int l = strlen(buf);
    if (l && (buf[l-1] == '\n')) buf[l-1] = 0;
    ustr = strtok(buf, " \t\n=,;:");
    if (ustr && (ustr[0] != '#')) {
      if (!strcmp(ustr, "default_lib_dir")) {
        ustr=strtok(0, " \t\n=,;:");
        if (ustr) {
          if (!exists_dir(ustr)) {
            char *tx = "default_lib_dir %s does not exist\n";
            fprintf(stderr, tx, ustr);
            fprintf(stdout, tx, ustr);
            exit(1);
          }
          move_dosemu_lib_dir(ustr);
        }
      }
      if (!strcmp(ustr, "default_hdimage_dir")) {
        ustr=strtok(0, " \t\n=,;:");
        if (ustr) {
          if (!exists_dir(ustr)) {
            char *tx = "default_hdimage_dir %s does not exist\n";
            fprintf(stderr, tx, ustr);
            fprintf(stdout, tx, ustr);
            exit(1);
          }
          if (dosemu_hdimage_dir_path != dosemuhdimage_default)
            free(dosemu_hdimage_dir_path);
          dosemu_hdimage_dir_path = strdup(ustr);
	  dexe_load_path = dosemu_hdimage_dir_path;
        }
      }
      else if (!strcmp(ustr, "log_level")) {
        int ll = 0;
        ustr=strtok(0, " \t\n=,;:");
        if (ustr) {
          ll = atoi(ustr);
          if (ll < 0) ll = 0;
          if (ll > 2) ll = 2;
        }
      }
      else if (!strcmp(ustr, "config_script")) {
        ustr=strtok(0, " \t\n=,;:");
        if (ustr && strcmp(ustr, DEFAULT_CONFIG_SCRIPT)) {
          config_script_path = strdup(ustr);
          if (!exists_file(config_script_path)) {
            char *tx = "config_script %s does not exist\n";
            fprintf(stderr, tx, ustr);
            fprintf(stdout, tx, ustr);
            exit(1);
          }
	  config_script_name = strdup(ustr);
	}
      }
    }
  }
  if (fp) fclose(fp);

  if (!can_do_root_stuff || under_root_login) {
     /* simply ignore -- we're not suid-root */
     lax_user_checking();
     after_secure_check = 1;
     return;
  }

  /* We want to test if the _user_ is allowed to do certain privileged    */
  /* things, o check if the username connected to the get_orig_uid() is   */
  /* in the DOSEMU_USERS_FILE file (usually /etc/dosemu.users).           */
   
  uid = get_orig_uid();

  errno = 0; /* man says this is necessary?! */
  pwd = getpwuid(uid);

  /* Sanity Check, Shouldn't be anyone logged in without a userid */
  if (!pwd) 
     {
       error("Illegal User: uid=%i, error=%s\n", uid, strerror(errno));
       sprintf(buf, "Illegal DOSEMU user: uid=%i", uid);
       write_to_syslog(buf);
       exit(1);
     }

  /* preset DOSEMU_*USER env, such that a user can't fake it */
  setenv("DOSEMU_USER", "unknown", 1);
  setenv("DOSEMU_REAL_USER", pwd->pw_name, 1);

  {
       int can_have_privsetup = 0;
       fp = open_dosemu_users();
       if (fp) {
	   for(userok=0; fgets(buf, PBUFLEN, fp) != NULL && !userok; ) {
	     int l = strlen(buf);
	     if (l && (buf[l-1] == '\n')) buf[l-1] = 0;
	     ustr = strtok(buf, " \t\n,;:");
	     if (ustr && (ustr[0] != '#')) {
	       if (strcmp(ustr, pwd->pw_name)== 0) 
		 userok = 1;
	       else if (strcmp(ustr, ALL_USERS)== 0)
		 userok = 1;
	       if (userok) {
		 setenv("DOSEMU_USER", ustr, 1);
		 while ((ustr=strtok(0, " \t,;:")) !=0) {
		   if (ustr[0] == '#') break;
		   define_config_variable(ustr);
		   have_vars = 1;
                   if (!strcmp(ustr,"private_setup")) {
                     can_have_privsetup = 1;
                   }
		 }
	         if (!have_vars && !using_sudo)
		   define_config_variable("restricted");
	       }
	     }
	   }
           fclose(fp);
       }
       

       if (can_have_privsetup
              && (   get_config_variable("unrestricted")
                  || under_root_login || !can_do_root_stuff)) {
         /* this user is allowed to have a privat ~/.dosemu/lib
          * (which replaces DOSEMULIB_DEFAULT if existing).
          * Hence this user can have its own global.conf e.t.c.
          * However, this is only possible with non-suid-root
          * binary or when running under root loggin or when 'unrestricted'
          * also is set.       -- Hans
          */
         char *lpath = get_path_in_HOME(LOCALDIR_BASE_NAME "/lib");
         if (exists_dir(lpath)) move_dosemu_lib_dir(lpath);
         free(lpath);
       }
  }

  define_config_variable("c_all");
  if(userok==0 && !using_sudo) {
    define_config_variable("restricted");
  }
  if (get_config_variable("nosuidroot") || (get_config_variable("restricted") && !on_console())) {
    fprintf(stderr, "Dropping root privileges: guest or a restricted user not on console.\n");
    priv_drop();
    lax_user_checking();
    after_secure_check = 1;
    return;
  }

  /* now we setup up our local DOSEMU home directory, where we
   * have (among other things) all temporary stuff in
   * (since 0.97.10.2)
   */
  setup_home_directories();
  after_secure_check = 1;
}


char *commandline_statements=0;

static int has_dexe_magic(char *name)
{
  int fd, magic, ret;
  fd = open(name, O_RDONLY);
  if (fd <0) return 0;
  ret = (read(fd, &magic, 4) == 4) && (magic == DEXE_MAGIC);
  close(fd);
  return ret;
}

static int stat_dexe(char *name)
{
  struct stat s;
  if (stat(name, &s)) return 0;
  if ( ! S_ISREG(s.st_mode)) return 0;
  if ((s.st_mode & S_IXUSR) && (s.st_uid == get_orig_uid()))
    return has_dexe_magic(name);
  if ((s.st_mode & S_IXGRP) && (is_in_groups(s.st_gid)))
    return  has_dexe_magic(name); 
  if (s.st_mode & S_IXOTH) return has_dexe_magic(name);
  return 0;
}

static char *resolve_exec_path(char *dexename, char *ext)
{
  enum { maxn=0x255 };
  static char n[maxn+1];
  static char name[maxn+1];
  char *p, *path=getenv("PATH");

  strncpy(name,dexename,maxn);
  name[maxn] = 0;
  n[maxn] = 0;
  p = rindex(name, '.');
  if ( ext && ((p && strcmp(p, ext)) || !p) )
    strncat(name,ext,maxn);


  /* first try the pure file name */
  if (!path || (name[0] == '/') || (!strncmp(name, "./", 2))) {
    if (stat_dexe(name)) return name;
    return 0;
  }

  /* next try the standard path for DEXE files */
  snprintf(n, maxn, "%s/%s", dexe_load_path, name);
  if (stat_dexe(n)) return n;

  /* now search in the users normal PATH */
  path = strdup(path);
  p= strtok(path,":");
  while (p) {
    snprintf(n, maxn, "%s/%s", p, name);
    if (stat_dexe(n)) {
      free(path);
      return n;
    }
    p=strtok(0,":");
  }
  free(path);
  return 0;
}

void prepare_dexe_load(char *name)
{
  char *n, *cbuf;
  int fd, csize;
  struct image_header ihdr;

  n = resolve_exec_path(name, ".dexe");
  if (!n) {
    n = resolve_exec_path(name, 0);
    if (!n) {
      error("DEXE file not found or not executable\n");
      exit(1);
    }
  }

  /* now we extract the configuration file and the access flags */
  fd = open(n, O_RDONLY);
  if (read(fd, &ihdr, sizeof(struct image_header)) != sizeof(struct image_header)) {
    error("broken DEXE format, can't read image header\n");
    close(fd);
    exit(1);
  }

  lseek(fd, HEADER_SIZE + 0x200, SEEK_SET); /* just behind the MBR */
  if ((read(fd, &csize, 4) != 4) || (csize > 0x2000)) {
    error("broken DEXE format, configuration not found\n");
    close(fd);
    exit(1);
  }
  
  /* we use the -I option to feed in the configuration,
   * and we put ours in front of eventually existing options
   */
  if (commandline_statements) {
    cbuf = malloc(csize+1+strlen(commandline_statements)+1);
    read(fd, cbuf, csize);
    cbuf[csize] = '\n';
    strcpy(cbuf+csize+1, commandline_statements);
  }
  else {
    cbuf = malloc(csize+1);
    read(fd, cbuf, csize);
    cbuf[csize] = 0;
  }
  commandline_statements = cbuf;
  close(fd);

  start_disk();
  dptr->type = IMAGE;
  dptr->header = HEADER_SIZE;
  dptr->dev_name = n;
  dptr->dexeflags = ihdr.dexeflags | DISK_IS_DEXE;
  stop_disk(DISK);
  dexe_running = 1;
}


static void do_parse(FILE* fp, char *confname, char *errtx)
{
        yyin = fp;
        line_count = 1;
	include_stack_ptr = 0;
        c_printf("CONF: Parsing %s file.\n", confname);
	file_being_parsed = strdup(confname);
	include_fnames[include_stack_ptr] = file_being_parsed;
	yyrestart(fp);
        if (yyparse()) yyerror(errtx, confname);
        close_file(fp);
	include_stack_ptr = 0;
	include_fnames[include_stack_ptr] = 0;
	free(file_being_parsed);
}

int parse_config(char *confname, char *dosrcname)
{
  FILE *fd;
  int is_user_config;
#if YYDEBUG != 0
  yydebug  = 1;
#endif

  define_config_variable(PARSER_VERSION_STRING);

  /* Let's try confname if not null, and fail if not found */
  /* Else try the user's own .dosrc (old) or .dosemurc (new) */
  /* If that doesn't exist we will default to CONFIG_FILE */

  { 
    if (!dosrcname) {
      char *name = get_path_in_HOME(DOSEMU_RC);
      setenv("DOSEMU_RC", name, 1);
      free(name);
    }
    else {
      setenv("DOSEMU_RC",dosrcname,1);
    }

    /* privileged options allowed? */
    is_user_config = (confname && config_script_path && strcmp(confname, config_script_path));
    priv_lvl = !under_root_login && can_do_root_stuff && is_user_config;

    /* DEXE together with option F ? */
    if (priv_lvl && dexe_running) {
      /* for security reasons we cannot allow this */
      fprintf(stderr, "user cannot load DEXE file together with option -F\n");
      exit(1);
    }

    if (is_user_config) define_config_variable("c_user");
    else define_config_variable("c_system");
    if (dexe_running) define_config_variable("c_dexerun");

    yy_vbuffer = dosemu_conf;
    do_parse(NULL, "built-in dosemu.conf", "error in built-in dosemu.conf");
    yy_vbuffer = global_conf;
    do_parse(NULL, "built-in global.conf", "error in built-in global.conf");
    if (confname) {
      yy_vbuffer = NULL;
      fd = open_file(confname);
      if (!fd) {
        if (!dexe_running) {
          fprintf(stderr, "Cannot open base config file %s, Aborting DOSEMU.\n",confname);
          exit(1);
        }
      }
      do_parse(fd, confname, "error in configuration file %s");
    }

    if (priv_lvl) undefine_config_variable("c_user");
    else undefine_config_variable("c_system");

    if (!get_config_variable(CONFNAME_V3USED)) {
	/* we obviously have an old configuration file
         * ( or a too simple one )
	 * giving up
	 */
	yyerror("\nYour %s script or configuration file is obviously\n"
		"an old style or a too simple one\n"
		"Please read README.txt on how to upgrade\n", confname);
	exit(1);
    }

    /* privileged options allowed for user's config? */
    priv_lvl = !under_root_login && can_do_root_stuff;
    if (priv_lvl) define_config_variable("c_user");

    /* Now we parse any commandline statements from option '-I'
     * We do this under priv_lvl set above, so we have the same secure level
     * as with .dosrc
     */

    if (commandline_statements) {
      #define XX_NAME "commandline"

      open_file(0);
      define_config_variable("c_comline");
      c_printf("Parsing " XX_NAME  " statements.\n");
      yyin=0;				 /* say: we have no input file */
      yy_vbuffer=commandline_statements; /* this is the input to scan */
      do_parse(0, XX_NAME, "error in user's %s statement");
      undefine_config_variable("c_comline");
    }
  }

  /* check for global settings, that should know the whole settings
   * This we only can do, after having parsed all statements
   */

  if (dexe_running) {
    /* force a BootC,
     * regardless what ever was set in the config files
     */
    config.hdiskboot = 1;
  }
  else {
    if (get_config_variable("c_dexeonly")) {
       c_printf("CONF: only execution of DEXE files allowed\n");
       fprintf(stderr, "only execution of DEXE files allowed\n");
       exit(99);
    }
  }

#ifdef TESTING
  error("TESTING: parser is terminating program\n");
  exit(0);
#endif
  return 1;
}

#define MAX_CONFIGVARIABLES 128
char *config_variables[MAX_CONFIGVARIABLES+1] = {0};
static int config_variables_count = 0;
static int config_variables_last = 0;
static int allowed_classes = -1;
static int saved_allowed_classes = -1;



static int is_in_allowed_classes(int mask)
{
  if (!(allowed_classes & mask)) {
    yyerror("insufficient class privilege to use this configuration option\n");
    exit(99);
  }
  return 1;
}

struct config_classes {
	char *class;
	int mask;
} config_classes[] = {
	{"c_all", CL_ALL},
	{"c_normal", CL_ALL & (~(CL_VAR | CL_VPORT | CL_IRQ | CL_HARDRAM | CL_PCI | CL_NET))},
	{"c_var", CL_VAR},
	{"c_system", CL_ALL},
	{"c_vport", CL_VPORT},
	{"c_port", CL_PORT},
	{"c_irq", CL_IRQ},
	{"c_pci", CL_PCI},
	{"c_hardram", CL_HARDRAM},
	{"c_net", CL_NET},
	{0,0}
};

static int get_class_mask(char *name)
{
  struct config_classes *p = &config_classes[0];
  while (p->class) {
    if (!strcmp(p->class,name)) return p->mask;
    p++;
  }
  return 0;
}

static void update_class_mask(void)
{
  int i, m;
  allowed_classes = 0;
  for (i=0; i< config_variables_count; i++) {
    if ((m=get_class_mask(config_variables[i])) != 0) {
      allowed_classes |= m;
    }
  }
}

static void enter_user_scope(int incstackptr)
{
  if (user_scope_level) return;
  saved_priv_lvl = priv_lvl;
  priv_lvl = 1;
  saved_allowed_classes = allowed_classes;
  allowed_classes = 0;
  user_scope_level = incstackptr;
  c_printf("CONF: entered user scope, includelevel %d\n", incstackptr-1);
}

static void leave_user_scope(int incstackptr)
{
  if (user_scope_level != incstackptr) return;
  priv_lvl = saved_priv_lvl;
  allowed_classes = saved_allowed_classes;
  user_scope_level = 0;
  c_printf("CONF: left user scope, includelevel %d\n", incstackptr-1);
}

char *get_config_variable(char *name)
{
  int i;
  for (i=0; i< config_variables_count; i++) {
    if (!strcmp(name, config_variables[i])) {
      config_variables_last = i;
      return config_variables[i];
    }
  }
  return 0;
}

int define_config_variable(char *name)
{
  if (priv_lvl) {
    if (strcmp(name, CONFNAME_V3USED) && strncmp(name, "u_", 2)) {
      c_printf("CONF: not enough privilege to define config variable %s\n", name);
      return 0;
    }
  }
  if (!get_config_variable(name)) {
    if (config_variables_count < MAX_CONFIGVARIABLES) {
      config_variables[config_variables_count++] = strdup(name);
      if (!priv_lvl) update_class_mask();
    }
    else {
      if (after_secure_check)
        c_printf("CONF: overflow on config variable list\n");
      return 0;
    }
  }
  if (after_secure_check)
    c_printf("CONF: config variable %s set\n", name);
  return 1;
}

static int undefine_config_variable(char *name)
{
  if (priv_lvl) {
    if (strncmp(name, "u_", 2)) {
      c_printf("CONF: not enough privilege to undefine config variable %s\n", name);
      return 0;
    }
  }
  if (get_config_variable(name)) {
    int i;
    if (!strcmp(name, CONFNAME_V3USED)) parser_version_3_style_used = 0;
    free(config_variables[config_variables_last]);
    for (i=config_variables_last; i<(config_variables_count-1); i++) {
      config_variables[i] = config_variables[i+1];
    }
    config_variables_count--;
    if (!priv_lvl) update_class_mask();
    c_printf("CONF: config variable %s unset\n", name);
    return 1;
  }
  return 0;
}

char *checked_getenv(const char *name)
{
  if (user_scope_level) {
     char *s, *name_ = malloc(strlen(name)+sizeof(USERVAR_PREF));
     strcpy(name_, USERVAR_PREF);
     strcat(name_, name);
     s = getenv(name_);
     free(name_);
     if (s) return s;
  }
  return getenv(name);
}

static void check_user_var(char *name)
{
	char *name_;
	char *s;

	if (user_scope_level) return;
	name_ = malloc(strlen(name)+sizeof(USERVAR_PREF));
	strcpy(name_, USERVAR_PREF);
	strcat(name_, name);
	s = getenv(name_);
	if (s) {
		if (getenv(name))
			c_printf("CONF: variable %s replaced by user\n", name);
		setenv(name, s, 1);
		unsetenv(name_);
	}
	free(name_);
}


static char *run_shell(char *command)
{
	int pipefds[2];
	pid_t pid;
	char excode[16] = "1";

	setenv("DOSEMU_SHELL_RETURN", excode, 1);
	if (pipe(pipefds)) return strdup("");
	pid = fork();
	if (pid == -1) return strdup("");
	if (!pid) {
		/* child */
		int ret;
		close(pipefds[0]);	/* we won't read from the pipe */
		dup2(pipefds[1], 1);	/* make the pipe child's stdout */
		priv_drop();	/* drop any priviledges */
		ret = system(command);
			/* tell the parent: "we have finished",
			 * this way we need not to play games with select()
			 */
		if (ret == -1) ret = errno;
		else ret >>=8;
		write(pipefds[1],"\0\0\0",4);
		close(pipefds[1]);
		_exit(ret);
	}
	else {
		/* parent */
		char *buf = 0;
		int recsize = 128;
		int bufsize = 0;
		int ptr =0;
		int ret;
		int status;

		close(pipefds[1]);	/* we won't write to the pipe */
		do {
			bufsize = ptr + recsize;
			if (!buf) buf = malloc(bufsize);
			else buf = realloc(buf, bufsize);
			ret = read(pipefds[0], buf+ptr, recsize -1);
			if (ret > 0) {
				ptr += ret;
			}
		} while (ret >0 && (ret < 4 || memcmp(buf+ptr-4,"\0\0\0",4)));
		close(pipefds[0]);
		waitpid(pid, &status, 0);
		buf[ptr] = 0;
		if (!buf[0]) {
			free(buf);
			buf = strdup("");
		}
		sprintf(excode, "%d", WEXITSTATUS(status));
		setenv("DOSEMU_SHELL_RETURN", excode, 1);
		return buf;
	}
}


struct for_each_entry {
	char *list;
	char *ptr;
	int skip_restart;
};

#define FOR_EACH_DEPTH	16
static struct for_each_entry *for_each_list = 0;

static int for_each_handling(int loopid, char *varname, char *delim, char *list)
{
	struct for_each_entry *fe;
	char * new;
	char saved;
	if (!for_each_list) {
		int size = FOR_EACH_DEPTH * sizeof(struct for_each_entry);
		for_each_list = malloc(size);
		memset(for_each_list, 0, size);
	}
	if (loopid > FOR_EACH_DEPTH) {
		yyerror("too deeply nested foreach\n");
		return 0;
	}
	fe = for_each_list + loopid;
	if (!fe->list) {
		/* starting the loop */
		fe->ptr = fe->list = strdup(list);
		fe->skip_restart = 0;
		if (loopid) {
			/* in inner loops we need to skip the restart */
			fe->skip_restart = 1;
		}
	}
	else {
		if (fe->skip_restart) {
			fe->skip_restart = 0;
			return 1;
		}
	}
	while (fe->ptr[0] && strchr(delim,fe->ptr[0])) fe->ptr++;
	/* subsequent call */
	if (!fe->ptr[0]) {
		/* loop end */
		free(fe->list);
		fe->list = 0;
		return (0);
	}
	new = strpbrk(fe->ptr, delim);
	if (!new) new = strchr(fe->ptr,0);
	saved = *new;
	*new = 0;
	setenv(varname,fe->ptr,1);
	if (saved) new++;
	fe->ptr = new;
	return (1);
}

#ifdef TESTING_MAIN

static void die(char *reason)
{
  error("par dead: %s\n", reason);
  exit(0);
}

int
main(int argc, char **argv)
{
  if (argc != 2)
    die("no filename!");

  if (!parse_config(argv[1], argv[2] /* will be NULL if not given */))
    die("parse failed!\n");
}

#endif

	/* charset */
static struct char_set *get_charset(char *name)
{
	struct char_set *charset;

	charset = lookup_charset(name);
	if (!charset) {
		yyerror("Can't find charset %s", name);
	}
	return charset;

}

static void set_external_charset(char *charset_name)
{
	struct char_set *charset;
	charset = get_charset(charset_name);
	charset = get_terminal_charset(charset);
	if (charset) {
		if (!trconfig.output_charset) {
			trconfig.output_charset = charset;
		}
		if (!trconfig.keyb_charset) {
			trconfig.keyb_charset = charset;
		}
	}
	return;
}

static void set_internal_charset(char *charset_name)
{
	struct char_set *charset_video, *charset_config;
	charset_video = get_charset(charset_name);
	if (!is_display_charset(charset_video)) {
		yyerror("%s not suitable as an internal charset", charset_name);
	}
	charset_config = get_terminal_charset(charset_video);
	if (charset_video && !trconfig.video_mem_charset) {
		trconfig.video_mem_charset = charset_video;
	}
	if (charset_config && !trconfig.keyb_config_charset) {
		trconfig.keyb_config_charset = charset_config;
	}
	if (charset_config && !trconfig.dos_charset) {
		trconfig.dos_charset = charset_config;
	}
	return;
}


/* for keyboard plugin */



static void keyb_mod(int wich, t_keysym keynum, int unicode)
{
	static t_keysym *table = 0;
	static int count = 0;
	
	if (wich == ' ') {
		switch (keynum & 0xFF00) {
		case 0x000: wich = ' '; break;
		case 0x100: wich = 'S'; break;
		case 0x200: wich = 'A'; break;
		case 0x300: wich = 'N'; break;
		case 0x400: wich = 'C'; break;
		case 0x500: wich = 'a'; break;
		case 0x600: wich = 'c'; break;
		default: 
			/* It's a bad value ditch it */
			wich ='X'; table = 0; count = 0; break;
		}
		keynum &= 0xFF;
	}

	switch (wich) {
	case ' ': table = config.keytable->key_map;
		count=config.keytable->sizemap;
		break;
	case 'S': table = config.keytable->shift_map;
		count=config.keytable->sizemap;
		break;
	case 'A': table = config.keytable->alt_map;
		count=config.keytable->sizemap;
		break;
	case 'C': table = config.keytable->ctrl_map;
		count=config.keytable->sizemap;
		break;
	case 'a': table = config.keytable->shift_alt_map;
		count=config.keytable->sizemap;
		break;
	case 'c': table = config.keytable->ctrl_alt_map;
		count=config.keytable->sizemap;
		break;
	case 'N': table = config.keytable->num_table;
		count=config.keytable->sizepad;
		break;
	}


	if (!table || (count == 0) || (wich != 0 && keynum >= count)) {
		count = 0;
		table = 0;
		return;
	}
	if (wich != 0) {
		table += keynum;
		count -= keynum;
		return;
	}
	if (!unicode) {
		if (keynum == 0) {
			keynum = KEY_VOID;
		} else {
			keynum = keynum + 0xEF00;
		}
	}
	if (count > 0) {
		*table++ = keynum;
		count--;
	}
}


static char *get_key_name(t_keysym key)
{
	struct key_names {
		t_keysym key;
		char *name;
	};
	static struct key_names names[] =
	{
		{ KEY_DEAD_GRAVE,	"dgrave"},
		{ KEY_DEAD_ACUTE,	"dacute"},
		{ KEY_DEAD_CIRCUMFLEX,	"dcircum"},
		{ KEY_DEAD_TILDE,	"dtilde"},
		{ KEY_DEAD_BREVE,	"dbreve"},
		{ KEY_DEAD_ABOVEDOT,	"daboved"},
		{ KEY_DEAD_DIAERESIS,	"ddiares"},
		{ KEY_DEAD_ABOVERING,	"dabover"},
		{ KEY_DEAD_DOUBLEACUTE,	"ddacute"},
		{ KEY_DEAD_CEDILLA,	"dcedilla"},
		{ KEY_DEAD_OGONEK,	"dogonek"},
		{ KEY_DEAD_CARON,	"dcaron"},
	};
	int i;
	for(i = 0; i < sizeof(names)/sizeof(names[0]); i++) {
		if (names[i].key == key) {
			return names[i].name;
		}
	}
	return 0;
}

static void dump_keytable_part(FILE *f, t_keysym *map, int size)
{
  int i, in_string=0;
  t_keysym c;
  char *cc, comma=' ', buf[16];

  /* Note: This code assumes every font is a superset of ascii */
  if (!map) {
	  return;
  }
  size--;
  for (i=0; i<=size; i++) {
    c = map[i];
    if (!(i & 15)) fprintf(f,"    ");
    cc = get_key_name(c);
    if (!cc && (c < 128) && isprint(c) && !strchr("\\\"\'`", c)) {
      if (in_string) fputc(c,f);
      else {
        fprintf(f, "%c\"%c", comma, c);
        in_string = 1;
      }
    }
    else {
      if (!cc) {
	if (((c > 0) && (c < 128)) || ((c >= 0xEF00) && (c <= 0xEFFF))) {
	  sprintf(buf, "%d", c & 0xFF);
	} else if (c == KEY_VOID) {
	  strcpy(buf, "0");
	} else {
	  sprintf(buf, "\\u%04x", c);
	}
	cc = buf;
      }
      if (!in_string) fprintf(f, "%c%s", comma, cc);
      else {
        fprintf(f, "\",%s", cc);
        in_string = 0;
      }
    }
    if ((i & 15) == 15) {
      if (in_string) fputc('"', f);
      if (i < size) fputc(',', f);
      fputc('\n', f);
      in_string = 0;
      comma = ' ';
    }
    else comma = ',';
  }
  if (in_string) fputc('"', f);
  fputc('\n', f);
}


void dump_keytable(FILE *f, struct keytable_entry *kt)
{
    fprintf(f, "keytable %s {\n", kt->name);
    fprintf(f, "  0=\n");
    dump_keytable_part(f, kt->key_map, kt->sizemap);
    fprintf(f, "  shift 0=\n");
    dump_keytable_part(f, kt->shift_map, kt->sizemap);
    fprintf(f, "  alt 0=\n");
    dump_keytable_part(f, kt->alt_map, kt->sizemap);
    fprintf(f, "  numpad 0=\n");
    dump_keytable_part(f, kt->num_table, kt->sizepad-1);
    fprintf(f, "  ctrl 0=\n");
    dump_keytable_part(f, kt->ctrl_map, kt->sizemap);
    fprintf(f, "  shift-alt 0=\n");
    dump_keytable_part(f, kt->shift_alt_map, kt->sizemap);
    fprintf(f, "  ctrl-alt 0=\n");
    dump_keytable_part(f, kt->ctrl_alt_map, kt->sizemap);
    fprintf(f, "}\n\n\n");
}


